var ApresMatchSignaturesService = {

    isSignaturesApresMatchRempli: function () {
        return (Utils.isNotBlank(FeuilleDeMatchDto.data.cfm_signat_apm_arb) && 
            (Utils.isNotBlank(FeuilleDeMatchDto.data.cfm_signat_apm_rec) || $("#connexionEquipeRecevante").hasClass("disabled_button")) && 
            (Utils.isNotBlank(FeuilleDeMatchDto.data.cfm_signat_apm_vis) || $("#connexionEquipeVisiteur").hasClass("disabled_button")));
    },

    testerAffichageBoutons: function() {
        ApresMatchSignaturesService.afficherBoutons(!ApresMatchSignaturesService.isSignaturesApresMatchRempli());
    },
    
    afficherBoutons: function(verrou) {
        Engine.addView("#boutonsActionsFeuilleDeMatch", "signatures.html:boutonsActionsFeuilleDeMatch", { feuilleDeMatch : FeuilleDeMatchDto, verrou : verrou });
        Engine.addView("#boutonPrecedent", "apresMatch.html:boutonPrecedent", { feuilleDeMatch : FeuilleDeMatchDto });
        if(Utils.isNotNull(FeuilleDeMatchDto.data.cfm_signat_apm_rec) && Utils.isNotBlank(FeuilleDeMatchDto.data.cfm_signat_apm_rec)) {
            FeuilleDeMatchSignaturesService.reinitBoutonSignature("EquipeRecevante", FeuilleDeMatchDto.data.cfm_signat_apm_rec, false);
        }
        if(Utils.isNotNull(FeuilleDeMatchDto.data.cfm_signat_apm_arb) && Utils.isNotBlank(FeuilleDeMatchDto.data.cfm_signat_apm_arb)) {
            FeuilleDeMatchSignaturesService.reinitBoutonSignature("Arbitre", FeuilleDeMatchDto.data.cfm_signat_apm_arb, false);
        }
        if(Utils.isNotNull(FeuilleDeMatchDto.data.cfm_signat_apm_vis) && Utils.isNotBlank(FeuilleDeMatchDto.data.cfm_signat_apm_vis)) {
            FeuilleDeMatchSignaturesService.reinitBoutonSignature("EquipeVisiteur", FeuilleDeMatchDto.data.cfm_signat_apm_vis, false);
        }
    },
    afficherNombreDeverouillage: function () {
        var nbDeverouillage = Utils.isNotBlank(FeuilleDeMatchDto.data.cfm_nb_signat_fm) ? FeuilleDeMatchDto.data.cfm_nb_signat_fm : 0;
        $("#nbDeverouillageApm").text(nbDeverouillage);
    }
};