Lang.connexion= {
	labelBienvenue: "Bienvenue sur votre application<br><b>FEUILLE DE MATCH</b>",
	boutonConnexion: "Connexion",
	loginVide: "Vous devez préciser un identifiant",
    mdpVide: "Vous devez préciser un mot de passe",
	identifiantInvalide: "Identifiant non reconnu",
	connexionImpossible: "Mot de passe incorrect",
    erreurNiveauBatterie: "Le niveau de batterie est insuffisant",
    boutonValiderCgu: "Valider les CGU",
    messageMiseAJourBloquante: "La version de l'application n'est pas à jour. Veuillez la mettre à jour avant de vous connecter.",
    nonHabilite: "Utilisateur non habilité"
};
Lang.accueil= {
    boutonPreparerEquipe: {
        mot1 : "préparer",
        mot2 : "votre équipe",
    },
    boutonRemplirFeuilleDeMatch: {
        mot1 : "Feuille",
        mot2 : "DE MATCH",
    },
    boutonInformationsComplementaires: {
        mot1 : "informations",
        mot2 : "facultatives",
    },
    hexagon1: "1",
    hexagon2: "2",
    selectMatch: "Sélectionnez le match",
    etapeConstitution: "Sélectionnez l'étape de constitution de la feuille de match",
    dateLabel: "Date",
    matchLabel: "Match",
    etatLabel: "Etat",
    actionLabel: "Action",
    synchLabel: "Transmission",
    sousTitreSynchLabel: "<br/><span class='sousTitreSynchronisation'>équipe adverse</span>",
    et : "et",
    erreurFeuilleDeMatchDate: "Vous devez être à la date du match pour saisir la feuille de match",
    erreurSelectionRencontre: "Veuillez Sélectionner une rencontre",
    erreurEtatMatch: "L'état du match ne permet pas cette action",
    erreurNiveauBatterie: "Le niveau de la batterie est insuffisant",
    erreurDemo: "Veuillez synchroniser une première fois la partie démonstration pour accéder aux matchs de démo",
    tiret: " - ",
    derniereSynchro : "Dernière synchro : ",
    derniereTransmission : "Dernière transmission : ",
    equipeRecevanteUniquement : "Seul le club recevant peut accéder à la feuille de match",
    inactiveInfosFacultatives : "Veuillez transmettre la feuille de match avant d'accéder aux informations facultatives.",
    utilisateurVisiteurManquant : "Aucun utilisateur n'est reconnu pour le club visiteur de ce match",
    dateMatchDepassee : "La date de ce match est dépassée : synchronisation impossible",
    rapportEnvoye : "Votre rapport a été envoyé avec succès"
};
Lang.apresMatch = {
    // Onglets
    signatures : "Signatures",
    rencontre : "Rencontre",
    compo : "Composition",
    faitsDeJeu : "Faits de jeu",
    dirigeantResponsable: "Dirigeant Responsable",
    capitaine: "Capitaine",
    choixSignataire: "Choisir le signataire",

    // Rencontre
    localite : "Localité",
    terrain : "Terrain",
    dateHeure : "Date Heure",
    medecin : "Médecin",
    technicienLumiere : "Technicien lumière",
    directeurSecurite : "Directeur de sécurité",
    resultats : "Résultats",
    tempsJeu : "Temps de jeu",
    listeOff : "Liste des officiels",
    reserves : "Réserves",
    xxx : "xxxxxxxx",
    resultats : "Résultats",
    "final" : "Final",
    recevant : "Recevant : ",
    recevantVal : "2",
    visiteur : "Visiteur : ",
    visiteurVal : "2",
    premiere : {
        chiffre : "1",
        sup : "ère"
    },
    deuxieme : {
        chiffre : "2",
        sup : "ème"
    },
    tempsPeriode : "période : ",
    minutes : "45'",
    plus : "+",
    officiel1 : "Henri GONCALVEZ",
    officiel2 : "Guy MOULIN",
    officielType : "Arbitre",
    officielDesigne : "Désigné",
    officielQual : "Arbitre",
    officielQual2 : "Arbitre assistant",
    prolongations : "Prolongations",
    tirsAuBut : "Tirs au But",
    matchArrete : "Match arrêté",
    matchNonJoue : "Match non joué",
    finTempsRegl : {
        phrase1 : "après le temps",
        phrase2 : "règlementaire"
    },
    obsApresMatch : "Observations d'après match : ",
    reservesTech : "Réserves techniques : ",
    neant : "Néant",

    // Composition
    equipeRecevante : "Équipe recevante",
    equipeVisiteur : "Équipe visiteuse",
    remplacants : "Remplaçants",
    encadrement : "Encadrement",
    joueur : "Joueur",

    // Faits de jeu
    organisation : "Organisation",
    recette : "Recette",
    recetteVal : "1200 euros",
    spectateurs : "Nombre de spectateurs",
    spectateursVal : "1500",
    localRules : "Réglements locaux",
    detail : "Détail",
    localRule : "Règle du carton blanc",
    fait : "Auteur de la faute : ",
    carton : "Carton : ",
    minute : "Minute : ",
    minuteVal : "67'",
    motif : "Motif",
    motifVal : "Adopter un comportement violent",
    infos : "Informations complémentaires",

    // Signatures
    plus : "+",
    moins : "-",
    reservesAvantMatch : "Réserves avant match",
    reservesApresMatch : "Réserves après match",
    reservesTech : "Réserves techniques",
    observationsApresMatch : "Observations d'après match",
    signaturesApresMatch : "Signatures d'après match",
    equipeAbsente : "équipe absente",
    signatureEquipeRecevante : "Signature <br/> équipe recevante",
    signatureArbitre : "Signature <br/> arbitre",
    signatureEquipeVisiteur : "Signature <br/> équipe visiteuse",
    connaissance : "Je déclare avoir pris connaissance",
    nombreDeDeverrouillages : "Nombre de déverrouillages",
    boutonDeverrouiller : "Modifier",
    alerteDeverrouillage: "Attention ! Ce choix annule les signatures et relance la modification des faits du match de la Feuille. Voulez-vous confirmer ?",
    boutonEnvoyerFeuilleDeMatch1 : "CLÔTURER",
    boutonEnvoyerFeuilleDeMatch2 : "</br>la feuille de match",
    boutonConnexion : "Identification",
    boutonSigner : "Signer",

    // Connexion
    entetePopupConnexion : "Identification",
    identifiant : "Identifiant",
    motDePasse : "Mot de passe",
    boutonValider : "Valider",

    licenceNb : "licence n°",
    
    erreurs : {
        signatures: {
            connaissance: "Veuillez confirmer avoir pris connaissance de toutes les infos match.",
            signataire: "Veuillez selectionner un signataire.",
            signatureVide: "Veuillez signer."
        }
    },

    // others
    retour : "Retour",
    faitsDeJeu_minuscule : "faits de jeu"

}; 
Lang.equipe= {
    listEffectif: "Effectif",
    nom: "NOM",
    prenom: "Prénom",
    poste: "Poste", 
    catfct: "Catégorie / Fonction",
    numLicence: "NUMERO DE LICENCE",
    dateQualif: "Statut de la licence",
    textRemplacant: "remplaçants",
    textStaff: "encadrement",
    fonction: "Fonction",
    dirigeantR : "Dirigeant Responsable",
    groupe: "Groupe",
    groupePlace : "Placés",
    personne: "Personne",
    composition: "Composition",
    tactiqueSansPositionnement: "Sans tactique",
    equipeType: "équipe type",
    strat: "4 4 2",
    remplacant: "Remplaçants",
    encadrement: "Encadrement",
    joueur: "CAVANI Giovanni",
    joueur2: "ZLATAN <br />Ibra",
    fff: "www.fff.fr",
    club1: "Club : ",
    clubGroupement: "Club Groupement : ",
    nat: "Nationalité : ",
    birth: "Né le : ",
    recLicence: "Enregistré le : ",
    qualifLicence: "Date de qualification : ",
    mentCertMedFo: "Certificat médical de non contre-indication fourni",
    mentCertMedNf: "Certificat médical de non contre-indication non fourni",
    
    messageConfirmVider: "Confirmer ?",
    messageCompoEnregistree: "Composition enregistrée",
    
    mutation1: "Mutation hors periode jusqu'au ",
    mutation2: "24/03/2015 <br />",
    surclassement: "Surclassement interdit Art. 152 <br />",
    precedentClub1: "Club quitté: ",
    precedentClub2: "Créteil lusitanos F. US 2013 <br />",
    certificat: "L 500217 Certificat médical de non contre-indication fourni",
    info: "Informations",
    numero: "Numéro",
    capitaine: "Capitaine",
    boutonValider: "Valider",
    boutonAccueil: "Accueil",
    licence: "Licence ",
    boutonsEquipe : {
        charger : "Charger",
        vider : "Vider",
        enregistrer : "Sauvegarder",
    },
    enregistrerComposition1 : "ENREGISTRER",
    enregistrerComposition2 : "la composition",
    maillotUtilise: "Numéro de maillot déjà attribué",
    maillotFormat: "Le format du numéro n'est pas valide",
    capitanatUnique: "Un joueur a déjà été désigné capitaine",
    numMaillotIncorrect: "Le numéro de maillot du joueur doit être entre 1 et 26",
    numeroAttribue: "Numéro de maillot déjà attribué",
    numerotation: "non respect de la numérotation",
    numLiNo: "N°",
    nationalite : {
        fra : "FRA",
        etr : "ETR",
        ue : "UE",
    },
    incomplete : "incomplète",
    clubQuitte : "Club quitté",
    joueurSurLeTerrain : "Veuillez positionner un joueur sur le terrain",
    capitaineVide : "Aucun capitaine désigné",
    dirigeantResponsableVide : "Attention il n’y a pas de Dirigeant Responsable, le capitaine doit être majeur le jour du match",
    maillotNonAttribue : "Un ou plusieurs joueurs n’ont pas de numéro de maillot attribué",
    staffFonctionNonAttribue : "Un ou plusieurs membres de l’encadrement n’ont pas de fonction attribuée",
    mutation : "Une personne est en cours de mutation",
    nbRemplacantDepasse : "Nombre de remplaçants maximum dépassé",
    nbMutationDepasse : "Nombre de mutations maximum dépassé",
    nbEtrgDepasse : "Nombre de joueurs étrangers dépassé",
    nbTitulaireIncorrect : "Le nombre de titulaires est incorrect",
    maillotDoublon : "Un même numéro de maillot à déjà été attribué",
    nbStaffDepasse : "Nombre de personnes encadrantes maximum dépassé",
    nbMedecinNonSatisfait : "Nombre de médecin insuffisant",
    nbAdjointNonSatisfait : "Nombre d'adjoint insuffisant",
    nbDirigeantNonSatisfait : "Nombre de dirigeant insuffisant",
    nbCoachNonSatisfait : "Aucun entraîneur principal désigné",
    licenceIncomplete : "Licence incomplète",
    deplacementNonAutorise: "Déplacement non autorisé",
    individuDejaPresent: "Cet individu est déjà présent dans la composition de l'équipe",
    infoCompoPerdue: "la composition à l’écran sera perdue",
    sanctions: "Sanctions",
    licenceNonActive: "Non active",
    popupAlertEquipeType: {
        msg1: "Equipe Type",
        msg2: "enregistrée"
    },
    
    staffFonctions: {
        e: "Entraineur principal",
        d: "Dirigeant",
        a: "Adjoint",
        m: "Corps Médical"
    },
    popupAjoutLicencie: {
        titre: "Ajouter un encadrant",
        licenceExiste: "Ce numéro de licence apparaît déjà dans votre effectif avec le rôle d'encadrant, vous ne pouvez pas la saisir manuellement.",
        licenceFormatInvalide: "Veuillez renseigner un numéro de licence valide",
        licenceNonTrouve: "Numéro de licence non valide - Vous pouvez néanmoins continuer la saisie",
        champsManquant: "Veuillez remplir tous les champs avant de valider",
        formatDateNaissanceInvalide: "Le format de la date de naissance est invalide",
        in_nom_limit: "Le nom de l'individu ne doit pas excéder 20 caractères",
        in_prenom_limit: "Le prénom de l'individu ne doit pas excéder 20 caractères"
    }
};
Lang.faitsDeMatch= {
    ongletMatch : "Match",
    ongletRempl : "Ent/Sor",
    ongletDiscipline : "Discipline",
    ongletBlessures : "Blessures",
    ongletInfos : "Infos",
    ongletButs : "Buts",
    ongletHisto : "Histo",
    tirsAuBut : "Tirs au But",
    ongletEquipeRecevante : "équipe recevante",
    ongletEquipeVisiteur : "équipe visiteuse",
    premiere : 
        { 
            chiffre : "1",
            sup : "ère",
        },
    deuxieme : 
        { 
            chiffre : "2",
            sup : "ème",
        },
    tempsPlus : "+",
    uniteMinute : "'",
    tempsPeriode : "période : ",
    tempsProlongation : "prolongation : ",
    recevant : "Recevant",
    visiteur : "Visiteur",
    tempsDeJeu : "Temps de jeu",
    resultats : "Résultats",
    resultat : "Résultat",
    "final" : "Final",
    finTempsRegl : {
        phrase1 : "Après le temps reg.",
        phrase2 : "règlementaire",
    },
    prolongations : "Prolongations",
    matchArrete : "Match arrêté",
    matchNonJoue : "Match non joué",
    sortieSurBlessure : "Sortie sur blessure",
    minute : "Minute",
    motif : "Motif",
    motifOption : "Choisir un motif ...",
    infosComplementaires : "Informations Complémentaires ",
    observationsApresMatchNeant : "Absence d’observation d’après match",
    reservesTechniquesNeant : "Absence de réserves techniques",
    boutonValider : "VALIDER",
    boutonSelection : "sélection",
    joueurRemplace : "Joueur remplacé",
    joueurRemplacant : "Joueur remplaçant",
    reserves : "Réserves",
    auteurDeLaFaute : "Auteur de la faute",
    joueurRecompense : "Joueur récompensé",
    carton : "Carton",
    blesse : "Blessé",
    localisation : "Localisation",
    boutonVider : "Vider",
    boutonValider : "Valider",
    entreSortieSansRempl : "Entrée ou sortie sans remplacement",
    sortie : "Sortie :",
    entree : "Entrée :",
    boutonReservesTechniques : "Réserves techniques",
    boutonObsApresMatch : "Observations d'après match",
    boutonSignApresMatch : "signatures d'après match",
    saisieObsApresMatch : "Saisissez ici les observations d'après match dans la limite de 1024 caractères",
    saisieReservesTechniques : "Saisissez ici les réserves techniques dans la limite de 1024 caractères",
    boutonModifCompo : "Modifier Composition",
    licenceNonActive : "Non active",
    
    signatures : {
        signature : "Signature",
        equipeRecevante : "équipe recevante",
        arbitre : "arbitre",
        equipeVisiteuse : "équipe visiteuse",
        arbitreAssistant : "arbitre assistant",
    },
    signatureEquipeRecevante : "Signature <br/> équipe recevante",
    signatureArbitre : "Signature <br/> arbitre",
    signatureArbitreAssistant : "Signature <br/> arbitre assistant",
    signatureEquipeVisiteur : "Signature <br/> équipe visiteuse",
    signatureArbitreAssistant : "Signature <br/> arbitre assistant",
    
    signaturesApresMatch : "Signatures après match",
    nombreDeDeverrouillages : "Nombre de déverrouillages",
    boutonConnexion : "Identification",
    boutonEnvoyerFeuilleDeMatch : "CLÔTURER la feuille de match",
    entetePopupObservations: "Observations d'après match",
    entetePopupReservesTech: "Réserves techniques",
    moins : "-",
    plus : "+",
    equipeRecevante: "Equipe recevante",
    equipeVisiteur: "Equipe visiteuse",
    rapport: "Rapport complémentaire arbitre suit",
    connaissance: "Je déclare avoir pris connaissance",
    absence: "Equipe absente",
    equipeAbsente: "Equipe absente",
    
    capitaine : "Capitaine",
    DirigeantR : "Dirigeant responsable",
    
    entetePopupConnexion : "Identification",
    identifiant : "Identifiant",
    motDePasse : "Mot de passe",
    
    securite: "Securité",
    typeEvent: "Type d'évènement",
    denombrement: "Dénombrement",
    tribune: "Tribune",
    detail: "Détail",
    organisation:"ORGANISATION",
    recette: "Recette (euros)",
    nbSpectateurs: "Nombre de spectateurs",
    rgltLocaux: "Règlements locaux",
    rapportD : "Rapport délégué",
    signer : "Signer",
    
    infos : {
        confirmSuppression : "Confirmer la suppression",
        confirmValidationMatch: "Les événements déjà enregistrés seront perdus. Valider?"
    },
    
    erreurs : {
        cfe_nb_evmt_limit: "Le dénombrement ne peut excéder 999",
        cfe_trib_limit: "Le nom de la tribune ne peut excéder 10 caractères",
        ma_motif_non_joue_limit: "La raison de la non tenue du match ne peut excéder 256 caractères",
        ma_motif_arret_limit: "La raison de l'arrêt du match ne peut excéder 256 caractères",
        cfe_lib_securite_limit: "Le détail des événnements de sécurité ne peut excéder 50 caractères",
        cfe_lib_discipline_limit: "La description du carton ne peut excéder 50 caractères",
        cfe_lib_blessure_limit: "La description de la blessure ne peut excéder 50 caractères",
        cfm_reglt_locaux_lib_limit: "La description des réglements locaux ne peut excéder 256 caractères",
        erreurIdentifiant : "Erreur: Identifiant inconnu",
        erreurChampsManquants : "Des champs requis ne sont pas remplis !",
        erreurInfosComplementaires : "Les infos complémentaires sont obligatoires pour le carton noir",
        minuteFormat: "Le format des minutes n'est pas valide",
        minute2Format: "Le format du temps supplémentaire doit être un nombre",
        minute2HorsLimite: "Le temps supplémentaire ne peut pas excéder le temps de jeu",
        minArretDepassee : "Veuillez saisir un temps dans les limites du match joué",
        parametresCompetitionObligatoires: "Des champs de compétition obligatoires sont vides",
        remplacant: {
            vide: "Veuillez sélectionner un joueur entrant ou sortant",
            plein: "Veuillez ne placer qu'un seul joueur entrant ou sortant",
            licenceDifferent: "Veuillez sélectionner des joueurs différents",
            remplTitulaire: "Veuillez choisir un joueur non titulaire dans la zone des remplaçants",
            tropDeJoueurs: "Le nombre maximum de joueurs positionnés sur le terrain est atteint",
            pasAssezDeJoueurs: "Le nombre minimum de joueurs positionnés sur le terrain est atteint",
            entreeOuSortieUniquement: {
                part1: "Vous ne pouvez pas effectuer cette action.",
                part2: "Si vous souhaitez effectuer ce type de changement veuillez décocher la case",
                part3: "« Entrée ou sortie sans remplacement »",
                part2Cochee: "Si vous souhaitez effectuer ce type de changement veuillez cocher la case"
            },
        remplacement_recevante : "Nombre de remplacement de l'équipe recevante est dépassé",
        remplacement_visiteuse : "Nombre de remplacement de l'équipe visiteuse est dépassé",
        },
        buts: {
            licence1: "Veuillez sélectionner un joueur buteur",
            licence2: "Veuillez sélectionner un joueur passeur",
            licencedifferent: "Veuillez sélectionner des joueurs différents",
            nbButsMaximum: "Tous les buts ont été saisis",
            nbButsSaisisInsuffisant: "Tous les buts n'ont pas été saisis",
            tpsReglementaireButs: "Le résultat final doit être supérieur ou égal au résultat après le temps réglementaire",
            buteurExpulse: "Le buteur a été expulsé. Il n'est plus présent sur le terrain à ce moment du match"
        },
        nonPresentSurTerrain: "Le joueur n'est pas présent sur le terrain à ce moment du match",
        blessure: {
            localisationBlessure: "Veuillez sélectionner une localisation",
            blessureAutre: "Veuillez détailler la blessure"
        },
        licence: "Veuillez sélectionner un licencié",
        carton: "Veuillez sélectionner un carton",
        nbCVMaximumMatch: "Le nombre maximum de cartons verts est déjà atteint pour ce match (3)",
        nbCVMaximumEquipe: "Une même équipe ne peut pas recevoir plus de 2 cartons verts",
        nbCVMaximumJoueur: "Ce joueur possède déjà un carton vert",
        deplacementNonAutorise: "Déplacement non autorisé",
        infos: {
            denombrement: "Le format du champ dénombrement n'est pas correct",
            saisieOrganisation : "Ce match requiert la saisie des champs recette et nombre de spectateurs",
            organisationNumerique: "Les champs Recette et Nombre de spectateurs doivent être numériques",
            reglementLocaux : "Ce match requiert la saisie des règlements locaux",
            nombreSpectateursInfoMax: "Veuillez saisir un nombre de spectateurs inférieur à 999 999",
            recetteInfoMax: "Veuillez saisir une recette inférieure à 99 999 999 999"
        },
        signatures: {
            connaissance: "Veuillez confirmer avoir pris connaissance des infos match.",
            signataire: "Veuillez selectionner un signataire.",
            signatureVide: "Veuillez signer."
        }
    },
    
    
    diminutifs : {
        dirigeantResponsable : "DR",
        equipeRecevanteHisto : "Rec",
        equipeVisiteuseHisto : "Vis",
    },
    
    valide : "Validé !",
    selectMotifAutre : "Autre",
    suspensionHorsMatch : "Expulsion hors match",
    avantMatch : "avant-match",
    apresMatch : "après-match"
};
Lang.feuilleDeMatch= {
    boutonAccueil : "Accueil",
    boutonInfosMatch : "Infos Arbitre",
    boutonControles : "contrôles",
    boutonReservesAvantMatch : "réserves d'avant match",
    boutonSignaturesAvantMatch : "signatures d'avant match",
    boutonValider : "Valider",
    boutonValiderInfosArbitre :"Valider les infos arbitre",
    boutonInvalider: "Invalider",
    equipeRecevante : "équipe recevante",
    equipeVisiteur : "équipe visiteuse",
    boutonIdentification : "Identification",
    boutonPreparer : "Préparer",
    boutonValider : "Valider",
    boutonMasquer : "Masquer",
    boutonDemasquer : "Démasquer",
    boutonFaitsDeMatch : "Faits du match",
    boutonComposition : "Composition",
    boutonDeverrouiller : "Modifier",
    inconnu: "inconnu",
    prolongations : "Prolongations",
    tirsAuBut : "Tirs au but",
    medecin : "Médecin",
    capitaine: "Capitaine",
    dirigeantResponsable: "Dirigeant Responsable",
    choixSignataire: "Choisir le signataire",
    licenceNo: "Licence n°",
    technicienLumiere : "Technicien Lumière",
    directeurSecurite : "Directeur Sécurité",
    terrain : "terrain",
    arbitre : "Arbitre",
    arbitrecentral : "Arbitre Central",
    entetePopupConnexion : "Identification",
    entetePopupInfosMatch : "Infos Arbitre",
    entetePopupSignatures : "Signatures d'avant match",
    signer : "Signer",
    identifiant : "Identifiant",
    motDePasse : "Mot de passe",
    mdpRencontre : "Mot de passe rencontre",
    mdpConfirmation : "Confirmation mot de passe",
    localite: "Localité: ",
    terrain: "Terrain: ",
    dateHeure: "Date & Heure: ",
    technicien: "Technicien Lumière: ",
    directeur: "Directeur de sécurité: ",
    prolongation: "Prolongation",
    tirAuBut: "Tir au but",
    titleOff: "LISTE DES OFFICIELS",
    mdp: "Mot de passe",
    qSecu: "Question de sécurité",
    choisir: "Choisir",
    ajout: "Ajouter",
    enregistre :"Enregistrer",
    nomOff: "Nom",
    prenomOff: "Prenom",
    status: "Status",
    benevole: "Bénévole",
    fonction: "Fonction",
    pArbitre: "1er arbitre",
    numLicence: "N° de licence",
    huisClos: "Match à huis clos",
    rencontreTv: "Rencontre Télévisée",
    equipeAbsente: "Equipe absente",
    absenceSignature: "Absence de signature",
    connaissance:"Je déclare avoir pris connaissance",
    connaissanceArbitre : "Avoir pris connaissance",
    connaissanceArbitreReserves : "Avoir pris connaissance et informé les deux clubs",
    connaissanceAvantMatchEquipe : "Certifie conforme et avoir pris connaissance",
    matchAvec: "MATCH AVEC",
    motDePasseOublie: "Mot de passe arbitre oublié",
    motDePasseRencontreOublie: "Mot de passe rencontre oublié",
    reponse: "Réponse",
    nouveauMotDePasse: "Nouveau mot de passe",
    licenceNonActive : "Non active",
    
    signatureEquipeRecevante : "Signature <br/> équipe recevante",
    signatureArbitre : "Signature <br/> arbitre",
    signatureArbitreAssistant : "Signature <br/> arbitre assistant",
    signatureEquipeVisiteur : "Signature <br/> équipe visiteuse",
    signaturesApresMatch : "Signatures après match",
    nombreDeDeverrouillages : "Nombre de déverrouillages",
    boutonConnexion : "Identification",
    alerteDeverrouillage: "Attention ! Ce choix annule les signatures et relance la modification  de la Feuille en avant match. Voulez-vous confirmer ?",
    alerteFermeturePopupInfosMatch: "Attention ! Si vous avez modifié les informations concernant les officiels, elles sont déjà prises en compte.",
    alerteSuppressionArbitreCentre: "Attention ! La suppression de l’arbitre central entraine l’invalidation des infos match et la suppression du mot de passe arbitre.",
    alerteSuppressionArbitreAssistant: "Attention ! La suppression d'un arbitre assistant entraine l’invalidation des infos match.",
    alerteBoutonControlesManqueEquipe: "Attention ! Une des deux équipes n'a pas validé sa composition, le contrôle n'est pas permis.",
    alerteBoutonFaitsDeMatchManqueEquipe: "Attention ! Une des deux équipes n'a pas validé sa composition. En continuant, le match sera mentionné comme non joué.",
    alerteSuppressionSignaturesAvantMatch: "Des signatures d’avant match existent (Feuille de match ou Réserves), elles seront supprimées et devront de nouveau être réalisées ",
    boutonEnvoyerFeuilleDeMatch : "CLÔTURER la feuille de match",
    
    popupConfirm: "Confirmer la suppression",
    
    messageFeuilleDeMatchNonValidee: "Composition non validée",
    messageFeuilleDeMatchValidee: "Composition validée",
    
    boutonConfirmOK: "Continuer",
    boutonConfirmKO: "Annuler",
    
    erreurs : {
        erreurIdentifiant : "Erreur: Identifiant inconnu",
        //Erreur de validation de composition
        erreurValidationPasFeuilleDeMatch: "Pas de feuille de match",
        erreurValidationPasComposition: "Pas de composition",
        erreurValidationPasCapitaine: "Pas de capitaine dans l'équipe",
        erreurValidationDoublonMaillot: "Numéro de maillot non unique: ",
        erreurValidationNombreTitulaire: "Pas assez de joueurs titulaires: ",
        erreurValidationTactique: "Tactique non renseignée",
        infosMatch: {
            mmf_in_nom_limit: "Le nom de l'arbitre ne doit pas excéder 20 caractères",
            mmf_in_prenom_limit: "Le prénom de l'arbitre ne doit pas excéder 20 caractères",
            cfm_med_limit: "Le nom du médecin ne doit pas excéder 256 caractères",
            cfm_te_loca_limit: "Le lieu du match de ne doit pas excéder 25 caractères",
            cfm_te_nom_limit: "Le nom du terrain ne doit pas excéder 32 caractères",
            cfm_tech_lum_limit: "Le nom du technicien lumière ne doit pas excéder 256 caractères",
            cfm_direc_secu_limit: "Le nom du directeur de la sécurité ne doit pas excéder 256 caractères",
            champsRequis: "Champs match requis non saisis",
            questionSecrete: "Veuillez renseigner la question secrète",
            reponseSecrete: "Veuillez saisir une réponse de sécurité",
            motDePasseArbitre: "Veuillez renseigner le mot de passe arbitre",
            motDePasseConfirmation: "Le mot de passe et sa confirmation ne correspondent pas",
            rechercheLicence: "Veuillez renseigner 3 caractères minimum pour chercher un individu par son nom",
            manqueArbitres: "le corps arbitral n'est pas au complet - un arbitre central et deux assistants sont obligatoires.",
            manqueArbitresFutsal: "le corps arbitral n'est pas au complet - un arbitre central et un assistant sont obligatoires.",
            formatDate: "Format date non accepté, veuillez saisir : dd/mm/aaaa",
            formatHeure: "Le format de l'heure n'est pas correct",
            manqueNomPrenom: "Veuillez renseigner un nom, un prénom, et un numéro de licence",
            arbitreCentreExiste: "Un arbitre centre est déjà saisi",
            nbArbitreAssistant1Existe: "Un arbitre assistant 1 est déjà saisi",
            nbArbitreAssistant2Existe: "Un arbitre assistant 2 est déjà saisi",
            delegueRequis: "Champs Délégué requis non saisis",
            maxArbitresAtteint: "Nombre d'arbitre maximum atteint",
            maxDeleguesAtteint: "Nombre de délégué maximum atteint",
            nomPrenomFormat: "Le nom et le prénom ne doivent contenir que des caractères alphabétiques et des tirets",
            licenceInt: "Le numéro de licence doit être un nombre composé de 10 chiffres",
            pieceNan: "La pièce justificative d'identité ne doit contenir que des caractères alphanumériques",
            licenceOfficielExistante : "Le numéro de licence renseigné existe déjà dans la liste des officiels.",
            licenceNonTrouvee : "La chaine de caractères renseignée ne correspond à aucun nom d'individu.",
            manqueTypeArbitre : "Veuillez renseigner un type d'arbitre",
        },
        infosConnectionRencontre : {
            motDePasse: "Veuillez renseigner un mot de passe de rencontre",
            motDePasseConfirmation: "Le mot de passe et sa confirmation ne correspondent pas",
            questionSecrete: "Veuillez renseigner la question de sécurité",
            reponseSecrete: "Veuillez saisir une réponse de sécurité"
        },
        questionSecu: {
            choixQuestion: "Veuillez choisir une question",
            choixReponse: "Veuillez renseigner une réponse",
            questNonCorrespondante: "La question sélectionnée ne correspond pas",
            repNonCorrespondante: "La réponse saisie ne correspond pas",
            nouveauMotDePasse: "Veuillez saisir un nouveau mot de passe"
        },
        signatures: {
            connaissance: "Veuillez confirmer avoir pris connaissance de toutes les infos match.",
            signataire: "Veuillez selectionner un signataire.",
            signatureVide: "Veuillez signer."
        }
        
    },
    libellesPopupInfosMatch: {
        dureeDe: "Durée de",
        directeurSecu: "Directeur de sécurité",
        lieu: "Lieu",
        medecin: "Médecin",
        matchAvec: "Match avec",
        terrain: "Terrain",
        technicienLumiere: "Technicien lumière",
        prolongation: "Prolongation",
        tirsAuBut: "Tirs au but",
        dateHeure: "Date Heure",
        heure: "Heure",
        minute: "Min",
        motDePasse: "Mot de passe",
    },
    titres: {
        ajouter: "Ajouter",
        mdpArbitre: "MOT DE PASSE ARBITRE",
        listeOfficiels: "LISTE DES OFFICIELS",
    },
    select: {
        type: {
            titre: "Type",
            arbitre: "Arbitre",
            delegue: "Délégué",
            medecin: "Médecin",
        },
        statut: {
            titre: "Statut",
            officiel: "Officiel",
            benevole: "Bénévole",
        },
        fonction: {
            titre: "Fonction",
            arbitreCentre: "Arbitre centre",
            arbitreAssistant1: "Arbitre assistant 1",
            arbitreAssistant2: "Arbitre assistant 2",
            arbitreRemplacant: "Arbitre remplaçant",
            arbitreAssistantSupplementaire1: "Arbitre assistant supplémentaire 1",
            arbitreAssistantSupplementaire2: "Arbitre assistant supplémentaire 2",
        }
    },
    questionSecurite: {
        titre: "Question de sécurité",
        intituleTitre: "Choisir",
        question1: "Quel est le prénom de votre maman ?",
        question2: "Votre ville de naissance ?",
        reponsePlaceholder: "Saisissez une réponse de sécurité"
    },
    reponseSecurite: {
        titre: "Réponse de sécurité"
    },
    licence: "Licence ",
    fff: "www.fff.fr",
    numLiNo: "N°",
    club1: "Club : ",
    clubGroupement : "Club groupement : ",
    birth: "Né le : ",
    nat: "Nationalité : ",
    nationalite : {
        fra : "FRA",
        etr : "ETR",
        ue : "UE",
    },
    recLicence: "Enregistré le : ",
    clubQuitte : "Club quitté",
    incomplete : "incomplète",
    
    mentCertMedFo : "Certificat médical de non contre-indication fourni",
    mentCertMedNf : "Certificat médical de non contre-indication non fourni",
    champObligatoire: "*",
    
    compositionMatch : {
        titre: "Composition du match",
        equipeRecevante: "Equipe Recevante",
        equipeVisiteuse: "Equipe Visiteuse",
        maillot: "Maillot",
        nomPrenom: "Nom Prénom"
    },

    remplirAutoInfosArbitre : {
        nom: "toto",
        prenom : "toto",
        no_licence1 : "1234567890",
        no_licence2 : "2345678901",
        no_licence3 : "3456789012"
    }
};
Lang.header = {
	"mainContent": {
	    "#bienvenue" : "Bienvenue sur votre application<br><b>FEUILLE DE MATCH</b>",
    	".class": "Identification",
	},
	deconnexion: "Souhaitez-vous vous déconnecter ?",
	equipeTitre: "Préparer votre équipe",
    afficherErreurs: "Afficher les erreurs",
    reservesTitre: "Saisir les réserves",
    faitsDeMatchTitre: "Saisir les faits du match",
    feuilleDeMatchTitre: "Remplir la feuille de match",
    plus: "+",
    moins: "-",
    tab: "TAB",
    duree: "Durée : ",
    minutes: "'",
    synchroniser: "Synchroniser",
    recupererRencontres: "Récupérer les rencontres",
    transmettre: "Transmettre",
    derniereSynchro: "Dernière synchro",
    derniereRecup: "Dernière récup",
    utilisateur: "Utilisateur",
    cguIndisponible: "Les CGU ne sont pas disponibles. Veuillez synchroniser l'application.",
    confirmMatchNonCloture: "Vous n'avez pas encore clôturé le match. Souhaitez-vous tout de même retourner à l'écran d'accueil ?"
};
Lang.infosFacultatives= {
    headerTitre: "Informations Facultatives",
    ongletTactique : "Tactique",
    ongletButeurs : "Buteurs",
    ongletOrganisation : "Organisation",
    effectifsDuMatch : "Effectifs du match",
    viderTactique : "Confirmer ?",
    but : "But : ",
    messageOk: "Informations transmises !",
    erreurRecette: "La recette doit être un nombre",
    erreurSpectateur: "Le nombre de spectateurs doit être un nombre"
};
Lang.reserves= {
    toto: "Effectif",
    nom: "NOM <br /> Prénom",
    poste: "Poste <br /> Catégorie / Fonction",
    numlicense: "Numéro de license <br /> Date de qualification",
    textRemplacant: "remplaçants",
    textStaff: "encadrement",
    moins : "-",
    plus : "+",
    reserves: "Reserves",
    reserve1: "Titre 1",
    reserve2: "Titre 2",
    reserve3: "Titre 3",
    reserve4: "Titre 4",
    reserve5: "Titre 5",
    annuler: "Annuler",
    test: "Saepissime igitur mihi de amicitia cogitanti maxime illud considerandum videri solet, utrum propter imbecillitatem atque inopiam desiderata sit amicitia, ut dandis recipiendisque meritis quod quisque minus per se ipse posset, id acciperet ab alio vicissimque redderet, an esset hoc quidem proprium amicitiae, sed antiquior et pulchrior et magis a natura ipsa profecta alia causa. Amor enim, ex quo amicitia nominata est, princeps est ad benevolentiam coniungendam. Nam utilitates quidem etiam ab iis percipiuntur saepe qui simulatione amicitiae coluntur et observantur temporis causa, in amicitia autem nihil fictum est, nihil simulatum et, quidquid est, id est verum et voluntarium.",
    ongletEquipeRecevante : "équipe recevante",
    ongletEquipeVisiteur : "équipe visiteuse",
    
    signatureEquipeRecevante : "Signature <br/> équipe recevante",
    signatureArbitre : "Signature <br/> arbitre",
    signatureEquipeVisiteur : "Signature <br/> équipe visiteuse",
    signaturesApresMatch : "Signatures après match",
    nombreDeDeverrouillages : "Nombre de déverrouillages",
    signatureReservesAv : "Réserves d'avant match",
    boutonConnexion : "Identification",
    boutonDeverrouiller : "Modifier",
    boutonSignature : "Signature",
    alerteDeverrouillage: "Attention ! Ce choix annule les signatures et relance la modification  de la Feuille en avant match. Voulez-vous confirmer ?",
    alerteSignatures: "Des signatures d’avant match existent, elles seront supprimées et devront de nouveau être réalisées",
    boutonEnvoyerFeuilleDeMatch : "CLÔTURER la feuille de match",
    RICV : "Réserves sur installation",
    RACR : "Réserves autres sur l'équipe recevante",
    RACV : "Réserves autres sur l'équipe visiteuse",
    RA : "Réserves Autres",
    enteteDescriptionReservesAutres : "Je soussigné(e) [NOM_F], [PRENOM_F], [LICENCE_F] [ROLE_F] du club [CLUB_F] @@@formule des réserves pour le motif suivant : @@@",
    enregistrer : "Réserve enregistrée",
    erreurs : {
        signatures: {
            connaissance: "Veuillez confirmer avoir pris connaissance des infos match.",
            signataire: "Veuillez selectionner un signataire.",
            signatureVide: "Veuillez signer.",
            absencesLimite: "Les réserves doivent être signées par l'arbitre et au moins une des deux équipes."
        }
        
    },
    confirmationRetourFeuilleDeMatch: "Attention vous n'avez pas signé vos réserves.",
    retour : "Retour",
    feuilleDeMatch_minuscule :"feuille de match",
    reservesTextPlaceholder: "Saisissez ici le motif de la réserve dans la limite de 1024 caractères"
};
Lang.signature = {
    eRecevante: "Equipe Recevante",
    eVisiteur: "Equipe Visiteuse",
    plus: "+",
    connexion : "Identification",
    valider: "valider",
    signatureER: "Signature équipe <br /><b>recevante</b>",
    signatureA: "Signature <br /><b>arbitre</b>",
    signatureEV : "Signature équipe <br /><b>visiteuse</b>"
};
Lang.synchronisation = {
    demanderTransmission: "Effectuer la transmission (Attention si vous refusez vos données seront supprimées!)",
    
    erreurTransmissionEquipeType: "Erreur lors de la transmission des équipe types",
    erreurTransmissionCompositionConflit: "Erreur lors de la gestion des conflits des compositions",
    erreurTransmissionComposition: "Erreur lors de la transmission des compositions",
    erreurTransmissionFeuilleDeMatch: "Erreur lors de la transmission des feuilles de match",
    erreurTransmissionHistoFeuilleDeMatch: "Erreur lors de la transmission des historiques des feuilles de match",
    erreurTransmissionInfosComplementaires: "Erreur lors de la transmission des infos complémentaire",
    
    erreurDemandeFmiRef: "Erreur lors de la récupération du référentiel",    
    erreurDemandeDemo: "Erreur lors de la récupération des données de démo",    
    erreurDemandeMatch : "Erreur lors de la récupération des matchs",
    erreurDemandeLicence : "Erreur lors de la récupération des licences",
    erreurDemandeGroupe : "Erreur lors de la récupération des groupes",
    erreurDemandeUtilisateur : "Erreur lors de la récupération des utilisateurs",
    erreurDemandeEquipeType : "Erreur lors de la récupération des équipes types",
    erreurDemandeFeuilleDeMatch : "Erreur lors de la récupération des feuilles de match",
    erreurDemandeDatePurge : "Erreur lors de la récupération de la date de la purge",
    
    erreurpasDeMatch : "Pas de match retourné",
    erreurMiseAjour: "Mise à jour obligatoire",

    confirmMatchNonCloture: "Des matchs n'ont pas encore été clôturés.<br>Souhaitez-vous tout de même poursuivre l'opération ?"
};
