var FaitsDeMatchBlessureService = {
    FMI_BLESSURES_TOUT : null,
    FMI_CFE_COD_BLESS_TETE : null,
    FMI_CFE_COD_BLESS_MS_G : null,
    FMI_CFE_COD_BLESS_TRONC : null,
    FMI_CFE_COD_BLESS_MS_D : null,
    FMI_CFE_COD_BLESS_MIB : null,
    FMI_CFE_COD_BLESS_MIH : null,
    modifier: function(element) {
        FaitsDeMatchBlessureService.supprimerPartieCorpsActif();
        FaitsDeMatchHistoriqueDto.idBlessureModifier = element.attr("data-for");
        FaitsDeMatchOngletsService.changeOnglet($("#blessures"));
        
        var idLicence = $("#" + element.parent().parent().find(".l1_li_no").val()).find(".li_no").val();
        var photo = $("#" + element.parent().parent().find(".l1_li_no").val()).find(".in_photo").val();
        $("#blesse").html("<img src=" + Utils.prepareBase64Image(photo) + " height= '43px' width='43px' alt=" + idLicence + " />");
        $("#nom_blesse").html($("#" + idLicence).find(".in_nom").val());
        $("#prenom_blesse").html($("#" + idLicence).find(".in_prenom").val());
        //$(".partieCorps").find("#" + element.parent().parent().find(".cfe_action").val()).parent().addClass("partieCorpsActif");
        FaitsDeMatchBlessureService.showBlessure();
        
        FaitsDeMatchService.afficherMaillotSanction(true, "_blesse", $("#" + idLicence).find(".cfi_maillot").val(), $("#" + idLicence).find(".cfi_role").val());
        var minuteBlessures = element.parent().parent().find(".cfe_min").val();
        var minuteBlessuresPlus = element.parent().parent().find(".cfe_min_sup").val();
        
        if (Utils.isNotBlank(minuteBlessures)) {
            $("#minuteBlessures").val(minuteBlessures);
            $("#minuteBlessuresPlus").val(minuteBlessuresPlus);
        } else {
            $("#chbxSortieSurBlessure").attr("checked",true);
            $("#minuteBlessures, #minuteBlessuresPlus").attr("disabled", true);
            $("#minuteBlessures, #minuteBlessuresPlus").val("");
        }
        
        Engine.selectSetVal($("#localisationsBlessures"), element.parent().parent().find(".cfe_cod_bless").val());
        $("#autreBlessure").val(element.parent().parent().find(".cfe_lib").val());
        FaitsDeMatchBlessureService.activerDesactiverChampAutre();
    },
    showBlessure: function(callback) {
        if(typeof callback === 'undefined') {
            FaitsDeMatchBlessureService.chargerReferentiels(function() {
                FaitsDeMatchBlessureService.showBlessureAfterLoad();
            });
        } else {
            FaitsDeMatchBlessureService.chargerReferentiels(
                callback
            );
        }
    },
    chargerReferentiels: function(callback) {
        if (FaitsDeMatchBlessureService.FMI_BLESSURES_TOUT == null) {
            Engine.getReferentiel("ref_typ", "FMI_CFE_COD_BLESS_AU", function(data) {
                FaitsDeMatchBlessureService.FMI_BLESSURES_TOUT = data;
                Engine.getReferentiel("ref_typ", "FMI_CFE_COD_BLESS_TETE", function(data) {
                    FaitsDeMatchBlessureService.FMI_CFE_COD_BLESS_TETE = data;
                    FaitsDeMatchBlessureService.FMI_BLESSURES_TOUT = FaitsDeMatchBlessureService.FMI_BLESSURES_TOUT.concat(data);
                    Engine.getReferentiel("ref_typ", "FMI_CFE_COD_BLESS_MS_G", function(data) {
                        FaitsDeMatchBlessureService.FMI_CFE_COD_BLESS_MS_G = data;
                        FaitsDeMatchBlessureService.FMI_BLESSURES_TOUT = FaitsDeMatchBlessureService.FMI_BLESSURES_TOUT.concat(data);
                        Engine.getReferentiel("ref_typ", "FMI_CFE_COD_BLESS_TRONC", function(data) {
                            FaitsDeMatchBlessureService.FMI_CFE_COD_BLESS_TRONC = data;
                            FaitsDeMatchBlessureService.FMI_BLESSURES_TOUT = FaitsDeMatchBlessureService.FMI_BLESSURES_TOUT.concat(data);
                            Engine.getReferentiel("ref_typ", "FMI_CFE_COD_BLESS_MS_D", function(data) {
                                FaitsDeMatchBlessureService.FMI_CFE_COD_BLESS_MS_D = data;
                                FaitsDeMatchBlessureService.FMI_BLESSURES_TOUT = FaitsDeMatchBlessureService.FMI_BLESSURES_TOUT.concat(data);
                                Engine.getReferentiel("ref_typ", "FMI_CFE_COD_BLESS_MIH", function(data) {
                                FaitsDeMatchBlessureService.FMI_CFE_COD_BLESS_MIH = data;
                                FaitsDeMatchBlessureService.FMI_BLESSURES_TOUT = FaitsDeMatchBlessureService.FMI_BLESSURES_TOUT.concat(data);
                                    Engine.getReferentiel("ref_typ", "FMI_CFE_COD_BLESS_MIB", function(data) {
                                        FaitsDeMatchBlessureService.FMI_CFE_COD_BLESS_MIB = data;
                                        FaitsDeMatchBlessureService.FMI_BLESSURES_TOUT = FaitsDeMatchBlessureService.FMI_BLESSURES_TOUT.concat(data);
                                        
                                        if (typeof callback === 'function') {
                                            callback();
                                        }
                                    });
                                });
                            }); 
                        });
                    });
                });
            });
        } else {
            if (typeof callback === 'function') {
                callback();
            }
        }
    },
    showBlessureAfterLoad: function() {
        var partieCorps = ($("#corps").find(".partieCorpsActif").length > 0) ? ($("#corps").find(".partieCorpsActif"))[0].id : "";
        var localisationsBlessures = "";
        
        if(partieCorps == "tete") {
            localisationsBlessures = FaitsDeMatchBlessureService.FMI_CFE_COD_BLESS_TETE;
        } else if(partieCorps == "brasgauche") {
            localisationsBlessures = FaitsDeMatchBlessureService.FMI_CFE_COD_BLESS_MS_G;
        } else if(partieCorps == "buste") {
            localisationsBlessures = FaitsDeMatchBlessureService.FMI_CFE_COD_BLESS_TRONC;
        } else if(partieCorps == "brasdroit") {
            localisationsBlessures = FaitsDeMatchBlessureService.FMI_CFE_COD_BLESS_MS_D;
        } else if(partieCorps == "cuisses") {
            localisationsBlessures = FaitsDeMatchBlessureService.FMI_CFE_COD_BLESS_MIH;
        } else if(partieCorps == "pieds") {
            localisationsBlessures = FaitsDeMatchBlessureService.FMI_CFE_COD_BLESS_MIB;
        } else {
            localisationsBlessures = FaitsDeMatchBlessureService.FMI_BLESSURES_TOUT;
        }
        Engine.addView("#listeLocalisationsBlessures", "blessures.html:afficherListeBlessures", {
            localisationsBlessures : localisationsBlessures,
            forcerVisualiser : false
        });
        FaitsDeMatchBlessureService.activerDesactiverChampAutre();
    },
    tester: function (erreur) {
        var joueurBlesse = $("#blesse").find("img").attr("alt");
        var numeroLicence = $("#" + joueurBlesse).find(".li_no").val();
        var minute = $("#minuteBlessures").val();
        var minutePlus = $("#minuteBlessuresPlus").val();
        var localisationsBlessures = Engine.selectGetVal($("#localisationsBlessures"));
        var autreBlessure = $("#autreBlessure").val();
        var matchArrete = Utils.isNotBlank(FeuilleDeMatchDto.data.ma_min_arret) ? true : false;
        var ma_min_arret = FeuilleDeMatchDto.data.ma_min_arret;
        var chbxSortieSurBlessure = $("#chbxSortieSurBlessure")[0].checked;

        if (!Utils.isNotBlank(numeroLicence))  {
            erreur.push(Lang.faitsDeMatch.erreurs.licence);
        } else if (Utils.isNotBlank(numeroLicence) && !chbxSortieSurBlessure && localisationsBlessures == "AU" && autreBlessure == "") {
            erreur.push(Lang.faitsDeMatch.erreurs.erreurChampsManquants);
        } else if (Utils.isNotBlank(numeroLicence) && chbxSortieSurBlessure && Utils.isBlank(minute) && Utils.isBlank(minutePlus) && localisationsBlessures == "AU" && autreBlessure == "") {
            erreur.push(Lang.faitsDeMatch.erreurs.erreurChampsManquants);
        } else if (autreBlessure.length > 0 && autreBlessure.length > 50) {
            erreur.push(Lang.faitsDeMatch.erreurs.cfe_lib_blessure_limit);
        } else if (localisationsBlessures == "AU" && autreBlessure == "") {
            erreur.push(Lang.faitsDeMatch.erreurs.blessure.blessureAutre);
        } else if (!Utils.isNotBlank(localisationsBlessures)) {
            erreur.push(Lang.faitsDeMatch.erreurs.blessure.localisationBlessure);
        } 

        if (chbxSortieSurBlessure) {
            FaitsDeMatchOngletsService.addErrorFormatMinute(erreur, minute, minutePlus);
            if (matchArrete && ma_min_arret < Utils.parseInt(minute+minutePlus)) {
                erreur.push(Lang.faitsDeMatch.erreurs.minArretDepassee);
            }
        }
    },
    inserer: function() {
        var joueurBlesseMaillot = $("#sanctionMaillotContainer_blesse").find(".boxFondBlanc").text() || $("#sanctionMaillotContainer_blesse").find(".boxFondDore").text();
        var joueurBlesse = $("#blesse").find("img").attr("alt");
        var numeroLicence = $("#" + joueurBlesse).find(".li_no").val();
        var minute = $("#minuteBlessures").val();
        var minutePlus = $("#minuteBlessuresPlus").val();
        var localisationsBlessures = Engine.selectGetVal($("#localisationsBlessures"));
        var autreBlessure = $("#autreBlessure").val();
        var chbxSortieSurBlessure = $("#chbxSortieSurBlessure")[0].checked;
        
        Engine.headerController.showError("");
        
        FaitsDeMatchHistoService.init();
        FaitsDeMatchHistoriqueDto.data.ma_no = FeuilleDeMatchDto.ma_no;
        FaitsDeMatchHistoriqueDto.data.cfm_no = FeuilleDeMatchDto.cfm_no;
        if (chbxSortieSurBlessure) {
            FaitsDeMatchHistoriqueDto.data.cfe_min = parseInt(minute, 10);
            FaitsDeMatchHistoriqueDto.data.cfe_min_sup = isNaN(parseInt(minutePlus, 10))? "" : parseInt(minutePlus, 10);
            FaitsDeMatchHistoriqueDto.data.cfe_min_sup = isNaN(parseInt(minutePlus, 10))? "" : parseInt(minutePlus, 10);
        }
        else {
            FaitsDeMatchHistoriqueDto.data.cfe_min = null;
            FaitsDeMatchHistoriqueDto.data.cfe_min_sup = null;
        }
        FaitsDeMatchHistoriqueDto.data.l1_cfi_maillot = joueurBlesseMaillot;
        FaitsDeMatchHistoriqueDto.data.l1_li_no = numeroLicence;
        FaitsDeMatchHistoriqueDto.data.cfe_typ = "BL";
        FaitsDeMatchHistoriqueDto.data.cfe_cod_bless = localisationsBlessures;
        FaitsDeMatchHistoriqueDto.data.cfe_lib = autreBlessure;
        
        //FaitsDeMatchHistoriqueDto.data.cfe_no = 1;
        if (FaitsDeMatchHistoriqueDto.idBlessureModifier != null) {
            DataBase.deleteById("MATCH_FEUILLE_EVENEMENT", FaitsDeMatchHistoriqueDto.idBlessureModifier);
            FaitsDeMatchHistoriqueDto.idBlessureModifier = null;
        }
        FaitsDeMatchHistoService.insertHistorique(function() {
            $("#blesse").html("");
            $("#nom_blesse").html("");
            $("#prenom_blesse").html("");
            $("#minuteBlessures").val("");
            $("#minuteBlessuresPlus").val("");
            $("#chbxSortieSurBlessure").removeAttr("checked");
            Engine.selectSetVal($("#localisationsBlessures"));
            $("#autreBlessure").val("");
            FaitsDeMatchService.afficherMaillotSanction(false, "_blesse");
            FaitsDeMatchBlessureService.activerDesactiveSortieSurBlessure();
            FaitsDeMatchBlessureService.supprimerPartieCorpsActif();
            FaitsDeMatchBlessureService.showBlessure();
            FaitsDeMatchOngletsService.afficherCompteur(FeuilleDeMatchDto.cfm_no, "BL");
        });
    },
    valider: function() {
        var erreur = [];
        Engine.headerController.showError("");
        FaitsDeMatchBlessureService.tester(erreur);
        
        if (erreur.length == 0) {
            FaitsDeMatchBlessureService.inserer();
        } else {
            Engine.headerController.showError(erreur[0]);
        }
    },
    activerDesactiverChampAutre: function() {
        if($("#localisationsBlessures").val() == "AU") {
            $("#autreBlessure").prop('disabled', false);
        } else {
            $("#autreBlessure").val("");
            $("#autreBlessure").prop('disabled', true);
        }
    },
    activerDesactiveSortieSurBlessure: function () {
        if ($("#chbxSortieSurBlessure")[0].checked) {
            $("#minuteBlessures, #minuteBlessuresPlus").removeAttr("disabled");
            $("#minuteBlessures, #minuteBlessuresPlus").val("");
        } else {
            $("#minuteBlessures, #minuteBlessuresPlus").attr("disabled", true);
            $("#minuteBlessures, #minuteBlessuresPlus").val("");
        }
    },
    supprimerPartieCorpsActif: function() {
        $("#corps").find("div").each(function() {
            if ($(this).hasClass(this.id + "Affichage")) {
                $(this).removeClass(this.id + "Affichage");
                $(this).removeClass("partieCorpsActif");
            }
        });
    }
}; 