var FaitsDeMatchButsService = {
    joueurExpulse: function(li_no, min, minPlus) {
        var visiteur = !FaitsDeMatchHistoService.isJoueurRecevantFromCompositionsMatchDto("li_no", li_no);
        var timingBut = Utils.parseInt(min+minPlus);
        var cmpJaune = 0;
        var in_no = FaitsDeMatchOngletsService.recuperationInNo(li_no, visiteur);
        for (var i in FaitsDeMatchHistoriqueDto.histo) {
            data = FaitsDeMatchHistoriqueDto.histo[i];
            if (data.cfe_typ == "DI" && (data.in_no === in_no)) {
                var cartonType = data.cfe_cod_motif.substring(0,1);
                if (cartonType === "J") {
                    if (cmpJaune > 0  && (Utils.parseInt(min+minPlus) > Utils.parseInt(data.cfe_min+data.cfe_min_sup))){
                        return true;
                    }
                    cmpJaune++;
                } else if ( cartonType === "R" && (Utils.parseInt(min+minPlus) > Utils.parseInt(data.cfe_min+data.cfe_min_sup))) {
                    return true;
                }
            }
        }
        return false;
    },
     modifier: function(element) {
        FaitsDeMatchHistoriqueDto.idButModifier = element.attr("data-for");
        FaitsDeMatchOngletsService.changeOnglet($("#buts"));
        $("#minuteButs").val(element.parent().parent().find(".cfe_min").val());
        $("#minuteButsPlus").val(element.parent().parent().find(".cfe_min_sup").val());
        var idLicence = $("#" + element.parent().parent().find(".l1_li_no").val()).find(".li_no").val();
        var photo = $("#" + element.parent().parent().find(".l1_li_no").val()).find(".in_photo").val();
        $("#butteur").html("<img src=" + Utils.prepareBase64Image(photo) + " height= '43px' width='43px' alt=" + idLicence + " />");
        $("#nom_butteur").html($("#" + idLicence).find(".in_nom").val());
        $("#prenom_butteur").html($("#" + idLicence).find(".in_prenom").val());
        FaitsDeMatchService.afficherMaillotSanction(true, "_butteur", $("#" + idLicence).find(".cfi_maillot").val(), $("#" + idLicence).find(".cfi_role").val());
        var idLicence = $("#" + element.parent().parent().find(".l2_li_no").val()).find(".li_no").val();
        var photo = $("#" + element.parent().parent().find(".l2_li_no").val()).find(".in_photo").val();
        if(Utils.isNotBlank(idLicence) && Utils.isNotNull(idLicence)){
            $("#passeur").html("<img src=" + Utils.prepareBase64Image(photo) + " height= '43px' width='43px' alt=" + idLicence + " />");
            $("#nom_passeur").html($("#" + idLicence).find(".in_nom").val());
            $("#prenom_passeur").html($("#" + idLicence).find(".in_prenom").val());
            FaitsDeMatchService.afficherMaillotSanction(true, "_passeur", $("#" + idLicence).find(".cfi_maillot").val(), $("#" + idLicence).find(".cfi_role").val());
        } else {
            $("#passeur").html("");
            $("#nom_passeur").html("");
            $("#prenom_passeur").html(""); 
            FaitsDeMatchService.afficherMaillotSanction(false, "_passeur");
        }
        var typeBut = element.parent().parent().find(".cfe_typ_but").val();
        Engine.selectSetVal($('#typeBut'), typeBut);
        //$('#typeBut option[value="'+typeBut+'"]').prop('selected', true);
        var actionBut = element.parent().parent().find(".cfe_action").val();
        //$('#beforeBut option[value="'+actionBut+'"]').prop('selected', true);
        Engine.selectSetVal($('#beforeBut'), actionBut);
    },
     valider: function() {
        var buteur = $("#sanctionMaillotContainer_butteur").find(".boxFondBlanc").text() || $("#sanctionMaillotContainer_butteur").find(".boxFondDore").text();
        var passeur = $("#sanctionMaillotContainer_passeur").find(".boxFondBlanc").text() || $("#sanctionMaillotContainer_passeur").find(".boxFondDore").text();
        var minute = $("#minuteButs").val();
        var minutePlus = $("#minuteButsPlus").val();
        var licence1 = $("#butteur").find("img").attr("alt");
        var licence2 = $("#passeur").find("img").attr("alt");
        var typBut = $("#typeBut").val();
        var action = $("#beforeBut").val();
        var cl_no = $("#butteur").find("img").attr("data-id");
        var nbButsEquipeRecevante = parseInt(FeuilleDeMatchDto.data.cr_nb_but, 10);
        var nbButsEquipeVisiteuse = parseInt(FeuilleDeMatchDto.data.cv_nb_but, 10);
        var nbButsSaisisEquipeRecevante = 0;
        var nbButsSaisisEquipeVisiteuse = 0;
        var cfi_role = $("#" + licence1 + " .infosJoueurHidden .cfi_role").val();
        var matchArrete = Utils.isNotBlank(FeuilleDeMatchDto.data.ma_min_arret) ? true : false;
        var ma_min_arret = FeuilleDeMatchDto.data.ma_min_arret;

        var erreur = [];

        if (!Utils.isNotBlank(licence1)) {
            erreur.push(Lang.faitsDeMatch.erreurs.buts.licence1);
        } else if (licence1 == licence2) {
            erreur.push(Lang.faitsDeMatch.erreurs.buts.licencedifferent);
        }

        FaitsDeMatchOngletsService.addErrorFormatMinute(erreur, minute, minutePlus);

        if (matchArrete && ma_min_arret < Utils.parseInt(minute+minutePlus)) {
            erreur.push(Lang.faitsDeMatch.erreurs.minArretDepassee);
        }
        
        if (FaitsDeMatchButsService.joueurExpulse(licence1, minute, minutePlus)){
            erreur.push(Lang.faitsDeMatch.erreurs.buts.buteurExpulse);
        }

        minute = parseInt(minute, 10);

        //on compte le nombre de but saisis
        for(var i = 0; i < FaitsDeMatchHistoriqueDto.histo.length; i++){
            if(FaitsDeMatchHistoriqueDto.histo[i].cfe_typ == "BU"){
                var idClubJoueur = FaitsDeMatchHistoService.recupererClubJoueur(FaitsDeMatchHistoriqueDto.histo[i].l1_li_no);
                
                if(FaitsDeMatchHistoriqueDto.histo[i].cfe_typ_but == "CSC") {
                    if(parseInt(idClubJoueur, 10) === parseInt(FeuilleDeMatchDto.datasMatch.cr_cl_no, 10)) {
                        nbButsSaisisEquipeVisiteuse++;
                    } else {
                        nbButsSaisisEquipeRecevante++;
                    }
                } else {
                    if(parseInt(idClubJoueur, 10) === parseInt(FeuilleDeMatchDto.datasMatch.cr_cl_no, 10)) {
                        nbButsSaisisEquipeRecevante++;
                    } else {
                        nbButsSaisisEquipeVisiteuse++;
                    }
                }
            }
        }
        
        if(typBut == "CSC") {
            cl_no = cl_no == FeuilleDeMatchDto.datasMatch.cr_cl_no ? FeuilleDeMatchDto.datasMatch.cv_cl_no : FeuilleDeMatchDto.datasMatch.cr_cl_no;
        }
        
        if((FeuilleDeMatchDto.datasMatch.cr_cl_no == parseInt(cl_no, 10) && nbButsSaisisEquipeRecevante == nbButsEquipeRecevante)
            || (FeuilleDeMatchDto.datasMatch.cv_cl_no == parseInt(cl_no, 10) && nbButsSaisisEquipeVisiteuse == nbButsEquipeVisiteuse)) {
            erreur.push(Lang.faitsDeMatch.erreurs.buts.nbButsMaximum);
        }
        // FIXME : Code ci-dessous à décommenter avec la correction de la fiche #0022412 - VERSION 1.2.0.8 CONTROLE DES BUTEURS
        // if(!FaitsDeMatchHistoService.joueurSurTerrain(licence1, minute, minutePlus, cfi_role)) {
        //    erreur.push(Lang.faitsDeMatch.erreurs.nonPresentSurTerrain);
        // }

        if (erreur.length == 0) {
            Engine.headerController.showError("");
            FaitsDeMatchHistoService.init();
            FaitsDeMatchHistoriqueDto.data.ma_no = FeuilleDeMatchDto.ma_no;
            FaitsDeMatchHistoriqueDto.data.cfm_no = FeuilleDeMatchDto.cfm_no;
            FaitsDeMatchHistoriqueDto.data.l1_cfi_maillot = buteur;
            FaitsDeMatchHistoriqueDto.data.l2_cfi_maillot = passeur;
            FaitsDeMatchHistoriqueDto.data.cfe_min = minute;
            FaitsDeMatchHistoriqueDto.data.cfe_min_sup = minutePlus;
            FaitsDeMatchHistoriqueDto.data.l1_li_no = licence1;
            FaitsDeMatchHistoriqueDto.data.l2_li_no = licence2;
            FaitsDeMatchHistoriqueDto.data.cfe_typ = "BU";
            FaitsDeMatchHistoriqueDto.data.cfe_no = 1;
            FaitsDeMatchHistoriqueDto.data.cfe_typ_but = typBut;
            FaitsDeMatchHistoriqueDto.data.cfe_action = action;
            
            if (FaitsDeMatchHistoriqueDto.idButModifier != null) {
                DataBase.deleteById("MATCH_FEUILLE_EVENEMENT", FaitsDeMatchHistoriqueDto.idButModifier);
                FaitsDeMatchHistoriqueDto.idButModifier = null;
            }
            FaitsDeMatchHistoService.insertHistorique();
            $("#minuteButs").val("");
            $("#minuteButsPlus").val("");
            $("#butteur").html("");
            $("#passeur").html("");
            $(".nom").html("");
            $(".prenom").html("");
            FaitsDeMatchService.afficherMaillotSanction(false, "_butteur");
            FaitsDeMatchService.afficherMaillotSanction(false, "_passeur");
            FaitsDeMatchOngletsService.afficherCompteur(FeuilleDeMatchDto.cfm_no, "BU");
        } else {
            Engine.headerController.showError(erreur[0]);
        }
    }
};