
var FaitsDeMatchHistoService = {
    init : function() {
        for (var i in FaitsDeMatchHistoriqueDto.data) {
            FaitsDeMatchHistoriqueDto.data[i] = null;
        }
    },
    recupererClubJoueur: function(idLicence) {
        var idClub = null;
        for (var i in CompositionsMatchDto.equipeRecevante) {
            var dataJoueur = CompositionsMatchDto.equipeRecevante[i].infosJoueur;
            var id_joueur = Utils.isNotBlank(dataJoueur.li_no) ? dataJoueur.li_no : dataJoueur.in_no;
            if (parseInt(id_joueur, 10) === parseInt(idLicence, 10)) {
                idClub = CompositionsMatchDto.equipeRecevante[i].infosCompo.cfi_cl_no;
            }
        }
        if(Utils.isBlank(idClub)) {
            for (var i in CompositionsMatchDto.equipeVisiteur) {
                var dataJoueur = CompositionsMatchDto.equipeVisiteur[i].infosJoueur;
                var id_joueur = Utils.isNotBlank(dataJoueur.li_no) ? dataJoueur.li_no : dataJoueur.in_no;
                if (parseInt(id_joueur, 10) === parseInt(idLicence, 10)) {
                    idClub = CompositionsMatchDto.equipeVisiteur[i].infosCompo.cfi_cl_no;
                }
            }
        }
        return idClub;
    },
    chercherJoueur: function(idLicence, data, joueur1) {
        for (var i in CompositionsMatchDto.equipeRecevante) {
            var dataJoueur = CompositionsMatchDto.equipeRecevante[i].infosJoueur;
            var id_joueur = Utils.isNotBlank(dataJoueur.li_no) ? dataJoueur.li_no : dataJoueur.in_no;
            if (id_joueur == idLicence) {
                data[joueur1 ? "l1_li_nom" : "l2_li_nom"] = dataJoueur.in_nom;
                data[joueur1 ? "l1_li_prenom" : "l2_li_prenom"] = dataJoueur.in_prenom;
                data[joueur1 ? "l1_li_photo" : "l2_li_photo"] = dataJoueur.in_photo;
                data[joueur1 ? "l1_role" : "l2_role"] = CompositionsMatchDto.equipeRecevante[i].infosCompo.cfi_typ_role;
                break;
            }
        }
        if(Utils.isBlank(data[joueur1 ? "l1_li_nom" : "l2_li_nom"])) {
            for (var i in CompositionsMatchDto.equipeVisiteur) {
                var dataJoueur = CompositionsMatchDto.equipeVisiteur[i].infosJoueur;
                var id_joueur = Utils.isNotBlank(dataJoueur.li_no) ? dataJoueur.li_no : dataJoueur.in_no;
                if (id_joueur == idLicence) {
                    data[joueur1 ? "l1_li_nom" : "l2_li_nom"] = dataJoueur.in_nom;
                    data[joueur1 ? "l1_li_prenom" : "l2_li_prenom"] = dataJoueur.in_prenom;
                    data[joueur1 ? "l1_li_photo" : "l2_li_photo"] = dataJoueur.in_photo;
                    data[joueur1 ? "l1_role" : "l2_role"] = CompositionsMatchDto.equipeVisiteur[i].infosCompo.cfi_typ_role;
                    break;
                }
            }
        }
    },
    viderHistorique: function(callback) {
        DataBase.findBy("MATCH_FEUILLE_EVENEMENT", "cfm_no", FeuilleDeMatchDto.cfm_no, function(data) {
            for (var i in data) {
                DataBase.deleteById("MATCH_FEUILLE_EVENEMENT", data[i].id, function() {
                });
            }
            FaitsDeMatchOngletsService.afficherCompteur(null, null, true);
            FaitsDeMatchHistoriqueDto.histo = [];
            if (typeof callback === 'function') {
                callback();
            }
        });
    },
    findHistorique: function(forcerVisualiser, callback, nePasAfficher, infosFacultatives, apresMatch) {
        var nePasAfficher = Utils.isNotNull(nePasAfficher) && nePasAfficher === true;
        var apresMatch = Utils.isNotNull(apresMatch) ? apresMatch : false;
        FaitsDeMatchHistoriqueDto.histo = [];
        var param = Engine.dbActif ? "cfm_no" : "ma_no";
        var ref_typ = Engine.dbActif ? FeuilleDeMatchDto.cfm_no : MatchDto.match.ma_no;
        DataBase.findBy("MATCH_FEUILLE_EVENEMENT", param, ref_typ, function(data) {
            var events = Engine.dbActif ? data : data.evenement; 
            for (var i in events) {
                if (Utils.isNotNull(infosFacultatives) && infosFacultatives) {
                    FaitsDeMatchHistoService.chercherJoueur(events[i].l1_li_no, events[i], true);
                    FaitsDeMatchHistoService.chercherJoueur(events[i].l2_li_no, events[i], false);
                    if (events[i].cfe_typ == "BU" && events[i].hasOwnProperty('l1_li_nom') && Utils.isNotBlank(events[i].l1_li_nom)) {
                        FaitsDeMatchHistoriqueDto.histo.push(events[i]);
                    }
                } else {
                    if (Utils.isNotNull(events[i].in_no)) {
                        FaitsDeMatchHistoService.chercherJoueur(events[i].in_no, events[i], true);
                    }
                    if (Utils.isNotNull(events[i].l1_li_no)) {
                        FaitsDeMatchHistoService.chercherJoueur(events[i].l1_li_no, events[i], true);
                    }
                    if (Utils.isNotNull(events[i].l2_li_no)) {
                        FaitsDeMatchHistoService.chercherJoueur(events[i].l2_li_no, events[i], false);
                    }
                    if (events[i].cfe_typ != "BU" || events[i].hasOwnProperty('l1_li_nom') || Utils.isNotBlank(events[i].l1_li_nom)) {
                        FaitsDeMatchHistoriqueDto.histo.push(events[i]);
                    }
                }
            }
            if(!nePasAfficher) {
                FaitsDeMatchHistoService.showHistorique(forcerVisualiser, apresMatch);
            }
            if (typeof callback === 'function') {
                callback(events);
            }
        });
    },
    showHistorique: function(forcerVisualiser, apresMatch) {
        var apresMatch = Utils.isNotNull(apresMatch) ? apresMatch : false;
        var histosInfo = [];
        var histosReste = [];
        var histosJaune = [];
        var ordre = 0;
        var data;
        var description;
        var type;
        var joueur;
        var role;

        var liNoTest;
        var isEquipeRecevante;
        var equipe;
        var incidents;
         /** L'ordre d'afffichage des histo de faits de jeu : 
          *  La dicipline (cfe_type = "DI") ordre = 1
          *  L'entree/Sortie : ordre = 2
          *  les blessures : (cfe_type = "BL") ordre = 3
          *  les buts : (cfe_type = "BU") ordre = 4
        **/

        Engine.getReferentiel("ref_typ", "FMI_FSI_TYP", function(typeEventInfo){
            incidents = typeEventInfo;
            for (var i in FaitsDeMatchHistoriqueDto.histo) {
                data = FaitsDeMatchHistoriqueDto.histo[i];
                description = "";
                type = data.cfe_typ;
                joueur = data.l1_li_nom + " " + (Utils.isNotBlank(data.l1_li_prenom) ? data.l1_li_prenom.substring(0,1).toUpperCase() : "") + (Utils.isNotBlank(data.l1_li_prenom) ? data.l1_li_prenom.substring(1).toLowerCase() : "");
                role = data.l1_role;
                if (data.cfe_typ == "ES") {
                    type = "<img src='img/picto_remplacement.png'>";
                    description = "Changement : ";
                    joueur += " par " + data.l2_cfi_maillot + "-" + data.l2_li_nom + " " + data.l2_li_prenom.substring(0,1).toUpperCase() + data.l2_li_prenom.substring(1).toLowerCase();
                    ordre = 2;
                } else if (data.cfe_typ == "EJ") {
                    type = "<img src='img/picto_entree.png'>";
                    joueur = data.l2_cfi_maillot + "-" + data.l2_li_nom + " " + (Utils.isNotBlank(data.l2_li_prenom) ? data.l2_li_prenom.substring(0,1).toUpperCase() : "") + (Utils.isNotBlank(data.l2_li_prenom) ? data.l2_li_prenom.substring(1).toLowerCase() : "");
                    description = "Entrée : ";
                    ordre = 2;
                } else if (data.cfe_typ == "SJ") {
                    type = "<img src='img/picto_sortie.png'>";
                    description = "Sortie : ";
                    ordre = 2;
                } else if (data.cfe_typ == "DI") {
                    var cartonType = data.cfe_cod_motif.substring(0,1);
                    if (cartonType === "J") {
                        type = "<img src='img/carton_jaune.png'>";
                        description = "Avertissement : ";
                    } else if ( cartonType === "R") {
                        type = "<img src='img/carton_rouge.png'>";
                        description = "Carton rouge : ";
                    } else if ( cartonType === "B") {
                        type = "<img src='img/carton_blanc.png'>";
                        description = "Carton blanc : ";
                    } else if ( cartonType === "V") {
                        type = "<img src='img/carton_vert.png'>";
                        description = "Carton vert : ";
                    }
                    ordre = 1;  
                } else if (data.cfe_typ == "BU") {
                    type = "<img src='img/picto_but.png'>";
                    description = "But : ";   
                    ordre = 4;
                } else if (data.cfe_typ == "BL") {
                    type = "<img src='img/picto_blessure.png'>";
                    description = "Blessure : ";   
                    ordre = 3;
                } else {
                    type = "<img src='img/picto_securite.png'>";
                    description = "Incident sécurité";   
                }
                if (data.cfe_typ!="DI" && data.cfe_typ!="BL" && data.cfe_typ!="BU" && data.cfe_typ!="SJ" && data.cfe_typ!="EJ" && data.cfe_typ!="ES") {
                    for (var i = 0; i < incidents.length; i++) {
                        if (incidents[i]["ref_cod"] == data.cfe_typ){
                            description += " : " + incidents[i]["ref_libelle"];
                        }
                    }
                    histosInfo.push({
                        id: data.id,
                        temps: data.cfe_min,
                        temps_sup: data.cfe_min_sup,
                        type: type,
                        cfe_typ: data.cfe_typ,
                        description: description,
                        joueur: joueur,
                        histo: data,
                        equipe: ""
                    });    
                } else if (data.cfe_typ=="DI" && data.cfe_cod_motif.substring(0,1) === "J") {
                    liNoTest = Utils.isNotBlank(data.l1_li_no) ? data.l1_li_no : data.in_no;
                    isEquipeRecevante = !apresMatch ? ($("#equipeRecevanteContent li#"+liNoTest).length > 0) : FaitsDeMatchHistoService.isJoueurRecevantFromCompositionsMatchDto("li_no", liNoTest);
                    equipe = Utils.isNotBlank(liNoTest) ? isEquipeRecevante ? Lang.faitsDeMatch.diminutifs.equipeRecevanteHisto : Lang.faitsDeMatch.diminutifs.equipeVisiteuseHisto : null;
                    histosJaune.push({
                        id: data.id,
                        temps: data.cfe_min,
                        temps_sup: data.cfe_min_sup,
                        type: type,
                        cfe_typ: data.cfe_typ,
                        description: description,
                        joueur: joueur,
                        histo: data,
                        equipe: equipe,
                        ordre : ordre
                    });
                } else {
                    var param = "li_no";
                    var periode = null;
                    if (Utils.isNotBlank(data.cfe_di_hors_match) && (data.cfe_di_hors_match == "A")){
                        periode = "Av Match";
                    }
                    if (Utils.isNotBlank(data.cfe_di_hors_match) && (data.cfe_di_hors_match == "P")){
                        periode = "Ap Match";
                    }
                    if (Utils.isNotBlank(data.cfe_cod_motif) && data.cfe_cod_motif.substring(0,1) === "V"){
                        periode = "Ap Match";
                    }
                    if (Utils.isNotBlank(data.l1_li_no)) {
                        liNoTest = data.l1_li_no;
                    } else if (Utils.isNotBlank(data.l2_li_no)) {
                        liNoTest = data.l2_li_no;
                    } else {
                        liNoTest = data.in_no;
                        param = "in_no";
                    }
                    isEquipeRecevante = !apresMatch ? ($("#equipeRecevanteContent li#"+liNoTest).length > 0) : FaitsDeMatchHistoService.isJoueurRecevantFromCompositionsMatchDto(param, liNoTest);
                    equipe = Utils.isNotBlank(liNoTest) ? isEquipeRecevante ? Lang.faitsDeMatch.diminutifs.equipeRecevanteHisto : Lang.faitsDeMatch.diminutifs.equipeVisiteuseHisto : null;
                    histosReste.push({
                        id: data.id,
                        temps: data.cfe_min,
                        temps_sup: data.cfe_min_sup,
                        periode: periode,
                        type: type,
                        cfe_typ: data.cfe_typ,
                        description: description,
                        joueur: joueur,
                        histo: data,
                        equipe: equipe,
                        ordre : ordre
                    });
                }
            }
            cmp = function(x, y) {
                return x > y ? 1 : x < y ? -1 : 0; 
            };
            
            // Pour la carton jaune et l'accumulation des cartons jaunes
            if (histosJaune.length > 0 ) {
                histosJaune.sort(function(a, b) {
                    return cmp(
                        [cmp(a.histo.in_no, b.histo.in_no), cmp(parseInt(a.temps, 10), parseInt(b.temps, 10))], 
                        [cmp(b.histo.in_no, a.histo.in_no), cmp(parseInt(b.temps, 10), parseInt(a.temps, 10))]
                    );
                });
                for (var i=0; i < histosJaune.length; i++) {
                    var srcImage = "<img src='img/carton_jaune.png'>";
                    if (i > 0 && histosJaune[i].histo.in_no == histosJaune[i-1].histo.in_no) {
                        srcImage = "<img src='img/carton_jaune_devient_rouge.png'>";
                        if (i > 1 && histosJaune[i].histo.in_no == histosJaune[i-2].histo.in_no) {
                            srcImage = "<img src='img/carton_jaune.png'>";
                        }
                    }
                    histosJaune[i].type = srcImage;
                }
            }
            
            histosReste = histosReste.concat(histosJaune);
            histosReste.sort(function(a, b) {
                return cmp(
                    [cmp(a.ordre, b.ordre), cmp(parseInt(a.temps, 10), parseInt(b.temps, 10))], 
                    [cmp(b.ordre, a.ordre), cmp(parseInt(b.temps, 10), parseInt(a.temps, 10))]
                );
            });
            histosInfo.sort(function(a, b) {
                return cmp( [cmp(parseInt(a.temps, 10), parseInt(b.temps, 10))], [cmp(parseInt(b.temps, 10), parseInt(a.temps, 10))] );
            });
            var histos = histosReste.concat(histosInfo);
            
            Engine.addView("#histoListe", "histo.html:ongletContenu", {histos: histos, forcerVisualiser : forcerVisualiser});
        });
        
    },
    /**
     * recherche dans la composition recevante si un joueur y appartient (pour déterminer l'équipe d'un joueur)
     * 
     * @param {Object} li_no le li_no du joueur à rechercher
     * @return {Boolean} retourne true si le joueur est dans la composition de l'équipe recevante
     */
    isJoueurRecevantFromCompositionsMatchDto: function(param, no) {
        var joueurFound = false;
        for(var j = 0, len = CompositionsMatchDto.equipeRecevante.length; j < len; j++){
            if (CompositionsMatchDto.equipeRecevante[j].infosJoueur[param] == no) {
                joueurFound = true;
            }
        }
        return joueurFound;
    },
    
    /**
     * vérifie si un joueur est présent sur le terrain à une minute donnée 
     */
    joueurSurTerrain: function(li_no, minute, minuteSup, cfi_role){
        var erreurs = [];
        var titulaireRemplace = false;
        for (var i in FaitsDeMatchHistoriqueDto.histo) {
            var data = FaitsDeMatchHistoriqueDto.histo[i];
            if (!titulaireRemplace && cfi_role == "T") {
                if ((data.cfe_typ == "ES" || data.cfe_typ == "JS") && parseInt(data.l1_li_no, 10) == parseInt(li_no, 10)) {
                    titulaireRemplace = true;
                    if (FaitsDeMatchHistoService.isTempsSaisiAnterieur(minute, minuteSup, data.cfe_min, data.cfe_min_sup)) {
                        Utils.addUniqueInArray(erreurs, Lang.faitsDeMatch.erreurs.nonPresentSurTerrain);
                    }
                } else if(data.cfe_typ == "JE" && parseInt(data.l2_li_no, 10) == parseInt(li_no, 10)) {
                    titulaireRemplace = true;
                    if (!FaitsDeMatchHistoService.isTempsSaisiAnterieur(minute, minuteSup, data.cfe_min, data.cfe_min_sup)) {
                        Utils.addUniqueInArray(erreurs, Lang.faitsDeMatch.erreurs.nonPresentSurTerrain);
                    }
                }
            } else if (cfi_role == "R") {
                if (data.cfe_typ == "ES" && parseInt(data.l2_li_no, 10) == parseInt(li_no, 10)) {
                    return FaitsDeMatchHistoService.isTempsSaisiAnterieur(minute, minuteSup, data.cfe_min, data.cfe_min_sup);
                }
            }
        }
        if (cfi_role == "T") {
            return (!titulaireRemplace || titulaireRemplace && erreurs.length == 0);
        }
        return false;
    },
    
    insertHistorique: function(callback) {
        DataBase.insert("MATCH_FEUILLE_EVENEMENT", FaitsDeMatchHistoriqueDto.data, function() {
            FaitsDeMatchHistoriqueDto.histo.push(FaitsDeMatchHistoriqueDto.data);
            FaitsDeMatchHistoService.findHistorique(false, function(){
                FaitsDeMatchHistoService.init();
                FaitsDeMatchLigneTempsService.refreshTimeline(function(){
                    if (typeof callback === 'function') {
                        callback();
                    }
                });
            });
        });
    },
    /**
     * Vérifie si les minutes et temps additionnel saisis dans les deux premiers paramètres
     * sont supérieurs aux deux derniers. 
     * 
     * @param {Object} minuteSaisie 
     * @param {Object} minuteSupSaisie
     * @param {Object} minuteReference
     * @param {Object} minuteSupReference
     */
    isTempsSaisiAnterieur: function(minuteSaisie, minuteSupSaisie, minuteReference, minuteSupReference) {
        return (parseInt(minuteSaisie, 10) > parseInt(minuteReference, 10)
            || (Utils.isNotNull(minuteSupSaisie) && parseInt(minuteSaisie, 10) == parseInt(minuteReference, 10) 
            && parseInt(minuteSupSaisie, 10) > parseInt(minuteSupReference, 10)));
    },
    getHisto: function (histoId) {
        for (var i = 0; i < FaitsDeMatchHistoriqueDto.histo.length; i++) {
            if (FaitsDeMatchHistoriqueDto.histo[i].id === Utils.parseInt(histoId)) {
                return FaitsDeMatchHistoriqueDto.histo[i];
            }
        }
        return null;
    }
};