var FeuilleDeMatchControlesService = {
    
    /**
     * Afficher la popup du controle licence avant la signature d'avant match
     */
    controleLicence_avantSignature : function(indexTarget, equipe){
        var liEquipe = $("#" + equipe + " ul li");
        indexTarget = ((indexTarget % liEquipe.length) + liEquipe.length) % liEquipe.length;
        var li = liEquipe.get(indexTarget);
        FeuilleDeMatchControlesService.afficherLicence(li, indexTarget, equipe, true, "#controleLicences", "popups.html:popupControles_avantSignature", false, false);
    },
    /**
     *Switch le contenu de la popup du controle licence avant la signature d'avant match
     */
    changerLicence_avantSignature : function(indexTarget, equipe){
        var liEquipe = $("#" + equipe + " ul li");
        indexTarget = ((indexTarget % liEquipe.length) + liEquipe.length) % liEquipe.length;
        var li = liEquipe.get(indexTarget);
        FeuilleDeMatchControlesService.afficherLicence(li, indexTarget, equipe, false, "#licence", "popups.html:popupControles_avantSignature", false, true);
    },

    /**
     * Afficher la popup du trombinoscope d'après la signature d'avant match
     */
    afficherTrombinoscope : function() {
        Engine.addView("#trombinoscopeEquipe", "popups.html:popupControlesGlobale", {
            equipe : "equipeRecevante",
            echangeView : false
        }, true);
        Engine.popup("#trombinoscopeEquipe");
    },

    /**
     * Changer l'équipe du trombisnoscope
     */
    switchEquipeTrombinoscope: function (equipe) {
        Engine.addView("#licence", "popups.html:popupControlesGlobale", {
            equipe : equipe,
            echangeView : true
        }, false);
    },
 
    /**
     * Afficher la popup de controle licence depuis le trombinoscope d'après la signature d'avant match
     */
    changerLicence : function(indexTarget, equipe) {
        var liEquipe = $("#" + equipe + " ul li");
        indexTarget = ((indexTarget % liEquipe.length) + liEquipe.length) % liEquipe.length;
        var li = liEquipe.get(indexTarget);
        FeuilleDeMatchControlesService.afficherLicence(li, indexTarget, equipe, true, "#controleLicences", "popups.html:licencePopup", true, false);
    },

    afficherLicence: function(li, position, equipe, append, div, script, DeuxiemePopup, echangeView){
        Engine.getReferentiel("ref_typ","FMI_LI_ETAT", function(){
            var fmi_li_etat = "";
            for (i in ReferentielDto.fmi_ref.FMI_LI_ETAT) {
                if (ReferentielDto.fmi_ref.FMI_LI_ETAT[i].ref_cod == $(li).find(".infosJoueurHidden .li_etat").text()) {
                    fmi_li_etat = ReferentielDto.fmi_ref.FMI_LI_ETAT[i].ref_libelle;
                }
                if (ReferentielDto.fmi_ref.FMI_LI_ETAT[i].ref_cod == $(li).find(".infosJoueurHidden .li_etat").val()) {
                    fmi_li_etat = ReferentielDto.fmi_ref.FMI_LI_ETAT[i].ref_libelle;
                }
            }
            var data = {
                li_no : $(li).find(".infosJoueurHidden .li_no").text(),
                in_no : $(li).find(".infosJoueurHidden .in_no").text(),
                in_nom : $(li).find(".infosJoueurHidden .in_nom").text(),
                in_prenom : $(li).find(".infosJoueurHidden .in_prenom").text(),
                sc_lib : $(li).find(".infosJoueurHidden .sc_lib").text(),
                li_di_fonc : $(li).find(".infosJoueurHidden .li_di_fonc").text(),
                in_dat_nais : $(li).find(".infosJoueurHidden .in_dat_nais").text(),
                ic_cachet_lib : $(li).find(".infosJoueurHidden .ic_cachet_lib").text().replace("@@@", "<br />"),
                in_photo : $(li).find(".infosJoueurHidden .in_photo").text(),
                sa_lib : $(li).find(".infosJoueurHidden .sa_lib").text(),
                cl_nom : $(li).find(".infosJoueurHidden .cl_nom").text(),
                li_cl_grpt : $(li).find(".infosJoueurHidden .li_cl_grpt").text(),
                li_dat_enr : $(li).find(".infosJoueurHidden .li_dat_enr").text(),
                in_nat : $(li).find(".infosJoueurHidden .in_nat").text(),
                cg_nom : $(li).find(".infosJoueurHidden .cg_nom").text(),
                li_certif_medic_abs : $(li).find(".infosJoueurHidden .li_certif_medic_abs").text(),
                li_etat : $(li).find(".infosJoueurHidden .li_etat").text(),
                cq_cl_info : $(li).find(".infosJoueurHidden .cq_cl_info").text(),
                li_natu_deman : $(li).find(".infosJoueurHidden .li_natu_deman").text(),
                cl_cod : $(li).find(".infosJoueurHidden .cl_cod").text(),
                li_certif_medic : $(li).find(".infosJoueurHidden .li_certif_medic").text(),
                li_statut : $(li).find(".infosJoueurHidden .li_statut").text(),
                fmi_li_etat : fmi_li_etat
            };

            Engine.addView(div, script, {
                infoJoueur : data,
                position : position,
                equipe : equipe,
                echangeView :echangeView
            }, append);
            if (append) {
                Engine.popup("#controleLicences", DeuxiemePopup);
            }
        });
    }
};