var FeuilleDeMatchInfosMatchService = {

    openInfosArbitre: function () {
        //Liste Officiels
        $("#ficheInfoMatch").addClass("dont-close");
        DataBase.findBy("MATCH_FEUILLE_MEMBRE", "cfm_no", FeuilleDeMatchDto.data.cfm_no, function(dataOff) {
            Engine.addView("#ficheInfoMatch", "popups.html:popupInfosMatch", {
                data : MatchDto.match,
                infos : FeuilleDeMatchDto.data,
                showMdpArbitreForm : Utils.isNull(FeuilleDeMatchDto.data.cfm_mdp)
            }, true);

            Engine.addView("#listOfficiels", "popups.html:popupListeOfficiels", {
                officiels : dataOff,
                forcerVisualiser : false
            }, true);
            Engine.popup("#ficheInfoMatch");
            // Activation du scroll sur la popup
            $("#popup-gen").unbind('touchmove');
            Engine.selectCreate($("#questionSecurite"), { minimumResultsForSearch : -1, width: '491px' });

            FeuilleDeMatchInfosMatchService.creerSelectOfficielType(function () {
                Engine.selectCreate($("#selectOfficielType"), { minimumResultsForSearch : -1, width: '256px' });
                var defaultOfficielType = $("#selectOfficielType option:selected").val();
                FeuilleDeMatchInfosMatchService.creerSelectOfficielStatut(defaultOfficielType, function () {
                    Engine.selectCreate($("#selectOfficielStatut"), { minimumResultsForSearch : -1, width: '256px' });
                });
                FeuilleDeMatchInfosMatchService.creerSelectOfficielFonction(defaultOfficielType, function () {
                    Engine.selectCreate($("#selectOfficielFonction"), { minimumResultsForSearch : -1, width: '256px' });
                });
            });
            FeuilleDeMatchInfosMatchService.creerSelectOfficielIdtype(function () {
                Engine.selectCreate($("#selectOfficielIdtype"), { minimumResultsForSearch : -1, width: '132px' });
            });

            $("#popup-gen.dont-close").prepend($("<div class='croixFermeturePopup2'></div>"));

            if(navigator.appVersion.indexOf("Win") != -1){
                $(".showMdp").hide();
            }
        });
    },    
    chargerInfosMatch: function(arbitre, callback){
        var prolongations = (Utils.isNotNull(FeuilleDeMatchDto.datasMatch.ph_prol) && FeuilleDeMatchDto.datasMatch.ph_prol == "O");
        var tirsAuBut = (Utils.isNotNull(FeuilleDeMatchDto.datasMatch.ph_tir_but) && FeuilleDeMatchDto.datasMatch.ph_tir_but == "O");
        var huisclos = (Utils.isNotNull(FeuilleDeMatchDto.datasMatch.ma_huisclos) && FeuilleDeMatchDto.datasMatch.ma_huisclos == "O");
        var tv = (Utils.isNotNull(FeuilleDeMatchDto.datasMatch.ma_tv) && FeuilleDeMatchDto.datasMatch.ma_tv == "O");
        var infosArbitreValides = Utils.isNotNull(FeuilleDeMatchDto.data.infosValides) && FeuilleDeMatchDto.data.infosValides;
        Engine.addView("#infos-match-header", "feuilleDeMatch.html:infosMatchHeader", {
            data : {
                infosValid: infosArbitreValides,
                prolongations : prolongations,
                tirsAuBut : tirsAuBut,
                ma_huisclos : huisclos,
                ma_tv : tv
            },
            infos : FeuilleDeMatchDto.data,
            arbitre : arbitre,
            verrouillage : (Utils.isNotNull(FeuilleDeMatchDto.data.verrouillage) && FeuilleDeMatchDto.data.verrouillage)
        });
        if(FeuilleDeMatchDto.data.verrouillage){
            $("#infoMatch").hide();
        }
        if(typeof callback === 'function'){
            callback();
        }
    },
    ajoutOfficielBenevole : function(data) {
        //Vérification des champs obligatoires et du nb d'arbitre et de delegue + vérif format licence
        var licenceOfficielExistante = false;
        $("#popup-gen .hiddenInno").each(function( index ) {
            if($(this).text() == data["mmf_in_no"]) {
                licenceOfficielExistante = true;
            }
        });
        
        var regexInNo = /^\d{1,10}$/;
        var regexAlphaN = /^[a-z0-9]+$/i;
        var regexAlpha = /^[a-zéèëêïç\s\-]+$/i;
        
        if (Utils.isBlank(data["mmf_typ"])) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.manqueTypeArbitre);
        } else if (Utils.isBlank(data["mmf_in_nom"].trim()) || Utils.isBlank(data["mmf_in_prenom"].trim()) || Utils.isBlank(data["mmf_in_no"].trim())) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.manqueNomPrenom);
        } else if (!regexAlpha.test(data["mmf_in_nom"].trim()) || !regexAlpha.test(data["mmf_in_prenom"].trim())) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.nomPrenomFormat);
        } else if ((Utils.isBlank(data["mmf_in_no"]) || !regexInNo.test(data["mmf_in_no"])) && (data["mmf_typ_piece"] === "IN")) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.licenceInt);
        } else if ((Utils.isBlank(data["mmf_in_no"]) || !regexAlphaN.test(data["mmf_in_no"])) && !(data["mmf_typ_piece"] === "IN")) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.pieceNan);
        } else if (Utils.isNotBlank(data["po_cod"]) && data["po_cod"] == "AC" && data.nbArbitreCentre > 0) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.arbitreCentreExiste);
        } else if (Utils.isNotBlank(data["po_cod"]) && data["po_cod"] == "A1" && data.nbArbitreAssistant1 > 0) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.nbArbitreAssistant1Existe);
        } else if (Utils.isNotBlank(data["po_cod"]) && data["po_cod"] == "A2" && data.nbArbitreAssistant2 > 0) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.nbArbitreAssistant2Existe);
        } else if (Utils.isNotBlank(data["mmf_typ"]) && data["mmf_typ"] == "A" && data.nbArbitre >= 6) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.maxArbitresAtteint);
        } else if (Utils.isNotBlank(data["mmf_typ"]) && data["mmf_typ"] == "D" && data.nbDelegue >= 4) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.maxDeleguesAtteint);
        } else if (licenceOfficielExistante) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.licenceOfficielExistante);
        } else if (data["mmf_in_nom"].length > 20) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.mmf_in_nom_limit);
        } else if (data["mmf_in_prenom"].length > 20) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.mmf_in_prenom_limit);
        } else {
            delete data.nbArbitreCentre;
            delete data.nbArbitreAssistant1;
            delete data.nbArbitreAssistant2;
            delete data.nbArbitre;
            delete data.nbDelegue;
            DataBase.insert("MATCH_FEUILLE_MEMBRE", data, function() {
                //on vide les champs
                $("#nomInfo").val('');
                $("#prenomInfo").val('');
                $("#numLicence").val('');
                
                //Si on ajoute un arbitre central, on le met à jour sur feuille de match
                if (data["po_cod"] == "AC") {
                    Engine.addView("#infosArbitre", "feuilleDeMatch.html:infosArbitre", {
                        arbitre : data
                    }, true);
                }
            });
            //Recherche de l'id du membre inséré
            DataBase.findBy("MATCH_FEUILLE_MEMBRE", "cfm_noAndmmf_in_no", [data["cfm_no"], data["mmf_in_no"]], function(dataIns) {
                Engine.addView("#listOfficiels", "popups.html:popupAjoutOfficiel", {
                    officiel : dataIns[0]
                }, true, true);
                Engine.updateUScrollView();
            });
            $("#errorValidation").html("");
        }

    },
    majInfosMatch : function(dataInfos, callback) {
    
        //Vérification des champs obligatoires + Regexp date + heure
        var exp = new RegExp("(^((((0[1-9])|([1-2][0-9])|(3[0-1]))|([1-9]))\x2F(((0[1-9])|(1[0-2]))|([1-9]))\x2F(([0-9]{2})|(((19)|([2]([0]{1})))([0-9]{2}))))$)");
        var exp2 = new RegExp("^([2][0-3]|[01]?[0-9])[.Hh]([0-5][0-9])?$");
        if (!Utils.isNotBlank(dataInfos.cfm_te_loca) || !Utils.isNotBlank(dataInfos.cfm_te_nom) || !Utils.isNotBlank(dataInfos.date)) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.champsRequis);
/*        } else if (Utils.isNotBlank(dataInfos.cfm_mdp) && dataInfos.cfm_question == "0") {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.questionSecrete);
        } else if (Utils.isNotBlank(dataInfos.cfm_mdp) && dataInfos.cfm_question !== "0" && Utils.isBlank(dataInfos.cfm_rep)) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.reponseSecrete);*/
        } else if ((!Utils.isNotBlank(dataInfos.cfm_mdp) || Utils.isNull(dataInfos.cfm_mdp)) && Utils.isNull(FeuilleDeMatchDto.data.cfm_mdp)) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.motDePasseArbitre);
        } else if ((!Utils.isNotBlank(dataInfos.cfm_mdpC) || Utils.isNull(dataInfos.cfm_mdpC) || (dataInfos.cfm_mdpC !== dataInfos.cfm_mdp)) && Utils.isNull(FeuilleDeMatchDto.data.cfm_mdp)) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.motDePasseConfirmation);
        } else if (($('#popup-gen #blocListOfficiels .AC').length != 1 || $('#popup-gen #blocListOfficiels .A1').length != 1 || $('#popup-gen #blocListOfficiels .A2').length != 1) && !(dataInfos.tl_cod === "FS")) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.manqueArbitres);
        } else if (($('#popup-gen #blocListOfficiels .AC').length != 1 || $('#popup-gen #blocListOfficiels .A1').length != 1) && (dataInfos.tl_cod === "FS")) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.manqueArbitresFutsal);
        } else if (Utils.isNotBlank(dataInfos.cfm_med) && dataInfos.cfm_med.length > 256) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.cfm_med_limit);
        } else if (Utils.isNotBlank(dataInfos.cfm_te_loca) && dataInfos.cfm_te_loca.length > 25) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.cfm_te_loca_limit);
        } else if (Utils.isNotBlank(dataInfos.cfm_te_nom) && dataInfos.cfm_te_nom.length > 32) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.cfm_te_nom_limit);
        } else if (Utils.isNotBlank(dataInfos.cfm_tech_lum) && dataInfos.cfm_tech_lum.length > 256) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.cfm_tech_lum_limit);
        } else if (Utils.isNotBlank(dataInfos.cfm_direc_secu) && dataInfos.cfm_direc_secu.length > 256) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.cfm_direc_secu_limit);
        } else if (Utils.isNotBlank(dataInfos.heure) && !exp2.test(dataInfos.heure)){
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.formatHeure);
        } else if (!exp.test(dataInfos.date)) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.formatDate);
        } else {
            $("#errorValidation").html("");
            //recherche de l'id en base de la feuille match à mettre à jour
            DataBase.findBy("MATCH_FEUILLE", "cfm_no", FeuilleDeMatchDto.data.cfm_no, function(data) {
                var datas = {};
                //Maj lieu
                if (Utils.isNotNull(dataInfos.cfm_te_loca) && Utils.isNotBlank(dataInfos.cfm_te_loca)) {
                    datas["cfm_te_loca"] = dataInfos.cfm_te_loca;
                    FeuilleDeMatchDto.data.cfm_te_loca = dataInfos.cfm_te_loca;
                }
    
                //Maj terrain
                if (Utils.isNotNull(dataInfos.cfm_te_nom) && Utils.isNotBlank(dataInfos.cfm_te_nom)) {
                    datas["cfm_te_nom"] = dataInfos.cfm_te_nom;
                    FeuilleDeMatchDto.data.cfm_te_nom = dataInfos.cfm_te_nom;
                }
    
                //Maj medecin
                if (Utils.isNotNull(dataInfos.cfm_med)) {
                    datas["cfm_med"] = dataInfos.cfm_med;
                    FeuilleDeMatchDto.data.cfm_med = dataInfos.cfm_med;
                }
    
                //Maj technicien lumière
                if (Utils.isNotNull(dataInfos.cfm_tech_lum)) {
                    datas["cfm_tech_lum"] = dataInfos.cfm_tech_lum;
                    FeuilleDeMatchDto.data.cfm_tech_lum = dataInfos.cfm_tech_lum;
                }
    
                //Maj directeur securité
                if (Utils.isNotNull(dataInfos.cfm_direc_secu)) {
                    datas["cfm_direc_secu"] = dataInfos.cfm_direc_secu;
                    FeuilleDeMatchDto.data.cfm_direc_secu = dataInfos.cfm_direc_secu;
                }
    
                //Maj date et heure
                var cfm_ma_dat = dataInfos.date;
                var cfm_ma_heure_lib = dataInfos.heure;
                if (Utils.isNotNull(cfm_ma_dat) && Utils.isNotBlank(cfm_ma_dat)) {
                    datas["cfm_ma_dat"] = cfm_ma_dat;
                    FeuilleDeMatchDto.data.cfm_ma_dat = cfm_ma_dat;
                }
                datas["cfm_ma_heure_lib"] = cfm_ma_heure_lib;
                FeuilleDeMatchDto.data.cfm_ma_heure_lib = cfm_ma_heure_lib;
    
                //Maj mot de passe arbitre
                if (Utils.isNotNull(dataInfos.cfm_mdp) && Utils.isNotBlank(dataInfos.cfm_mdp)) {
                    datas["cfm_mdp"] = dataInfos.cfm_mdp;
/*                    datas["cfm_question"] = dataInfos.cfm_question;
                    datas["cfm_rep"] = dataInfos.cfm_rep;*/
                    FeuilleDeMatchDto.data.cfm_mdp = dataInfos.cfm_mdp;
/*                    FeuilleDeMatchDto.data.cfm_question = dataInfos.cfm_question;
                    FeuilleDeMatchDto.data.cfm_rep = dataInfos.cfm_rep;*/
                }
    
                //Infos match validées
                datas["cfm_infos_valid"] = "O";
    
                DataBase.updateJson("MATCH_FEUILLE", FeuilleDeMatchDto.data.id, datas, callback);
            });
        }
    },
    enregistreInfosArbitres : function(dataInfos){
        //Vérification des champs obligatoires + Regexp date + heure
        var exp = new RegExp("(^((((0[1-9])|([1-2][0-9])|(3[0-1]))|([1-9]))\x2F(((0[1-9])|(1[0-2]))|([1-9]))\x2F(([0-9]{2})|(((19)|([2]([0]{1})))([0-9]{2}))))$)");
        var exp2 = new RegExp("^([2][0-3]|[01]?[0-9])[.Hh]([0-5][0-9])?$");
        if (Utils.isNotBlank(dataInfos.cfm_med) && dataInfos.cfm_med.length > 256) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.cfm_med_limit);
        } else if (Utils.isNotBlank(dataInfos.cfm_te_loca) && dataInfos.cfm_te_loca.length > 25) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.cfm_te_loca_limit);
        } else if (Utils.isNotBlank(dataInfos.cfm_te_nom) && dataInfos.cfm_te_nom.length > 32) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.cfm_te_nom_limit);
        } else if (Utils.isNotBlank(dataInfos.cfm_tech_lum) && dataInfos.cfm_tech_lum.length > 256) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.cfm_tech_lum_limit);
        } else if (Utils.isNotBlank(dataInfos.cfm_direc_secu) && dataInfos.cfm_direc_secu.length > 256) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.cfm_direc_secu_limit);
        } else if (Utils.isNotBlank(dataInfos.heure) && !exp2.test(dataInfos.heure)){
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.formatHeure);
        } else if (Utils.isNotBlank(dataInfos.date) && !exp.test(dataInfos.date)) {
            $("#errorValidation").html(Lang.feuilleDeMatch.erreurs.infosMatch.formatDate);
        } else {
            $("#errorValidation").html("");
            //recherche de l'id en base de la feuille match à mettre à jour
            DataBase.findBy("MATCH_FEUILLE", "cfm_no", FeuilleDeMatchDto.data.cfm_no, function(data) {
                var datas = {};
                //Maj lieu
                if (Utils.isNotNull(dataInfos.cfm_te_loca)) {
                    datas["cfm_te_loca"] = dataInfos.cfm_te_loca;
                    FeuilleDeMatchDto.data.cfm_te_loca = dataInfos.cfm_te_loca;
                }

                //Maj terrain
                if (Utils.isNotNull(dataInfos.cfm_te_nom)) {
                    datas["cfm_te_nom"] = dataInfos.cfm_te_nom;
                    FeuilleDeMatchDto.data.cfm_te_nom = dataInfos.cfm_te_nom;
                }

                //Maj medecin
                if (Utils.isNotNull(dataInfos.cfm_med)) {
                    datas["cfm_med"] = dataInfos.cfm_med;
                    FeuilleDeMatchDto.data.cfm_med = dataInfos.cfm_med;
                }

                //Maj technicien lumière
                if (Utils.isNotNull(dataInfos.cfm_tech_lum)) {
                    datas["cfm_tech_lum"] = dataInfos.cfm_tech_lum;
                    FeuilleDeMatchDto.data.cfm_tech_lum = dataInfos.cfm_tech_lum;
                }

                //Maj directeur securité
                if (Utils.isNotNull(dataInfos.cfm_direc_secu)) {
                    datas["cfm_direc_secu"] = dataInfos.cfm_direc_secu;
                    FeuilleDeMatchDto.data.cfm_direc_secu = dataInfos.cfm_direc_secu;
                }

                //Maj date et heure
                var cfm_ma_dat = dataInfos.date;
                var cfm_ma_heure_lib = dataInfos.heure;
                if (Utils.isNotNull(cfm_ma_dat)) {
                    datas["cfm_ma_dat"] = cfm_ma_dat;
                    FeuilleDeMatchDto.data.cfm_ma_dat = cfm_ma_dat;
                }
                datas["cfm_ma_heure_lib"] = cfm_ma_heure_lib;
                FeuilleDeMatchDto.data.cfm_ma_heure_lib = cfm_ma_heure_lib;

                DataBase.updateJson("MATCH_FEUILLE", FeuilleDeMatchDto.data.id, datas, function(test) {
                });
            });
        }
    },
    verifierQuestionReponseSecurite: function(question, reponse, motDePasse) {
        $("#errorValidationPopupMotDePasseOublie").html("");
        if(Utils.isBlank(question) || question == 0) {
            $("#errorValidationPopupMotDePasseOublie").html(Lang.feuilleDeMatch.erreurs.questionSecu.choixQuestion);
            return;
        }
        if(Utils.isBlank(reponse)) {
            $("#errorValidationPopupMotDePasseOublie").html(Lang.feuilleDeMatch.erreurs.questionSecu.choixReponse);
            return;
        }
/*        if(question !== FeuilleDeMatchDto.data.cfm_question) {
            $("#errorValidationPopupMotDePasseOublie").html(Lang.feuilleDeMatch.erreurs.questionSecu.questNonCorrespondante);
            return;
        }
        if(reponse !== FeuilleDeMatchDto.data.cfm_rep) {
            $("#errorValidationPopupMotDePasseOublie").html(Lang.feuilleDeMatch.erreurs.questionSecu.repNonCorrespondante);
            return;
        }*/
        if(Utils.isBlank(motDePasse)) {
            $("#errorValidationPopupMotDePasseOublie").html(Lang.feuilleDeMatch.erreurs.questionSecu.nouveauMotDePasse);
            return;
        }
    },
    majMotDePasseArbitre: function(dataInfos, callback, reset) {
        var reinitialisationMotDePasse = Utils.isNotNull(reset) && reset;
        //recherche de l'id en base de la feuille match à mettre à jour
        DataBase.findBy("MATCH_FEUILLE", "cfm_no", FeuilleDeMatchDto.data.cfm_no, function(data) {
            var datas = {};

            //Maj mot de passe arbitre
            if (reinitialisationMotDePasse || (Utils.isNotNull(dataInfos.cfm_mdp) && Utils.isNotBlank(dataInfos.cfm_mdp))) {
                datas["cfm_mdp"] = reinitialisationMotDePasse ? null : dataInfos.cfm_mdp;
/*                datas["cfm_question"] = reinitialisationMotDePasse ? null : dataInfos.cfm_question;
                datas["cfm_rep"] = reinitialisationMotDePasse ? null : dataInfos.cfm_rep;*/
                FeuilleDeMatchDto.data.cfm_mdp = reinitialisationMotDePasse ? null : dataInfos.cfm_mdp;
/*                FeuilleDeMatchDto.data.cfm_question = reinitialisationMotDePasse ? null : dataInfos.cfm_question;
                FeuilleDeMatchDto.data.cfm_rep = reinitialisationMotDePasse ? null : dataInfos.cfm_rep;*/
            }

            DataBase.updateJson("MATCH_FEUILLE", FeuilleDeMatchDto.data.id, datas, function(test) {
                if(typeof callback === 'function'){
                    callback();
                }
            });
        });
    },
    supprimerOfficiel: function(element) {
        var id = element.parent().parent().attr('id');
        FeuilleDeMatchInfosMatchService.gestionSuppressionArbitre(id, function(){
            element.parent().parent().parent().remove();
            Engine.updateUScrollView();
        });
    },
    
    suppressionOfficiel : function(id, callback) {
        DataBase.deleteById("MATCH_FEUILLE_MEMBRE", id, function() {
            if(typeof callback === 'function'){
                callback();
            }
        });
    },
    majUISuppressionCentral : function() {
        // Afficher à nouveau la zone de mot de passe arbitre
        var htmlToAdd = "<span class=\"title\" style=\"margin-left:5px;\">"+Lang.feuilleDeMatch.titres.mdpArbitre+"</span>\
                        <div style=\"display:block; margin-bottom: 6%;\" class=\"line\" id=\"blockMotDePasse\">\
                            <label for=\"motDePasseArbitre\">"+Lang.feuilleDeMatch.libellesPopupInfosMatch.motDePasse+"</label>\
                            <input id=\"motDePasseInputArbitre\" class=\"mdp\" type=\"password\">\
                            <button id=\"oeilMotDePasse\" class=\"showMdp\" type=\"button\" style=\"right: 48%; top: 67%;\">\
                        </div>\
                        <div id=\"blocQuestionSecuriteInfosArbitre\">\
                            <div class=\"line\" id=\"divQuestionSecuriteInfosArbitre\" >\
                                <select id=\"questionSecurite\" class=\"select-large\" style=\"width:491px;\">\
                                    <option value=\"0\" selected>"+Lang.feuilleDeMatch.questionSecurite.intituleTitre+"</option>\
                                    <option value=\"Q1\">"+Lang.feuilleDeMatch.questionSecurite.question1+"</option>\
                                    <option value=\"Q2\">"+Lang.feuilleDeMatch.questionSecurite.question2+"</option>\
                                </select>\
                            </div>\
                            <div class=\"line\">\
                                <input type=\"text\" placeholder=\""+Lang.feuilleDeMatch.questionSecurite.reponsePlaceholder+"\" class=\"mdp\" id=\"reponseSecuriteInfosArbitre\">\
                            </div>\
                        </div>";
        $("#blocArbitre").html(htmlToAdd);
        // masquer les infos de l'arbitre central sur la page de la feuille de match
        $("#infosArbitre").children().remove();

    },
    gestionSuppressionArbitre : function(id, callback) {
        DataBase.findById("MATCH_FEUILLE_MEMBRE", id, function(membre) {
            if (membre.po_cod == "AC") {
                Engine.confirm(Lang.feuilleDeMatch.alerteSuppressionArbitreCentre, function(){
                    FeuilleDeMatchInfosMatchService.validationInfosMatch(false, function(){
                        FeuilleDeMatchInfosMatchService.majMotDePasseArbitre(null, function(){
                            FeuilleDeMatchInfosMatchService.majUISuppressionCentral();
                            FeuilleDeMatchInfosMatchService.suppressionOfficiel(id, callback);
                        }, true);
                    });
                }, true, "250px");
            } else if (membre.po_cod == "A1" || membre.po_cod == "A2"){
                Engine.confirm(Lang.feuilleDeMatch.alerteSuppressionArbitreAssistant, function(){
                    FeuilleDeMatchInfosMatchService.validationInfosMatch(false, function(){
                        FeuilleDeMatchInfosMatchService.suppressionOfficiel(id, callback);
                    });
                }, true, "250px");
            } else {
                FeuilleDeMatchInfosMatchService.suppressionOfficiel(id, callback);
            }
        });
    },
    validationInfosMatch : function(valide, callback) {
        FeuilleDeMatchDto.data.infosValides = valide;
        FeuilleDeMatchDto.data.cfm_infos_valid = valide ? "O" : "N";
        DataBase.findBy("MATCH_FEUILLE", "cfm_no", FeuilleDeMatchDto.data.cfm_no, function(data) {
    
            //Infos match validées
            data["cfm_infos_valid"] = FeuilleDeMatchDto.data.cfm_infos_valid;

            DataBase.updateJson("MATCH_FEUILLE", FeuilleDeMatchDto.data.id, data, function(test) {
                FeuilleDeMatchConnexionService.afficherBoutonsBas();
                if(typeof callback === 'function'){
                    callback();
                }
            });
        });
    },
    majHeaderDates : function(date_heure){
        $(".partRencontreDate").text(date_heure);
    },
    creerSelectOfficielType : function(callback) {
        Engine.getReferentiel("ref_typ", "FMI_MMF_TYP", function(officielType){
            Engine.addView("#typeHead","popups.html:selectOfficielType", { options : officielType }, true, false);
            if(typeof callback === 'function'){
                callback();
            }
        });
    },
    creerSelectOfficielStatut : function(refCod, callback) {
        Engine.getReferentiel("ref_typ", "FMI_MMF_TYP"+"_"+refCod, function(officielStatut){
            var status = [];
            if (officielStatut.length > 0) {
                var codes = officielStatut[0].ref_cod.split("_");
                var libelles = officielStatut[0].ref_libelle.split("_");
                for(var i = 0; i < codes.length; i++) {
                    status.push({
                        ref_cod: codes[i],
                        ref_libelle: libelles[i]
                    });
                }
            }
            Engine.addView("#statutHead","popups.html:selectOfficielStatut", { options : status }, true, false);
            if(typeof callback === 'function'){
                callback();
            }
        });
    },
    creerSelectOfficielFonction : function(refCod, callback) {
        Engine.getReferentiel("ref_typ", "FMI_PO_COD"+"_"+refCod, function(officielFonction){
            Engine.addView("#fonctionHead","popups.html:selectOfficielFonction", { options : officielFonction }, true, false);
            if(typeof callback === 'function'){
                callback();
            }
        });
    },
    creerSelectOfficielIdtype : function(callback) {
        Engine.getReferentiel("ref_typ", "FMI_TYP_PIECE", function(officielIdtype){
            Engine.addView("#idtypeHead","popups.html:selectOfficielIdtype", { options : officielIdtype }, true, false);
            if(typeof callback === 'function'){
                callback();
            }
        });
    }
};