var SynchronisationInsertService = {
    insertMatch : function(callback, syncunitaire) {
        Engine.getDemande("D005", {}, function(data) {
            for (var i in data.matchs) {
                for (var j in data.matchs[i].sanctions) {
                    data.matchs[i].sanctions[j].ma_no = data.matchs[i].ma_no;
                }
                SynchronisationGeneriqueService.insert("SANCTION", data.matchs[i].sanctions);
                delete data.matchs[i].sanctions;
            }
            for (var i in data.matchs) {
                SynchronisationDto.nmMatch += "" + data.matchs[i].ma_no + ";";
                data.matchs[i].ma_demo = "N";
                data.matchs[i].syncunitaire = "false";
                data.matchs[i].dateRecuperation = " - ";
                if (syncunitaire){
                    data.matchs[i].syncunitaire = "true";
                }
//                console.log("all datas : ");
//                console.log(data.matchs[i]);
                // match en cours devient non joue et prepare
//                if (data.matchs[i].cfm_statut === "3"){
//                    data.matchs[i].cfm_statut = "2";
//                    data.matchs[i].matchValide = false;
//                }
            }
            SynchronisationDto.liToInsert = [];
            SynchronisationGeneriqueService.insert("MATCH", data.matchs, function() {
                var cpt = 0;
                if ((!data.matchs) || data.matchs.length === 0) {
                    callback();
                } else {
                    for (var j in data.matchs) {
                        var tokens = data.matchs[j].li_no.split(";");
                        var matchFeuilleLicence = [];
                        for (var k in tokens) {
                            if (Utils.isNotBlank(tokens[k])) {
                                SynchronisationDto.liToInsert.push(tokens[k]);
                                matchFeuilleLicence.push({
                                    ma_no: data.matchs[j].ma_no, 
                                    li_no: tokens[k]
                                });
                            }
                        }
                        SynchronisationGeneriqueService.insert("MATCH_FEUILLE_LICENCE", matchFeuilleLicence, function() {
                            cpt++;
                            if (cpt === data.matchs.length) {
                                callback();
                            }
                        });
                    }
                }
            });
        }, function() {
            SynchronisationService.doPurgeIfError = true;
            SynchronisationService.showError(Lang.synchronisation.erreurDemandeMatch);
        });
    },
    insertOneMatch : function(callback, ma_no) {
        Engine.getDemande("D005", {}, function(data) {
            for (var i = 0; i < data.matchs.length; i++) {
                if (data.matchs[i].ma_no !== ma_no){
                    data.matchs.splice(i, 1);
                    i--;
                }
            }
            for (var i in data.matchs) {
                for (var j in data.matchs[i].sanctions) {
                    data.matchs[i].sanctions[j].ma_no = data.matchs[i].ma_no;
                }
                SynchronisationGeneriqueService.insert("SANCTION", data.matchs[i].sanctions);
                delete data.matchs[i].sanctions;
            }
            for (var i in data.matchs) {
                data.matchs[i].ma_demo = "N";
                data.matchs[i].syncunitaire = "true";
                // match en cours devient non joue et prepare
//                if (data.matchs[i].cfm_statut === "3"){
//                    data.matchs[i].cfm_statut = "2";
//                    data.matchs[i].matchValide = false;
//                }
            }
            SynchronisationDto.liToInsert = [];
            SynchronisationGeneriqueService.insert("MATCH", data.matchs, function() {
                var cpt = 0;
                if ((!data.matchs) || data.matchs.length === 0) {
                    callback();
                } else {
                    for (var j in data.matchs) {
                        var tokens = data.matchs[j].li_no.split(";");
                        var matchFeuilleLicence = [];
                        for (var k in tokens) {
                            if (Utils.isNotBlank(tokens[k])) {
                                SynchronisationDto.liToInsert.push(tokens[k]);
                                matchFeuilleLicence.push({
                                    ma_no: data.matchs[j].ma_no, 
                                    li_no: tokens[k]
                                });
                            }
                        }
                        SynchronisationGeneriqueService.insert("MATCH_FEUILLE_LICENCE", matchFeuilleLicence, function() {
                            cpt++;
                            if (cpt === data.matchs.length) {
                                callback();
                            }
                        });
                    }
                }
            });
        }, function() {
            SynchronisationService.doPurgeIfError = true;
            SynchronisationService.showError(Lang.synchronisation.erreurDemandeMatch);
        });
    },
    insertLicence : function(callback) {
        var tokensMatch = SynchronisationDto.nmMatch.split(";");
        var newTokens = [];
        for (var i in tokensMatch) {
            if (Utils.isNotBlank(tokensMatch[i])) {
                newTokens.push(tokensMatch[i]);
            }
        }
        SynchronisationInsertService.insertLicenceRecursif(newTokens, callback);
    },
    insertLicenceRecursif : function(matchRestant, callback) {
        if (matchRestant.length === 0) {
            callback();
        } else {
            var match = matchRestant[0];
            matchRestant.shift();
            Engine.getDemande("D061", {
                "lc_cod" : null,
                "groupe" : null,
                "perso" : null,
                "match" : isNaN(match) ? null : parseInt(match, 10)
            }, function(data1) {
                //
                // 0036655 - Le Web services D61 doit être découpé en 2
                //
                // Engine.getDemande("D062", {
                //     "lc_cod" : null,
                //     "groupe" : null,
                //     "perso" : null,
                //     "match" : isNaN(match) ? null : parseInt(match, 10)
                // }, function(data2) {
                //     var licences = data1.licences.concat(data2.licences);
                //     SynchronisationGeneriqueService.insert("CLUB_LICENCE", licences, function() {
                //         SynchronisationInsertService.insertLicenceRecursif(matchRestant, callback);
                //     });
                // }, function() {
                //     SynchronisationService.showError(Lang.synchronisation.erreurDemandeLicence);
                // });
                // 
                // Supprimer les lignes ci-dessous pour réactiver la D062
                // 
                SynchronisationGeneriqueService.insert("CLUB_LICENCE", data1.licences, function() {
                    SynchronisationInsertService.insertLicenceRecursif(matchRestant, callback);
                });
                //
                // Fin 0036655
                //
            }, function() {
                SynchronisationService.doPurgeIfError = true;
                SynchronisationService.showError(Lang.synchronisation.erreurDemandeLicence);
            });
        }
    },
    insertGroupe : function(callback) {
        Engine.getDemande("D013", {}, function(data) {
            for (var i in data.cl_grp) {
                data.cl_grp[i].ma_no = SynchronisationService.ma_no;
            }
            for (var i in data.cl_grp_in) {
                data.cl_grp_in[i].ma_no = SynchronisationService.ma_no;
            }
            SynchronisationGeneriqueService.insert("CLUB_GROUPE", data.cl_grp, function() {
                SynchronisationGeneriqueService.insert("CLUB_GROUPE_INDIVIDU", data.cl_grp_in, callback);
            });
        }, function() {
            SynchronisationService.doPurgeIfError = true;
            SynchronisationService.showError(Lang.synchronisation.erreurDemandeGroupe);
        });
    },
    //get the users from the WS
    insertCompte : function(callback) {
        Engine.getDemande("D007", {"match" : SynchronisationService.ma_no}, function(data) {
            var cpt = 0;
            for (var i in data.users) {
                for (var j in data.users[i].usr_equipe) {
                    data.users[i].usr_equipe[j]["usr_no"] = data.users[i].usr_no;
                    data.users[i].usr_equipe[j]["ma_no"] = SynchronisationService.ma_no;
                }
                data.users[i].cl_no = data.users[i].usr_equipe[0].cl_no;
                data.users[i].ma_no = SynchronisationService.ma_no;
                SynchronisationGeneriqueService.insert("UTILISATEUR_EQUIPE", data.users[i].usr_equipe, function() {
                    cpt++;
                    if (cpt === data.users.length + 1) {
                        callback();
                    }
                });
            }
            for (var i in data.users) {
                delete data.users[i]["usr_equipe"];
            }
            SynchronisationGeneriqueService.insert("UTILISATEUR", data.users, function() {
                cpt++;
                if (cpt === data.users.length + 1) {
                    callback();
                }
            });
        }, function() {
            SynchronisationService.doPurgeIfError = true;
            SynchronisationService.showError(Lang.synchronisation.erreurDemandeUtilisateur);
        });
    },
    insertEquipeType : function(callback) {
        Engine.getDemande("D012", {}, function(data) {
            var cpt = 0;
            if ((!data.equipe_type) || data.equipe_type.length === 0) {
                callback();
            } else {
                for (var i in data.equipe_type) {
                    for (var j in data.equipe_type[i].eq_typ_in) {
                        data.equipe_type[i].eq_typ_in[j].lc_cod = data.equipe_type[i].lc_cod;
                        data.equipe_type[i].eq_typ_in[j].sa_no = data.equipe_type[i].sa_no;
                        data.equipe_type[i].eq_typ_in[j].cei_no = data.equipe_type[i].cei_no;
                        data.equipe_type[i].eq_typ_in[j].tq_no = data.equipe_type[i].tq_no;
                        data.equipe_type[i].eq_typ_in[j].eq_cod = data.equipe_type[i].eq_cod;
                        data.equipe_type[i].eq_typ_in[j].cl_no = data.equipe_type[i].cl_no;

                        data.equipe_type[i].eq_typ_in[j].ma_no = SynchronisationService.ma_no;
                        
                        data.equipe_type[i].eq_typ_in[j].li_no = data.equipe_type[i].eq_typ_in[j].in_no;
                        data.equipe_type[i].eq_typ_in[j].cfi_capi = data.equipe_type[i].eq_typ_in[j].cei_capi;
                        data.equipe_type[i].eq_typ_in[j].cfi_maillot = data.equipe_type[i].eq_typ_in[j].cei_maillot;
                        data.equipe_type[i].eq_typ_in[j].cfi_ordre = data.equipe_type[i].eq_typ_in[j].cei_ordre;
                        data.equipe_type[i].eq_typ_in[j].cfi_poste = data.equipe_type[i].eq_typ_in[j].cei_poste;
                        data.equipe_type[i].eq_typ_in[j].cfi_role = data.equipe_type[i].eq_typ_in[j].cei_role;
                        
                        delete data.equipe_type[i].eq_typ_in[j].in_no;
                        delete data.equipe_type[i].eq_typ_in[j].cei_capi;
                        delete data.equipe_type[i].eq_typ_in[j].cei_maillot;
                        delete data.equipe_type[i].eq_typ_in[j].cei_ordre;
                        delete data.equipe_type[i].eq_typ_in[j].cei_poste;
                        delete data.equipe_type[i].eq_typ_in[j].cei_role;
                    }
                    SynchronisationGeneriqueService.insert("EQUIPE_TYPE_INDIVIDU", data.equipe_type[i].eq_typ_in, function() {
                        cpt++;
                        if (cpt === data.equipe_type.length + 1) {
                            callback();
                        }
                    });
                    delete data.equipe_type[i].eq_typ_in;

                    data.equipe_type[i].ma_no = SynchronisationService.ma_no;
                }
                SynchronisationGeneriqueService.insert("EQUIPE_TYPE", data.equipe_type, function() {
                    cpt++;
                    if (cpt === data.equipe_type.length + 1) {
                        callback();
                    }
                });
            }
        }, function() {
            SynchronisationService.doPurgeIfError = true;
            SynchronisationService.showError(Lang.synchronisation.erreurDemandeEquipeType);
        });
    },
    insertFeuilleDeMatch : function(callback) {
        var tokensMatch = SynchronisationDto.nmMatch.split(";");
        var newTokens = [];
        for (var i in tokensMatch) {
            if (Utils.isNotBlank(tokensMatch[i])) {
                newTokens.push(tokensMatch[i]);
            }
        }
        var cpt = 0;
        function callbackFdm() {
            cpt++;
            if (cpt === newTokens.length * nbRequeteFdm) {
                callback();
            }
        }
        var nbRequeteFdm = 5;
        for (var i in newTokens) {
            Engine.getDemande("D010", {
                match : "" + newTokens[i]
            }, function(data) {
                if (Utils.isNull(data.match_feuille)) {
                    SynchronisationService.showError("Erreur lors du retour du WS de la feuille de match");
                } else {
                    
                    for (var i in data.match_feuille_compo.individu) {
                        data.match_feuille_compo.individu[i].ma_no = data.match_feuille_compo.ma_no;
                        data.match_feuille_compo.individu[i].cfm_no = data.match_feuille_compo.cfm_no;
                        data.match_feuille_compo.individu[i].dat_modif = "";
                        data.match_feuille_compo.individu[i].usr_no = "";
                    }
                    SynchronisationGeneriqueService.insert("MATCH_FEUILLE_COMPO", data.match_feuille_compo.individu, callbackFdm);
                    
                    for (var i in data.match_feuille_evenement.evenement) {
                        data.match_feuille_evenement.evenement[i].ma_no = data.match_feuille_compo.ma_no;
                        data.match_feuille_evenement.evenement[i].cfm_no = data.match_feuille_compo.cfm_no;
                    }
                    SynchronisationGeneriqueService.insert("MATCH_FEUILLE_EVENEMENT", data.match_feuille_evenement.evenement, callbackFdm);
                    
                    for (var i in data.match_feuille_membre.individu) {
                        data.match_feuille_membre.individu[i].cfm_no = data.match_feuille_membre.cfm_no;
                        data.match_feuille_membre.individu[i].ma_no = data.match_feuille_membre.ma_no;
                    }
                    SynchronisationGeneriqueService.insert("MATCH_FEUILLE_MEMBRE", data.match_feuille_membre.individu, callbackFdm);
                    
                    for (var i in data.match_feuille_reserve.reserve) {
                        data.match_feuille_reserve.reserve[i].cfm_no = data.match_feuille_compo.cfm_no;
                    }
                    SynchronisationGeneriqueService.insert("MATCH_FEUILLE_RESERVE", data.match_feuille_reserve.reserve, callbackFdm);
                    
                // match en cours devient non joue et prepare
//                    if (data.match_feuille.cfm_statut === "3"){
//                        data.match_feuille.cfm_statut = "2";
//                    }
                    SynchronisationGeneriqueService.insert("MATCH_FEUILLE", data.match_feuille, callbackFdm);
                }
            }, function() {
                SynchronisationService.doPurgeIfError = true;
                SynchronisationService.showError(Lang.synchronisation.erreurDemandeFeuilleDeMatch);
            });
        }
    },
};
