var SynchronisationPurgeCordovaService = {

    purgeCordova: function(callback) {
        var sql = [];
        for (var i in SynchronisationDto.cfmNosToPurge) {
            sql.push("delete from MATCH_FEUILLE_RESERVE where cfm_no='" + Utils.encryptData("_", SynchronisationDto.cfmNosToPurge[i]) + "';");
            sql.push("delete from MATCH_FEUILLE_EVENEMENT where cfm_no='" + Utils.encryptData("_", SynchronisationDto.cfmNosToPurge[i]) + "';");
            sql.push("delete from MATCH_FEUILLE_COMPO where cfm_no='" + Utils.encryptData("_", SynchronisationDto.cfmNosToPurge[i]) + "';");
            sql.push("delete from MATCH_FEUILLE_MEMBRE where cfm_no='" + Utils.encryptData("_", SynchronisationDto.cfmNosToPurge[i]) + "';");
            sql.push("delete from MATCH_FEUILLE where cfm_no='" + Utils.encryptData("_", SynchronisationDto.cfmNosToPurge[i]) + "';");
        }
        
            
        for (var i in SynchronisationDto.maNosToPurge) {
            sql.push("delete from SANCTION where ma_no = '" + Utils.encryptData("_", SynchronisationDto.maNosToPurge[i]) + "';");
            sql.push("delete from SANCTION where li_no in (select li_no from MATCH_FEUILLE_LICENCE where ma_no='" + Utils.encryptData("_", SynchronisationDto.maNosToPurge[i]) + "');");
            sql.push("delete from CLUB_LICENCE where li_no in (select li_no from MATCH_FEUILLE_LICENCE where ma_no='" + Utils.encryptData("_", SynchronisationDto.maNosToPurge[i]) + "');");
            sql.push("delete from MATCH_FEUILLE_LICENCE where ma_no = '" + Utils.encryptData("_", SynchronisationDto.maNosToPurge[i]) + "';");
        }
        
        for (var i in SynchronisationDto.dataMatchsToPurge) {
            var clNo = Utils.encryptData("_", SynchronisationDto.dataMatchsToPurge[i].cl_no);
            var eqCod = Utils.encryptData("_", SynchronisationDto.dataMatchsToPurge[i].eq_cod);
            var saNo = Utils.encryptData("_", SynchronisationDto.dataMatchsToPurge[i].sa_no);
            var lcCod = Utils.encryptData("_", SynchronisationDto.dataMatchsToPurge[i].lc_cod);
            sql.push("delete from CLUB_GROUPE_INDIVIDU where cgr_no in (select cgr_no from CLUB_GROUPE where cl_no='" + clNo + "');");
            sql.push("delete from CLUB_GROUPE where cl_no = '" + clNo + "';");
            sql.push("delete from CLUB_LICENCE where cl_no = '" + clNo + "';");
            sql.push("delete from EQUIPE_TYPE_INDIVIDU where cl_no = '" + clNo + "' and eq_cod='" + eqCod + "' and sa_no='" + saNo + "' and lc_cod='" + lcCod + "';");
            sql.push("delete from EQUIPE_TYPE where cl_no = '" + clNo + "' and eq_cod='" + eqCod + "' and sa_no='" + saNo + "' and lc_cod='" + lcCod + "';");
            sql.push("delete from UTILISATEUR_EQUIPE where cl_no in (select cl_no from UTILISATEUR where cl_no='" + clNo + "');");
            sql.push("delete from UTILISATEUR where cl_no = '" + clNo + "';");
        }
            
        for (var i in SynchronisationDto.maNosToPurge) {
            sql.push("delete from MATCH where ma_no = '" + Utils.encryptData("_", SynchronisationDto.maNosToPurge[i]) + "';");
        }
        
        sql.push("delete from FMI_REF;");
        sql.push("delete from TACTIQUE;");
        
        var cpt = 0;
        DataBase.db.sqlBatch(sql, function() {
            if (typeof callback === 'function') {
                Engine.getDemande("D004", {"tactique": "O", "ref": "O", "ref_type": null}, function(jsonTactique) {
                    SynchronisationGeneriqueService.insert("FMI_REF", jsonTactique.param, function() {
                        SynchronisationGeneriqueService.insert("TACTIQUE", jsonTactique.tactiques, function() {
                           callback();
                        });
                    });
                }, function() {
                    SynchronisationService.showError(Lang.synchronisation.erreurDemandeFmiRef);
                });
            }
        });
    },
    purgeUnitaryCordova: function(callback) {
        var sql = [];
        for (var i in SynchronisationDto.cfmNosToPurge) {
            sql.push("delete from MATCH_FEUILLE_RESERVE where cfm_no='" + Utils.encryptData("_", SynchronisationDto.cfmNosToPurge[i]) + "';");
            sql.push("delete from MATCH_FEUILLE_EVENEMENT where cfm_no='" + Utils.encryptData("_", SynchronisationDto.cfmNosToPurge[i]) + "';");
            sql.push("delete from MATCH_FEUILLE_COMPO where cfm_no='" + Utils.encryptData("_", SynchronisationDto.cfmNosToPurge[i]) + "';");
            sql.push("delete from MATCH_FEUILLE_MEMBRE where cfm_no='" + Utils.encryptData("_", SynchronisationDto.cfmNosToPurge[i]) + "';");
            sql.push("delete from MATCH_FEUILLE where cfm_no='" + Utils.encryptData("_", SynchronisationDto.cfmNosToPurge[i]) + "';");
        }
        
        for (var i in SynchronisationDto.maNosToPurge) {
            sql.push("delete from SANCTION where ma_no = '" + Utils.encryptData("_", SynchronisationDto.maNosToPurge[i]) + "';");
            sql.push("delete from SANCTION where li_no in (select li_no from MATCH_FEUILLE_LICENCE where ma_no='" + Utils.encryptData("_", SynchronisationDto.maNosToPurge[i]) + "');");
            sql.push("delete from CLUB_LICENCE where li_no in (select li_no from MATCH_FEUILLE_LICENCE where ma_no='" + Utils.encryptData("_", SynchronisationDto.maNosToPurge[i]) + "');");
            sql.push("delete from MATCH_FEUILLE_LICENCE where ma_no = '" + Utils.encryptData("_", SynchronisationDto.maNosToPurge[i]) + "';");
            sql.push("delete from MATCH where ma_no = '" + Utils.encryptData("_", SynchronisationDto.maNosToPurge[i]) + "';");
            // SUPPESSION DES DONNEES RECUPEREES POUR LE MATCH
            sql.push("delete from CLUB_GROUPE_INDIVIDU where ma_no = '" + Utils.encryptData("_", SynchronisationDto.maNosToPurge[i]) + "';");
            sql.push("delete from CLUB_GROUPE where ma_no = '" + Utils.encryptData("_", SynchronisationDto.maNosToPurge[i]) + "';");
            sql.push("delete from EQUIPE_TYPE_INDIVIDU where ma_no = '" + Utils.encryptData("_", SynchronisationDto.maNosToPurge[i]) + "';");
            sql.push("delete from EQUIPE_TYPE where ma_no = '" + Utils.encryptData("_", SynchronisationDto.maNosToPurge[i]) + "';");
            sql.push("delete from UTILISATEUR_EQUIPE where ma_no = '" + Utils.encryptData("_", SynchronisationDto.maNosToPurge[i]) + "';");
            sql.push("delete from UTILISATEUR where ma_no = '" + Utils.encryptData("_", SynchronisationDto.maNosToPurge[i]) + "';");
        }
        
/*        for (var i in SynchronisationDto.dataMatchsToPurge) {
            var clNo = Utils.encryptData("_", SynchronisationDto.dataMatchsToPurge[i].cl_no);
            var eqCod = Utils.encryptData("_", SynchronisationDto.dataMatchsToPurge[i].eq_cod);
            var saNo = Utils.encryptData("_", SynchronisationDto.dataMatchsToPurge[i].sa_no);
            var lcCod = Utils.encryptData("_", SynchronisationDto.dataMatchsToPurge[i].lc_cod);
            sql.push("delete from CLUB_GROUPE_INDIVIDU where cgr_no in (select cgr_no from CLUB_GROUPE where cl_no='" + clNo + "');");
            sql.push("delete from CLUB_GROUPE where cl_no = '" + clNo + "';");
            sql.push("delete from CLUB_LICENCE where cl_no = '" + clNo + "';");
            sql.push("delete from EQUIPE_TYPE_INDIVIDU where cl_no = '" + clNo + "' and eq_cod='" + eqCod + "' and sa_no='" + saNo + "' and lc_cod='" + lcCod + "';");
            sql.push("delete from EQUIPE_TYPE where cl_no = '" + clNo + "' and eq_cod='" + eqCod + "' and sa_no='" + saNo + "' and lc_cod='" + lcCod + "';");
            sql.push("delete from UTILISATEUR_EQUIPE where cl_no in (select cl_no from UTILISATEUR where cl_no='" + clNo + "');");
            sql.push("delete from UTILISATEUR where cl_no = '" + clNo + "';");
        }*/
        DataBase.db.sqlBatch(sql, function() {
            if (typeof callback === 'function') {
                callback();
            }
        });                                         
    },
};