var SynchronisationPurgeService = {
    
    makePurge : function(callback) {
        AccueilService.getMatchUtilisateur("N", function(dataMatch) {
            SynchronisationDto.matchsToPurge = dataMatch;
            SynchronisationDto.cfmNosToPurge = [];
            SynchronisationDto.maNosToPurge = [];
            SynchronisationDto.clNosToPurge = [Project.contexteUtilisateur.cl_no];
            for (var i in SynchronisationDto.matchsToPurge) {
                SynchronisationDto.maNosToPurge.push(SynchronisationDto.matchsToPurge[i].ma_no);
                SynchronisationDto.cfmNosToPurge.push(SynchronisationDto.matchsToPurge[i].cfm_no);
                if (!Utils.containsInArray(SynchronisationDto.matchsToPurge[i].cr_cl_no, SynchronisationDto.clNosToPurge)) {
                    SynchronisationDto.clNosToPurge.push(SynchronisationDto.matchsToPurge[i].cr_cl_no);
                }
                if (!Utils.containsInArray(SynchronisationDto.matchsToPurge[i].cv_cl_no, SynchronisationDto.clNosToPurge)) {
                    SynchronisationDto.clNosToPurge.push(SynchronisationDto.matchsToPurge[i].cv_cl_no);
                }
                SynchronisationDto.dataMatchsToPurge.push({
                    cl_no : SynchronisationDto.matchsToPurge[i].cr_cl_no,
                    eq_cod : SynchronisationDto.matchsToPurge[i].cr_eq_cod,
                    sa_no : SynchronisationDto.matchsToPurge[i].sa_no,
                    lc_cod : SynchronisationDto.matchsToPurge[i].lc_cod
                });
                SynchronisationDto.dataMatchsToPurge.push({
                    cl_no : SynchronisationDto.matchsToPurge[i].cv_cl_no,
                    eq_cod : SynchronisationDto.matchsToPurge[i].cv_eq_cod,
                    sa_no : SynchronisationDto.matchsToPurge[i].sa_no,
                    lc_cod : SynchronisationDto.matchsToPurge[i].lc_cod
                });
            }
            
            if (Engine.indexedDbBd) {
                SynchronisationDto.liNosToPurge = [];
                for (var i in SynchronisationDto.matchsToPurge) {
                    var tokens = SynchronisationDto.matchsToPurge[i].li_no.split(";");
                    for (var j in tokens) {
                        if (Utils.isNotBlank(tokens[j]) && !Utils.containsInArray(tokens[j], SynchronisationDto.liNosToPurge)) {
                            SynchronisationDto.liNosToPurge.push(tokens[j]);
                        }
                    }
                }
                SynchronisationPurgeService.purgeAndInsertReferentiel(function() {
                    SynchronisationService.setPourcent(20);
                    SynchronisationPurgeService.purgeFeuilleMatch(function() {
                        SynchronisationPurgeService.purgeClubGroupeIndividu(function() {
                            SynchronisationPurgeService.purgeLicence(function() {
                                SynchronisationPurgeService.purgeEquipeType(function() {
                                    SynchronisationPurgeService.purgeSanction(function() {
                                        SynchronisationPurgeService.purgeUtilisateur(function() {
                                            SynchronisationPurgeService.purgeMatch(function() {
                                                Utils.log("Purge terminée");
                                                callback();
                                            });
                                        });
                                    });
                                });
                            });
                        });
                    });
                });
            } else {
                SynchronisationPurgeCordovaService.purgeCordova(function() {
                    Utils.log("Purge terminée");
                    callback();
                });
            }
        });
    },

// SYNCHRONISATION UNITAIRE
    makePurgeUnitary: function(callback, match){
        dataMatch = [];
        AccueilService.getMatchUnitary(match, dataMatch, function(dataMatch) {
            if (dataMatch.length == 0){
                Utils.log("Purge terminée");
                callback();
            }
            else {
                SynchronisationDto.matchsToPurge = dataMatch;
                SynchronisationDto.cfmNosToPurge = [];
                SynchronisationDto.maNosToPurge = [];
                SynchronisationDto.clNosToPurge = [Project.contexteUtilisateur.cl_no];
                for (var i in SynchronisationDto.matchsToPurge) {
                    SynchronisationDto.maNosToPurge.push(SynchronisationDto.matchsToPurge[i].ma_no);
                    SynchronisationDto.cfmNosToPurge.push(SynchronisationDto.matchsToPurge[i].cfm_no);
                    if (!Utils.containsInArray(SynchronisationDto.matchsToPurge[i].cr_cl_no, SynchronisationDto.clNosToPurge)) {
                        SynchronisationDto.clNosToPurge.push(SynchronisationDto.matchsToPurge[i].cr_cl_no);
                    }
                    if (!Utils.containsInArray(SynchronisationDto.matchsToPurge[i].cv_cl_no, SynchronisationDto.clNosToPurge)) {
                        SynchronisationDto.clNosToPurge.push(SynchronisationDto.matchsToPurge[i].cv_cl_no);
                    }
                    SynchronisationDto.dataMatchsToPurge.push({
                        cl_no : SynchronisationDto.matchsToPurge[i].cr_cl_no,
                        eq_cod : SynchronisationDto.matchsToPurge[i].cr_eq_cod,
                        sa_no : SynchronisationDto.matchsToPurge[i].sa_no,
                        lc_cod : SynchronisationDto.matchsToPurge[i].lc_cod
                    });
                    SynchronisationDto.dataMatchsToPurge.push({
                        cl_no : SynchronisationDto.matchsToPurge[i].cv_cl_no,
                        eq_cod : SynchronisationDto.matchsToPurge[i].cv_eq_cod,
                        sa_no : SynchronisationDto.matchsToPurge[i].sa_no,
                        lc_cod : SynchronisationDto.matchsToPurge[i].lc_cod
                    });
                }
                
                if (Engine.indexedDbBd) {
                    SynchronisationDto.liNosToPurge = [];
                    for (var i in SynchronisationDto.matchsToPurge) {
                        var tokens = SynchronisationDto.matchsToPurge[i].li_no.split(";");
                        for (var j in tokens) {
                            if (Utils.isNotBlank(tokens[j]) && !Utils.containsInArray(tokens[j], SynchronisationDto.liNosToPurge)) {
                                SynchronisationDto.liNosToPurge.push(tokens[j]);
                            }
                        }
                    }
                    SynchronisationPurgeService.purgeAndInsertReferentiel(function() {
                        SynchronisationService.setPourcent(20);
                        SynchronisationPurgeService.purgeFeuilleMatch(function() {
                            SynchronisationPurgeService.purgeClubGroupeIndividu(function() {
                                SynchronisationPurgeService.purgeLicence(function() {
                                    SynchronisationPurgeService.purgeEquipeType(function() {
                                        SynchronisationPurgeService.purgeSanction(function() {
                                            SynchronisationPurgeService.purgeUtilisateur(function() {
                                                SynchronisationPurgeService.purgeMatch(function() {
                                                    Utils.log("Purge terminée");
                                                    callback();
                                                });
                                            });
                                        });
                                    });
                                });
                            });
                        });
                    });
                } else {
                    SynchronisationPurgeCordovaService.purgeUnitaryCordova(function() {
                        Utils.log("Purge terminée");
                        callback();
                    });
                }
            }
        });
    },
    
    startPurge: function(callback) {
        Engine.getDemande("D014", {}, function(json) {
            SynchronisationDto.datePurge = json.date;
            Utils.log("Date de début de purge serveur : " + SynchronisationDto.datePurge);
            
            SynchronisationPurgeService.makePurge(callback);
        }, function() {
            SynchronisationService.showError(Lang.synchronisation.erreurDemandeDatePurge);
        });
    },
    
    /******************************************
     ********* METHODE DE PURGE *************** 
     ******************************************/
    
    purgeRecursifCfmNo: function(table, callback) {
        SynchronisationGeneriqueService.purgeRecursif(table, "cfm_no", Utils.cloneObject(SynchronisationDto.cfmNosToPurge), [], function(data) {
           callback(data);
        });
    },
    purgeRecursifMaNo: function(table, callback) {
        SynchronisationGeneriqueService.purgeRecursif(table, "ma_no", Utils.cloneObject(SynchronisationDto.maNosToPurge), [], function(data) {
           callback(data);
        });
    },
    
    purgeFeuilleMatch: function(callback) {
        
        SynchronisationPurgeService.purgeRecursifCfmNo("MATCH_FEUILLE_RESERVE", function() {
            SynchronisationPurgeService.purgeRecursifCfmNo("MATCH_FEUILLE_EVENEMENT", function() {
                SynchronisationPurgeService.purgeRecursifCfmNo("MATCH_FEUILLE_COMPO", function() {
                    SynchronisationPurgeService.purgeRecursifCfmNo("MATCH_FEUILLE_MEMBRE", function() {
                        SynchronisationPurgeService.purgeRecursifCfmNo("MATCH_FEUILLE", function() {
                            callback();
                        });
                    });
                });
            });
        });
    },
    purgeSanction: function(callback) {
        SynchronisationPurgeService.purgeRecursifMaNo("SANCTION", function() {
            callback();
        });
    },
    purgeMatch: function(callback) {
        SynchronisationPurgeService.purgeRecursifMaNo("MATCH_FEUILLE_LICENCE", function() {
            SynchronisationPurgeService.purgeRecursifMaNo("MATCH", function() {
            callback();
            });
        });
    },
    purgeClubGroupeIndividu: function(callback) {
        var cgrNoToPurge= [];
        DataBase.findBy("CLUB_GROUPE", "cl_no", Project.contexteUtilisateur.cl_no, function(data) {
            for (var i in data) {
                if (!Utils.containsInArray(data[i].cgr_no, cgrNoToPurge)) {
                    cgrNoToPurge.push(data[i].cgr_no);
                }
            }
            SynchronisationGeneriqueService.purgeRecursif("CLUB_GROUPE_INDIVIDU", "cgr_no", Utils.cloneObject(cgrNoToPurge), [], function() {
                SynchronisationGeneriqueService.purgeRecursif("CLUB_GROUPE", "cl_no", Utils.cloneObject(SynchronisationDto.clNosToPurge), [], function() {
                    callback();
                });
            });
        });
    },
    purgeLicence: function(callback) {
        SynchronisationGeneriqueService.purgeRecursif("CLUB_LICENCE", "li_no", Utils.cloneObject(SynchronisationDto.liNosToPurge), [], function() {
            var cpt = 0;
            if (SynchronisationDto.clNosToPurge.length > 0) { 
                for (var i in SynchronisationDto.clNosToPurge) {
                    DataBase.findBy("CLUB_LICENCE", "cl_no", SynchronisationDto.clNosToPurge[i], function(data) {
                        SynchronisationGeneriqueService.callbackPurge("CLUB_LICENCE", data, function() {
                            var liNoClNo = [];
                            for (var i in data) {
                                liNoClNo.push(data[i].cl_no);
                            }
                            SynchronisationGeneriqueService.purgeRecursif("SANCTION", "li_no", Utils.cloneObject(liNoClNo), [], function() {
                                cpt++;
                                if (cpt === SynchronisationDto.clNosToPurge.length) {
                                    callback();
                                }
                            });
                        });
                    });
                }
            } else {
                callback();
            }
        });
    },
    
    purgeEquipeTypeRecursif: function(table, listeValeur, dataReturn, callback) {
        if (listeValeur.length == 0) {
            SynchronisationGeneriqueService.callbackPurge(table, dataReturn, callback);
        } else {
            var recherche = listeValeur[0];
            listeValeur.shift();
            DataBase.findBy(table, "cl_noAndeq_codAndsa_noAndlc_cod", [recherche.cl_no, recherche.eq_cod, recherche.sa_no, recherche.lc_cod], function(data) {
                if (data.length > 0) {
                    for (var i in data) {
                        dataReturn.push(data[i]);
                    }
                }
                SynchronisationPurgeService.purgeEquipeTypeRecursif(table, listeValeur, dataReturn, callback);
            });
        }
    },
    
    purgeEquipeType: function(callback) {
        SynchronisationPurgeService.purgeEquipeTypeRecursif("EQUIPE_TYPE_INDIVIDU", Utils.cloneObject(SynchronisationDto.dataMatchsToPurge), [], function() {
            SynchronisationPurgeService.purgeEquipeTypeRecursif("EQUIPE_TYPE", Utils.cloneObject(SynchronisationDto.dataMatchsToPurge), [], function() {
                callback();
            });
        });
    },
    
    purgeUtilisateur: function(callback) {
        SynchronisationGeneriqueService.purgeRecursif("UTILISATEUR", "cl_no", Utils.cloneObject(SynchronisationDto.clNosToPurge), [], function(data) {
            var usrNoToPurge = [];
            for (var i in data) {
                usrNoToPurge.push(data[i].usr_no);
            }
            SynchronisationGeneriqueService.purgeRecursif("UTILISATEUR_EQUIPE", "usr_no", Utils.cloneObject(usrNoToPurge), [], function(data) {
                callback();
            });
        });
    },
    
    purgeAndInsertReferentiel: function(callback) {
        SynchronisationGeneriqueService.purgeAll("FMI_REF", function() {
            SynchronisationGeneriqueService.purgeAll("TACTIQUE", function() {
                Engine.getDemande("D004", {"tactique": "O", "ref": "O", "ref_type": null}, function(jsonTactique) {
                    SynchronisationGeneriqueService.insert("FMI_REF", jsonTactique.param, function() {
                        SynchronisationGeneriqueService.insert("TACTIQUE", jsonTactique.tactiques, function() {
                           callback();
                        });    
                    });
                }, function() {
                    SynchronisationService.showError(Lang.synchronisation.erreurDemandeFmiRef);
                });
            });
        });
    },    
    
    purgeAndInsertDemo: function(callback) {
        DataBase.findBy("MATCH", "ma_demo", "O", function(data) {
            var maNos = [];
            var liNos = [];
            for (var i in data) {
                maNos.push(data[i].ma_no);
                var tokens = data[i].li_no.split(";");
                for (var j in tokens) {
                    if (Utils.isNotBlank(tokens[j]) && !Utils.containsInArray(tokens[j], liNos)) {
                        liNos.push(tokens[j]);
                    }
                }
            }
            SynchronisationGeneriqueService.purgeRecursif("MATCH_FEUILLE_LICENCE", "ma_no", Utils.cloneObject(maNos), [], function() {
                SynchronisationGeneriqueService.purgeRecursif("CLUB_LICENCE", "li_no", Utils.cloneObject(liNos), [], function() {
                    SynchronisationGeneriqueService.purgeRecursif("MATCH", "ma_no", Utils.cloneObject(maNos), [], function() {
                        Engine.getDemande("D015", { }, function(jsonRetour) {
                            if (jsonRetour.matchs !== undefined && jsonRetour.matchs.length > 0) {
                                for (var j in jsonRetour.matchs) {
                                    jsonRetour.matchs[j].ma_demo = "O";
                                    jsonRetour.matchs[j].cfm_no = -1 - j;
                                }
                                var cpt = 0;
                                SynchronisationGeneriqueService.insert("MATCH", jsonRetour.matchs, function() {
                                    for (var j in jsonRetour.matchs) {
                                        var tokens = jsonRetour.matchs[j].li_no.split(";");
                                        var matchFeuilleLicence = [];
                                        for (var k in tokens) {
                                            if (Utils.isNotBlank(tokens[k])) {
                                                SynchronisationDto.liToInsert.push(tokens[k]);
                                                matchFeuilleLicence.push({
                                                    ma_no: jsonRetour.matchs[j].ma_no, 
                                                    li_no: tokens[k]
                                                });
                                            }
                                        }
                                        SynchronisationGeneriqueService.insert("MATCH_FEUILLE_LICENCE", matchFeuilleLicence, function() {
                                            cpt++;
                                            if (cpt === jsonRetour.matchs.length) {
                                                SynchronisationGeneriqueService.insert("CLUB_LICENCE", jsonRetour.licences, function() {
                                                   callback();
                                                });  
                                            }
                                        });
                                    }
                                });
                            } else {
                                callback();
                            }
                        }, function() {
                            SynchronisationService.showError(Lang.synchronisation.erreurDemandeDemo);
                        });
                    });
                });
            });
        });
    }
};