DataBaseCordova.name = "BD_FFF_FMI";
DataBaseCordova.version = "1";
DataBaseCordova.taille = 6400 * 1024;

DataBaseCordova.alterMatchFeuilleCompo = function(tx) {
    tx.executeSql("ALTER TABLE MATCH_FEUILLE_COMPO ADD COLUMN usr_no;");
    tx.executeSql("ALTER TABLE MATCH_FEUILLE_COMPO ADD COLUMN dat_modif;");
    tx.executeSql("ALTER TABLE MATCH_FEUILLE_COMPO ADD COLUMN in_no;");
    tx.executeSql("ALTER TABLE MATCH_FEUILLE_COMPO ADD COLUMN in_nom;");
    tx.executeSql("ALTER TABLE MATCH_FEUILLE_COMPO ADD COLUMN in_prenom;");
    tx.executeSql("ALTER TABLE MATCH_FEUILLE_COMPO ADD COLUMN in_dat_nais;");
};
DataBaseCordova.alterMatchFeuille = function(tx) {
    tx.executeSql("ALTER TABLE MATCH_FEUILLE ADD COLUMN cfm_cr_mdp;");
    tx.executeSql("ALTER TABLE MATCH_FEUILLE ADD COLUMN cfm_cr_question;");
    tx.executeSql("ALTER TABLE MATCH_FEUILLE ADD COLUMN cfm_cr_rep;");
    tx.executeSql("ALTER TABLE MATCH_FEUILLE ADD COLUMN cfm_cv_mdp;");
    tx.executeSql("ALTER TABLE MATCH_FEUILLE ADD COLUMN cfm_cv_question;");
    tx.executeSql("ALTER TABLE MATCH_FEUILLE ADD COLUMN cfm_cv_rep;");
    tx.executeSql("ALTER TABLE MATCH_FEUILLE ADD COLUMN cfm_obs_apm;");
    tx.executeSql("ALTER TABLE MATCH_FEUILLE ADD COLUMN cr_abs_tech_apm;");
    tx.executeSql("ALTER TABLE MATCH_FEUILLE ADD COLUMN cv_abs_tech_apm;");
    tx.executeSql("ALTER TABLE MATCH_FEUILLE ADD COLUMN cr_abs_obs_apm;");
    tx.executeSql("ALTER TABLE MATCH_FEUILLE ADD COLUMN cv_abs_obs_apm;");
    tx.executeSql("ALTER TABLE MATCH ADD COLUMN dat_dern_sync_eq_adv;");
    tx.executeSql("ALTER TABLE MATCH ADD COLUMN ph_carton_blanc;");
    tx.executeSql("ALTER TABLE MATCH ADD COLUMN ph_carton_vert;");
};
DataBaseCordova.alterMatchFeuilleReserve = function(tx) {
    tx.executeSql("ALTER TABLE MATCH_FEUILLE_RESERVE ADD COLUMN li_no;");
};
DataBaseCordova.alterClubLicence = function(tx) {
    tx.executeSql("ALTER TABLE CLUB_LICENCE ADD COLUMN tl_uti_typ_lic;");
    tx.executeSql("ALTER TABLE CLUB_LICENCE ADD COLUMN li_dat_qualif;");
};
DataBaseCordova.alterMatchFeuilleEvenement = function(tx) {
    tx.executeSql("ALTER TABLE MATCH_FEUILLE_EVENEMENT ADD COLUMN l1_cfi_maillot;");
    tx.executeSql("ALTER TABLE MATCH_FEUILLE_EVENEMENT ADD COLUMN l2_cfi_maillot;");
    tx.executeSql("ALTER TABLE MATCH_FEUILLE_EVENEMENT ADD COLUMN in_no;");
};

DataBaseCordova.createBase = function(tx) {
	Utils.log("create base with changing version ! ");
	tx.executeSql('CREATE TABLE IF NOT EXISTS CLUB_GROUPE (id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, cgr_no, cl_no, lc_cod, cgr_nom)');
    tx.executeSql('CREATE TABLE IF NOT EXISTS CLUB_GROUPE_INDIVIDU (id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, cgr_no, in_no)');
    tx.executeSql('CREATE TABLE IF NOT EXISTS CLUB_LICENCE (id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, li_no, cl_no, in_no, in_nom, in_prenom, in_sexe, lc_cod, in_dat_nais, lc_lib, sc_cod, sc_lib, li_statut, li_dat_enr, li_natu_deman, li_etat, li_mut, in_nat, ic_cachet_lib, in_photo, cq_cl_info, cg_nom, sa_lib, tl_cod, tl_lib, cl_cod, cl_nom, dpp_nom_abr, li_certif_medic, li_surclass, li_di_fonc, li_cl_grpt, in_maillot)');
    tx.executeSql('CREATE TABLE IF NOT EXISTS EQUIPE_TYPE (id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, lc_cod, cl_no, cei_no, tq_no, eq_cod, sa_no)');
    tx.executeSql('CREATE TABLE IF NOT EXISTS EQUIPE_TYPE_INDIVIDU (id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, li_no, cfi_poste, cfi_ordre, cfi_maillot, cfi_capi, cfi_typ_role, cfi_role, tq_no, cei_no, eq_cod, lc_cod, sa_no, cl_no, li_statut, li_mut, in_nat)');
    tx.executeSql('CREATE TABLE IF NOT EXISTS FMI_REF (id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, ref_typ, ref_cod, ref_libelle, ref_sort)');
    tx.executeSql('CREATE TABLE IF NOT EXISTS MATCH (id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, ma_no, sa_no, lc_cod, ma_huisclos, ma_dat, ma_heure_lib, pg_lib, ma_tv, cr_cl_no, cr_cl_cod_nom, cr_eq_no, cr_eq_cod, cr_eq_nom_abr, cr_cl_nb_maxi_eqp_typ, cr_cl_blason, cv_cl_no, cv_cl_cod_nom, cv_eq_no, cv_eq_cod, cv_eq_nom_abr, cv_cl_nb_maxi_eqp_typ, te_no, te_loca, te_nom, cp_nom, ph_lib, ph_duree_periode, ph_duree_prol, ph_prol, ph_tps_sup, ph_tir_but, ph_nb_titul, ph_nb_jou_banc, ph_nb_staff_banc, ph_nb_dir_banc, ph_nb_edu_banc, ph_nb_med_banc, ph_num_maillot, ph_tactiq, ph_reglt_locaux, ph_info_but, ph_info_secu, ph_info_orga, ph_nb_titul_mini, ph_nb_remp, ph_nbmaxi_mut, ph_nb_maxi_etrg, cfm_no, li_no, gp_lib, cfm_statut, sanctions, cv_sfl_dat_dern_trans_compo, cr_sfl_dat_dern_trans_compo, dat_dern_trans, cv_cl_blason, ma_demo)');
    //les paramètres "chbxProlongations, chbxTirsAuBut, chbxMatchNonJoue et chbxMatchArrete" servent à l'affichage des checkboxs de l'onglet match
    //les paramètres "fdmValidee, observationsApresMatchNeant et reservesTechniquesNeant" servent de paramètres aux faits de match
    //les paramètres "cfm_mdp, cfm_question, cfm_rep" sont les champs correspondant au mot de passe arbitre
    //le paramètre "cfm_infos_valid" concerne la validation des infos match et "cfm_verrou" le verrouillage de la feuille
    //le paramètre "cr_co_valid" concerne la validation de la composition de l'équipe recevante
    //le paramètre "cv_co_valid" concerne la validation de la composition de l'équipe visiteuse
    //le paramètre "ma_demo" permet de savoir si le match est à faire apparaître dans le module démonstration ou non
    tx.executeSql('CREATE TABLE IF NOT EXISTS MATCH_FEUILLE (id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, cfm_no, ma_no, cfm_statut, tq_no, ma_min_period1, ma_min_period1_sup, ma_min_period2, ma_min_period2_sup, ma_min_prol, ma_min_prol_sup1, ma_min_prol_sup2, cr_forf, cv_forf, ma_min_arret, ma_min_arret_sup, ma_motif_arret, ma_motif_arret_cod, ma_motif_non_joue_cod, ma_motif_non_joue, cr_nb_but, cv_nb_but, cr_nb_tir_but, cv_nb_tir_but, cr_nb_but_tps_reglt, cv_nb_but_tps_reglt, cfm_nb_signat_avm, cfm_nb_signat_fm, in_no_avm_rec, cfm_signat_avm_rec, in_no_avm_vis, cfm_signat_avm_vis, in_no_avm_arb, cfm_signat_avm_arb, in_no_res_avm_rec, cfm_signat_res_avm_rec, in_no_res_avm_vis, cfm_signat_res_avm_vis, in_no_res_avm_arb, cfm_signat_res_avm_arb, in_no_tech_apm_rec, in_no_tech_apm_vis, in_no_tech_apm_arb, in_no_tech_apm_ass, cfm_signat_tech_apm_rec, cfm_signat_tech_apm_vis, cfm_signat_tech_apm_arb, cfm_signat_tech_apm_ass, in_no_obs_apm_rec, cfm_signat_obs_apm_rec, in_no_obs_apm_vis, cfm_signat_obs_apm_vis, in_no_obs_apm_arb, cfm_signat_obs_apm_arb, in_no_apm_rec, cfm_signat_apm_rec, in_no_apm_vis, cfm_signat_apm_vis, in_no_apm_arb, cfm_signat_apm_arb, cfm_med, cfm_tech_lum, cfm_direc_secu, cfm_ma_dat, cfm_ma_heure_lib, cfm_te_loca, cfm_te_nom, cfm_tq_diff, cfm_rapp_deleg, cfm_recette, cfm_nb_spect, cfm_reglt_locaux_lib, cfm_rapp_arb, cfm_cr_obs_apm, cfm_cv_obs_apm, cfm_res_tech_apm, chbxProlongations, chbxTirsAuBut, chbxMatchNonJoue, chbxMatchArrete, fdmValidee, observationsApresMatchNeant, reservesTechniquesNeant, cfm_verrou, cfm_mdp, cfm_question, cfm_rep, cfm_infos_valid, cr_co_valid, cv_co_valid)');
    tx.executeSql('CREATE TABLE IF NOT EXISTS MATCH_FEUILLE_COMPO (id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, li_no, ma_no, cfm_no, cfi_cl_no, cfi_poste, cfi_ordre, cfi_maillot, cfi_capi, cfi_typ_role, cfi_role, tq_no, li_statut, li_mut, in_nat)');
    
    //les paramètres "cfe_denombrement, cfe_tribune" sont utilisées pour l'onglet sécurité faits de match
    tx.executeSql('CREATE TABLE IF NOT EXISTS MATCH_FEUILLE_EVENEMENT (id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, ma_no, cfm_no, cfe_no, l1_li_no, l2_li_no, cfe_typ, cfe_min, cfe_min_sup, cfe_typ_but, cfe_action, cfe_cod_motif, cfe_lib, cfe_cod_bless, cfe_denombrement, cfe_tribune, cfe_nb_evmt, cfe_trib)');
    tx.executeSql('CREATE TABLE IF NOT EXISTS MATCH_FEUILLE_MEMBRE (id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, mmf_no, ma_no, mm_no, po_cod, po_lib, mmf_typ, mmf_statut, mmf_pres, mmf_in_no, mmf_in_nom, mmf_in_prenom, cfm_no, cl_no)');
    tx.executeSql('CREATE TABLE IF NOT EXISTS MATCH_FEUILLE_RESERVE (id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, mfr_no, cfm_no, cl_no, in_no, in_nom, in_prenom, in_sexe, mfr_typ, mfr_libre)');
    tx.executeSql('CREATE TABLE IF NOT EXISTS MATCH_FEUILLE_LICENCE (id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, ma_no, li_no)');
    tx.executeSql('CREATE TABLE IF NOT EXISTS SANCTION (id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, dd_no, in_no, li_no, dd_dat_publi, cp_nom, ma_lib, dd_lib, dd_dat_effet, ma_no)');
     
    tx.executeSql('CREATE TABLE IF NOT EXISTS PARAM (id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, ref_typ, ref_cod, ref_libelle, ref_sort)');
    tx.executeSql('CREATE TABLE IF NOT EXISTS TACTIQUE (id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, tq_no, tq_nom, tq_cod_affich)');
     
    tx.executeSql('CREATE TABLE IF NOT EXISTS UTILISATEUR (id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, usr_no, usr_nom_conx, usr_ora, usr_password, cl_no)');
    tx.executeSql('CREATE TABLE IF NOT EXISTS UTILISATEUR_EQUIPE (id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, usr_no, cl_no, eq_no, eq_cod, lc_cod, sa_no)'); 
    tx.executeSql('CREATE TABLE IF NOT EXISTS TABLETTE (id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, tlb_uuid, tlb_cle_e, tlb_cle_b, tlb_app_version, tlb_nb_eq_typ_max, data_synchro)');
    
    tx.executeSql('CREATE TABLE IF NOT EXISTS CGU (id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, cgu_no, usr_no, cgu_dat, cgu_version)');
    tx.executeSql('CREATE TABLE IF NOT EXISTS FEUILLE_MATCH_HISTO (id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, cfmh_no, cfm_no, cfmh_dat, cfmh_heure, cfmh_flux)');
    
    // liste des INDEX
    
    tx.executeSql('CREATE INDEX IF NOT EXISTS CLUB_GROUPE_PK                  ON CLUB_GROUPE (cgr_no);');
    tx.executeSql('CREATE INDEX IF NOT EXISTS CLUB_GROUPE_CL_NO               ON CLUB_GROUPE (cl_no);');
    tx.executeSql('CREATE INDEX IF NOT EXISTS CLUB_GROUPE_INDIVIDU_FK         ON CLUB_GROUPE_INDIVIDU (cgr_no);');
    
    tx.executeSql('CREATE INDEX IF NOT EXISTS CLUB_LICENCE_FK                 ON CLUB_LICENCE (li_no);');
    tx.executeSql('CREATE INDEX IF NOT EXISTS CLUB_LICENCE_CL_NO              ON CLUB_LICENCE (cl_no);');
    
    tx.executeSql('CREATE INDEX IF NOT EXISTS EQUIPE_TYPE_PK                  ON EQUIPE_TYPE (cei_no, eq_cod, lc_cod, cl_no);');
    tx.executeSql('CREATE INDEX IF NOT EXISTS EQUIPE_TYPE_PURGE               ON EQUIPE_TYPE (cl_no, eq_cod, sa_no, lc_cod);');
    
    tx.executeSql('CREATE INDEX IF NOT EXISTS EQUIPE_TYPE_INDIVIDU_PK         ON EQUIPE_TYPE_INDIVIDU (cei_no, li_no);');
    tx.executeSql('CREATE INDEX IF NOT EXISTS EQUIPE_TYPE_INDIVIDU_PURGE      ON EQUIPE_TYPE_INDIVIDU (cl_no, eq_cod, sa_no, lc_cod);');
    
    tx.executeSql('CREATE INDEX IF NOT EXISTS FMI_REF_PK                      ON FMI_REF (ref_typ, ref_cod);');
    
    tx.executeSql('CREATE INDEX IF NOT EXISTS MATCH_PK                        ON MATCH (ma_no);');
    
    tx.executeSql('CREATE INDEX IF NOT EXISTS MATCH_FEUILLE_PK                ON MATCH_FEUILLE (cfm_no);');
    tx.executeSql('CREATE INDEX IF NOT EXISTS MATCH_FEUILLE_MA_NO             ON MATCH_FEUILLE (ma_no);');
    
    tx.executeSql('CREATE INDEX IF NOT EXISTS MATCH_FEUILLE_EVENEMENT_PK      ON MATCH_FEUILLE_EVENEMENT (cfe_no);');
    tx.executeSql('CREATE INDEX IF NOT EXISTS MATCH_FEUILLE_EVENEMENT_CFM_NO  ON MATCH_FEUILLE_EVENEMENT (cfm_no);');
    
    tx.executeSql('CREATE INDEX IF NOT EXISTS MATCH_FEUILLE_LICENCE_PK        ON MATCH_FEUILLE_LICENCE (ma_no);');
    
    tx.executeSql('CREATE INDEX IF NOT EXISTS MATCH_FEUILLE_MEMBRE_PK         ON MATCH_FEUILLE_MEMBRE (mmf_no);');
    tx.executeSql('CREATE INDEX IF NOT EXISTS MATCH_FEUILLE_MEMBRE_CFM_NO     ON MATCH_FEUILLE_MEMBRE (cfm_no);');
    
    tx.executeSql('CREATE INDEX IF NOT EXISTS MATCH_FEUILLE_RESERVE_PK        ON MATCH_FEUILLE_RESERVE (mfr_no);');
    tx.executeSql('CREATE INDEX IF NOT EXISTS MATCH_FEUILLE_RESERVE_CFM_NO    ON MATCH_FEUILLE_RESERVE (cfm_no);');
    
    tx.executeSql('CREATE INDEX IF NOT EXISTS SANCTION_PK                     ON SANCTION (dd_no);');
    tx.executeSql('CREATE INDEX IF NOT EXISTS SANCTION_MA_NO                  ON SANCTION (ma_no);');
    
    tx.executeSql('CREATE INDEX IF NOT EXISTS TABLETTE_PK                     ON TABLETTE (tlb_uuid);');

    tx.executeSql('CREATE INDEX IF NOT EXISTS UTILISATEUR_USR_NO              ON UTILISATEUR (usr_no);');
    tx.executeSql('CREATE INDEX IF NOT EXISTS UTILISATEUR_CL_NO               ON UTILISATEUR (cl_no);');
    
    tx.executeSql('CREATE INDEX IF NOT EXISTS UTILISATEUR_EQUIPE_USR_NO       ON UTILISATEUR_EQUIPE (usr_no);');
    
    tx.executeSql('CREATE INDEX IF NOT EXISTS CGU_PK                          ON CGU (cgu_no);');
    tx.executeSql('CREATE INDEX IF NOT EXISTS CGU_USR_NO                      ON CGU (usr_no);');
    
    tx.executeSql('CREATE INDEX IF NOT EXISTS FEUILLE_MATCH_HISTO_PK          ON FEUILLE_MATCH_HISTO (cfmh_no);');
    tx.executeSql('CREATE INDEX IF NOT EXISTS FEUILLE_MATCH_HISTO_CFM_NO      ON FEUILLE_MATCH_HISTO (cfm_no);');
    
};