var AccueilService = {
    matchsTraite: [],
    afficherWarningConfirmPopup: function(message, callback, callbackCancel, secondPopup) {
        Engine.addView("#warningConfirmPopup","index.html:warningConfirmPopup", { data : {texte: message} });
        Engine.popup("#warningConfirmPopup", secondPopup || false);
        $("#warningConfirmPopupOk").click(function(e) {
            e.stopPropagation();
            e.preventDefault();
            callback();
        });
        $("#warningConfirmPopupCancel").click(function(e) {
            e.stopPropagation();
            e.preventDefault();
            callbackCancel();
        });
    },
    getMatchUtilisateur : function(demonstration, callback) {
        if(demonstration === "N") {
            var eqNoUtilisateur = [];
            var clNoUtilisateur = [];
            for (var i in Project.contexteUtilisateur.usr_equipe) {
                if ($.inArray(Project.contexteUtilisateur.usr_equipe[i].eq_no, eqNoUtilisateur) == -1) {
                    eqNoUtilisateur.push(Project.contexteUtilisateur.usr_equipe[i].eq_no);
                    clNoUtilisateur.push(Project.contexteUtilisateur.usr_equipe[i].cl_no);
                }
            }
            var eqNoRestant = Utils.cloneObject(eqNoUtilisateur);
            var clNoRestant = Utils.cloneObject(clNoUtilisateur);
            AccueilService.getMatchAller(eqNoUtilisateur, clNoUtilisateur, eqNoRestant, clNoRestant, [], callback);
        } else {
            DataBase.findBy("MATCH", "ma_demo", "O", function(data) {
                AccueilService.afficherMatchs(data);
            });
        }
    },
    getMatchAller : function(eqNoUtilisateur, clNoUtilisateur, eqNoRestant, clNoRestant, dataReturn, callback) {
        AccueilService.matchsTraite = [];
        if (eqNoRestant.length == 0) {
            AccueilService.getMatchRetour(eqNoUtilisateur, clNoUtilisateur, Utils.cloneObject(eqNoUtilisateur), Utils.cloneObject(clNoUtilisateur), dataReturn, callback);
        } else {
            var recherche = eqNoRestant[0];
            eqNoRestant.shift();
            var recherche2 = clNoRestant[0];
            clNoRestant.shift();
            DataBase.findBy("MATCH", "cr_eq_codAndcr_cl_noAndma_demo", [recherche, recherche2, "N"], function(data) {
                if (data.length > 0) {
                    for (var i in data) {
                        if (!Utils.containsInArray(data[i].ma_no, AccueilService.matchsTraite)) {
                            dataReturn.push(data[i]);
                            AccueilService.matchsTraite.push(data[i].ma_no);
                        }
                    }
                }
                AccueilService.getMatchAller(eqNoUtilisateur, clNoUtilisateur, eqNoRestant, clNoRestant, dataReturn, callback);
            });
        }
    },
    afficherMatchs : function(json) {
        cmp = function(x, y) {
            return x > y ? -1 : x < y ? 1 : 0; 
        };
        json.sort(function(a, b) {
            return cmp( 
                [cmp(Utils.stringToDate(a.ma_dat), Utils.stringToDate(b.ma_dat)), cmp(a.ma_heure_lib, b.ma_heure_lib)], 
                [cmp(Utils.stringToDate(b.ma_dat), Utils.stringToDate(a.ma_dat)), cmp(b.ma_heure_lib, a.ma_heure_lib)]
            );
        });
        AccueilService.chargerLibellesReferentiel(function(){
            Engine.addView(".AccueilController #matchList .listContainer > ul", "accueil.html:afficherRencontres", {
                rencontres : json,
                libelles : AccueilDto.libellesEtatMatch,
                modeWeb: !Engine.dbActif,
                utilisateurClNo : Project.contexteUtilisateur.cl_no
            
            });
        });
        if (AccueilDto.isSynchronizing == false){
            Engine.fermerPopup();
        }
    },
    chargerLibellesReferentiel : function(callback) {
        if (jQuery.isEmptyObject(AccueilDto.libellesEtatMatch)) {
            Engine.getReferentiel("ref_typ", "FMI_CFM_STATUT", function(){
                for (i in ReferentielDto.fmi_ref.FMI_CFM_STATUT) {
                    AccueilDto.libellesEtatMatch[parseInt(ReferentielDto.fmi_ref.FMI_CFM_STATUT[i]["ref_cod"], 10)] = ReferentielDto.fmi_ref.FMI_CFM_STATUT[i]["ref_libelle"];
                }
                callback();
            });
        } else {
            callback();
        }
    },
    getMatchRetour : function(eqNoUtilisateur, clNoUtilisateur, eqNoRestant, clNoRestant, dataReturn, callback) {
        if (eqNoRestant.length == 0) {
            callback(dataReturn);
            AccueilService.afficherMatchs(dataReturn);
        } else {
            var recherche = eqNoRestant[0];
            eqNoRestant.shift();
            var recherche2 = clNoRestant[0];
            clNoRestant.shift();
            DataBase.findBy("MATCH", "cv_eq_codAndcv_cl_noAndma_demo", [recherche, recherche2, "N"], function(data) {
                if (data.length > 0) {
                    for (var i in data) {
                        if (!Utils.containsInArray(data[i].ma_no, AccueilService.matchsTraite)) {
                            dataReturn.push(data[i]);
                            AccueilService.matchsTraite.push(data[i].ma_no);
                        }
                    }
                }
                AccueilService.getMatchRetour(eqNoUtilisateur, clNoUtilisateur, eqNoRestant, clNoRestant, dataReturn, callback);
            });
        }
    },
    preparerContexte : function(eq_no) {
        var data = {
            cl_no : Project.contexteUtilisateur.cl_no,
            usr_no : Project.contexteUtilisateur.usr_no,
            usr_nom : Project.contexteUtilisateur.usr_nom,
            usr_nom_conx : Project.contexteUtilisateur.usr_nom_conx,
            usr_ora : Project.contexteUtilisateur.usr_ora,
            usr_password : Project.contexteUtilisateur.usr_password
        };
        if(!AccueilDto.isDemonstration) {
            for (i in Project.contexteUtilisateur.usr_equipe) {
                if (parseInt(Project.contexteUtilisateur.usr_equipe[i].eq_no, 10) == parseInt(eq_no, 10)) {
                    data.lc_cod = Project.contexteUtilisateur.usr_equipe[i].lc_cod;
                    return data;
                }
            }
        } else {
            if(Project.contexteUtilisateur.usr_equipe.length >= 1) {
                data.cl_no = eq_no;
                data.lc_cod = Project.contexteUtilisateur.usr_equipe[0].lc_cod;
                return data;
            }
        }
        return null;
    },
    setHeaderDatas : function(rencontre, visiteur) {
        var dateHeure = null;
        if (Utils.isNotNull(rencontre.children(".ma_heure_lib").text()) && Utils.isNotBlank(rencontre.children(".ma_heure_lib").text())) {
            dateHeure = rencontre.children(".ma_dat").text() + " à " + rencontre.children(".ma_heure_lib").text();
        } else {
            dateHeure = rencontre.children(".ma_dat").text();
        }
        Engine.headerController.headerDatas = {
            ma_no : rencontre.children(".ma_no").text(),
            date : dateHeure,
            visiteur : visiteur,
            equipe1 : rencontre.children(".cr_eq_nom_abr").text(),
            equipe2 : rencontre.children(".cv_eq_nom_abr").text(),
            categorie : rencontre.children(".cp_nom").text(),
            poule : rencontre.children(".gp_lib").text(),
            blason : Utils.prepareBase64Image(rencontre.children( visiteur ? ".cv_cl_blason" : ".cr_cl_blason").text()),
            terrain : rencontre.children(".te_nom").text(),
            tempsReglementaire : rencontre.children(".ph_duree_periode").text(),
        };
    },
    checkDateMatch : function(dateMatchStr) {
        var isTodaysDate = false;
        //date du jour
        var toDaysDate = new Date();
        if (dateMatchStr) {
            var dateTokens = dateMatchStr.split("/");
            if (dateTokens.length === 3) {
                try {
                    if (toDaysDate.getFullYear() === parseInt(dateTokens[2],10) && toDaysDate.getMonth() + 1 === parseInt(dateTokens[1],10) && toDaysDate.getDate() === parseInt(dateTokens[0],10)) {
                        isTodaysDate = true;
                    }
                } catch(error) {
                    //wrong date format
                }
            }
        }
        return isTodaysDate;
    },
    checkDateHeureMatchPassee : function(dateMatchStr, heureMatchStr) {
        // Si aucun horaire n'a été reneigné, on considère que le match n'est pas passé jusqu'à 23H59
        var sHeure = Utils.isNotBlank(heureMatchStr) ? heureMatchStr : "23H59";
        return Utils.stringToDate(dateMatchStr, sHeure).getTime() <= new Date().getTime();
    },
    checkDateMatchInfoFacultatives : function(dateMatchStr) {
        var intervalle = 8;
        var isIntervalleOk = false;
        //date du jour
        var dateJour = new Date();
        if (dateMatchStr) {
            var dateTokens = dateMatchStr.split("/");
            var dateMatch;
            if (dateTokens.length === 3) {
                dateMatch = new Date(parseInt(dateTokens[2],10), parseInt(dateTokens[1],10)-1, parseInt(dateTokens[0],10));
            }
            var diffTemps = Math.abs(dateJour.getTime() - dateMatch.getTime());
            var diffJours = Math.ceil(diffTemps / (1000 * 3600 * 24)); 
            
            isIntervalleOk = diffJours <= intervalle;
        }
        return isIntervalleOk;
    },
    mettreAjourDateMatchesDemo: function(callback) {
        DataBase.findBy("MATCH", "ma_demo", "O", function(data) {
            if(data.length > 0) {
                for (var i in data) {
                    DataBase.update("MATCH", data[i].id, "ma_dat", AccueilService.getDateDuJour(), function() {
                        if (typeof callback === 'function') {
                            callback();
                        }
                    });
                }
            }
        });
    },
    insererFeuillesDeMatchDemo: function(callback) {
        DataBase.findBy("MATCH", "ma_demo", "O", function(data) {
            if(data.length > 0) {
                for (var i in data) {
                    var donnees = { 
                        "cfm_no": data[i].cfm_no,
                        "ma_no": data[i].ma_no,
                        "cfm_statut": 1,
                    };
                    DataBase.insert("MATCH_FEUILLE", donnees);
                }
            }
        });
        if (typeof callback === 'function') {
            callback();
        }
    },
    purgerDonneesMatchesDemo: function(callback) {
        DataBase.findBy("MATCH", "ma_demo", "O", function(data) {
            if(data.length > 0) {
                for (var i in data) {
                    AccueilService.purgerDonneesAnnexesMatchesDemo(data[i].cfm_no, data[i].id, callback);
                }
            }
            else {
                Engine.alert(Lang.accueil.erreurDemo, "240px");
            }
        });
    },
    purgerDonneesAnnexesMatchesDemo: function(cfm_no, id, callback) {
        SynchronisationGeneriqueService.purgeRecursif("MATCH_FEUILLE_RESERVE", "cfm_no", new Array(cfm_no), [], function() {
            SynchronisationGeneriqueService.purgeRecursif("MATCH_FEUILLE_EVENEMENT", "cfm_no", new Array(cfm_no), [], function() {
               SynchronisationGeneriqueService.purgeRecursif("MATCH_FEUILLE_COMPO", "cfm_no", new Array(cfm_no), [], function() {
                   SynchronisationGeneriqueService.purgeRecursif("MATCH_FEUILLE_MEMBRE", "cfm_no", new Array(cfm_no), [], function() {
                        SynchronisationGeneriqueService.purgeRecursif("MATCH_FEUILLE", "cfm_no", new Array(cfm_no), [], function() {
                            DataBase.update("MATCH", id, "cfm_statut", 1, function() {
                                if (typeof callback === 'function') {
                                    callback();
                                }
                            });
                        });
                    });
                }); 
            });
        });
    },
    getDateDuJour: function() {
        var today = new Date();
        var jour = today.getDate();
        var mois = today.getMonth()+1;
        if(jour < 10) {
            jour = '0' + jour;
        }
        if(mois < 10) {
            mois = '0' + mois;
        }
        return jour + '/' + mois + '/' + today.getFullYear();
    },

// SYNCHRONISATION UNITAIRE
    getMatchUnitary : function(ma_no, dataReturn, callback) {
        DataBase.findBy("MATCH", "ma_noAndma_demo", [ma_no, "N"], function(data) {
            if (data.length > 0) {
                for (var i in data) {
                    if (!Utils.containsInArray(data[i].ma_no, AccueilService.matchsTraite)) {
                        dataReturn.push(data[i]);
                        AccueilService.matchsTraite.push(data[i].ma_no);
                    }
                }
            }
            callback(dataReturn);
        });
    }
}; 