var ApresMatchRencontreService = {
    init: function() {
        FeuilleDeMatchDto.data = null;
    },
    chargerRencontre: function(cfm_no, callback) {
        DataBase.findBy("MATCH_FEUILLE", "cfm_no", cfm_no, function(data) {
            if(data.length !== 0) {
                //FeuilleDeMatchDto.initValeursMatch(data, function(){
                    FeuilleDeMatchDto.init(data, callback);
                //});
            }
        });
    },
    /**
     * Affichage les réserves d'avant match dans l'après match
     * 
     * RG : On affiche les réserves d'avant match si et seulement si elles ont été approuvées.
     * Les réserves d'avant match sont approuvées si toute les conditions ci-dessous sont remplis
     *   - La signature de l'arbitre est présente
     *   - La signature de l'équipe recevante est présente ou l'équipe recevante a été indiquée absente.
     *   - La signature de l'équipe visiteuse est présente ou l'équipe visiteuse a été indiquée absente.
     */
    afficherReservesAvantMatch: function() {
        if (Utils.isNotBlank(FeuilleDeMatchDto.data.cfm_signat_res_avm_arb) &&
                (Utils.isNotBlank(FeuilleDeMatchDto.data.cfm_signat_res_avm_rec) ||
                Utils.isNotBlank(FeuilleDeMatchDto.data.cfm_signat_res_avm_vis))) {
            var equipeRecevanteId = $("#equipeRecevanteReserves").attr("data-id");
            var equipeVisiteurId = $("#equipeVisiteurReserves").attr("data-id");
            Utils.log("chargement des réserves...");
            DataBase.findBy("MATCH_FEUILLE_RESERVE", "cfm_no", [FeuilleDeMatchDto.data.cfm_no], function(data) {
                Utils.log(data.length + " réserves chargées");
                for (var i in data) {
                    if (Utils.isNotNull(data[i].cl_no) && Utils.isNotBlank(data[i].cl_no)) {
                        if (equipeVisiteurId === data[i].cl_no) {
                            $("#divequipeVisiteurReservesContent").append(Utils.switchRetourChariot(data[i].mfr_libre));
                            $("#divequipeVisiteurReservesContent").append("<br/><br/>");
                        } else if (equipeRecevanteId === data[i].cl_no) {
                            $("#divequipeRecevanteReservesContent").append(Utils.switchRetourChariot(data[i].mfr_libre));
                            $("#divequipeRecevanteReservesContent").append("<br/><br/>");
                        }
                    }
                }
            });
        }
    },
};