/*************************************************
 *********** DAO DES LICENCES ******************** 
 *************************************************/
DataBaseIndexedDb.findLicence = function(numeroMatch, clNo, liNoRestant, callback) {
    DataBaseIndexedDb.findLicenceRecursive(numeroMatch, clNo, liNoRestant, [], callback);
};
DataBaseIndexedDb.findLicenceRecursive = function(numeroMatch, clNo, liNoRestant, dataReturn, callback) {
    if (liNoRestant.length == 0) {
        callback(dataReturn);
    } else {
        var recherche = liNoRestant[0];
        liNoRestant.shift();
        DataBase.findBy("CLUB_LICENCE", "li_noAndcl_no", [recherche, clNo], function(data) {
            if (data.length > 0) {
                dataReturn.push(data[0]);
            }
            DataBaseIndexedDb.findLicenceRecursive(numeroMatch, clNo, liNoRestant, dataReturn, callback);
        });
    }
};

DataBaseCordova.findLicence = function(numeroMatch, clNo, liNoRestant, callback) {
    var sql = "select * from CLUB_LICENCE where li_no in (select li_no from MATCH_FEUILLE_LICENCE where ma_no='" + Utils.encryptData("_", numeroMatch) + "') ";
    sql += "and cl_no = '" + Utils.encryptData("_", clNo) + "' ";
    var data = [];
    var idLicenceTraite = [];
    DataBaseCordova.transactionSqlWithSuccess(sql, function(tx, results) {
        for (var i=0; i< results.rows.length; i++) {
            if (!Utils.containsInArray("" + results.rows.item(i)["li_no"], idLicenceTraite)) {
                idLicenceTraite.push("" + results.rows.item(i)["li_no"]);
                data.push(Utils.decryptData("CLUB_LICENCE", results.rows.item(i)));
            }
        }
        if (typeof callback === 'function') {
            callback(data);
        }
    });
};

DataBaseWeb.findLicence = function(numeroMatch, clNo, liNoRestant, callback) {
    Engine.getDemande("D061", {"mode_web": "O", "lc_cod": null, "groupe": null, "perso": null, "match": numeroMatch}, function(json1) {
        //
        // 0036655 - Le Web services D61 doit être découpé en 2
        //
        // Engine.getDemande("D062", {"mode_web": "O", "lc_cod": null, "groupe": null, "perso": null, "match": numeroMatch}, function(json2) {
        //     if (typeof callback === 'function') {
        //         var licences = json1.licences.concat(json2.licences);
        //         callback(licences);
        //     }
        // });
        // 
        // Supprimer les lignes ci-dessous pour réactiver la D062
        // 
        if (typeof callback === 'function') {
            callback(json1.licences);
        }
        //
        // Fin 0036655
        //
    });
};
