var EquipeCompositionService = {
    showCompositionOnScreen: function(data, apresMatch, remplacantsAyantJoue, tq_no, fn) {
        var tactique = null;
        var joueursCompo = [];
        var afficherMaillot = false;
        var ph_num_maillot = "";
        var apresMatch = Utils.isNotNull(apresMatch) && apresMatch === true;
        var classeJoueurAyantJoue = "";
        if(apresMatch){
            if(data.length > 0){
                tactique = Utils.isNotNull(tq_no) ? tq_no : 0;
                for (i in data){
                    joueursCompo.push(data[i].infosCompo);
                }
                ph_num_maillot = MatchDto.match.ph_num_maillot;
                afficherMaillot = true;
                classeJoueurAyantJoue = " joueurAyantJoue";
                if($('#selectStrats').length > 0) {
                    Engine.selectSetVal($('#selectStrats'), tactique);
                }
            }
        } else {
            joueursCompo = data;
            EquipeDragAndDropService.vider();
            tactique = tq_no;
            if (Utils.isNotNull(data) && data.length > 0) {
                tactique = (Utils.isNotBlank(data[0].tq_no)) ? data[0].tq_no : 0;
                Engine.selectSetVal($('#selectStrats'), tactique);
            }
            ph_num_maillot = EquipeDto.data.ph_num_maillot;
        }
        EquipeCompositionService.showTactique(tactique);
        setTimeout(function() {
            for (var i = 0; i < joueursCompo.length; i++) {
                //Placement joueurs
                //TODO: n'afficher qu'un joueur lors de l'affichage de la compo'
                if ((Utils.isNotBlank($("#" + joueursCompo[i].li_no).find(".infosJoueurHidden .in_no").val())) || (joueursCompo[i].cfi_typ_role === "S")){
                    if (joueursCompo[i].cfi_role == "T") {
                        if($("#position" + joueursCompo[i].cfi_ordre + "[alt=" + joueursCompo[i].li_no +"]").length == 0) {
                            EquipeDragAndDropService.deposerJoueur($("#position" + joueursCompo[i].cfi_ordre), joueursCompo[i].li_no, false, ph_num_maillot);
                            $("#position" + joueursCompo[i].cfi_ordre).addClass("emplacementOccupe");
                            if(Utils.isNotNull(joueursCompo[i].cfi_maillot) && Utils.isNotBlank(joueursCompo[i].cfi_maillot)){
                               $("#position" + joueursCompo[i].cfi_ordre).children().append('<div class="numJoueur' + classeJoueurAyantJoue + '">'+joueursCompo[i].cfi_maillot+'</div>'); 
                            }
                            if(Utils.isNotNull(joueursCompo[i].cfi_capi) && Utils.isNotBlank(joueursCompo[i].cfi_capi)){
                               $("#position" + joueursCompo[i].cfi_ordre).children().append('<div class="capitanat' + classeJoueurAyantJoue + '">'+joueursCompo[i].cfi_capi+'</div>'); 
                            }
                        }
                    }
                    //Placement remplaçants
                    if (joueursCompo[i].cfi_role == "R") {
                        if($("#remplacant" + joueursCompo[i].li_no ).length == 0) {
                            EquipeDragAndDropService.ajoutJoueurRemplacant(joueursCompo[i].li_no, joueursCompo[i].cfi_maillot, remplacantsAyantJoue);
                            EquipeDragAndDropService.griserJoueur(joueursCompo[i].li_no, true);
                        }
                        if(Utils.isNotNull(joueursCompo[i].cfi_capi) && Utils.isNotBlank(joueursCompo[i].cfi_capi)){
                           $("#remplacant" + joueursCompo[i].li_no ).children(".joueurDrop").children(".joueurVide").append('<div class="capitanat">'+joueursCompo[i].cfi_capi+'</div>'); 
                           // si le capitaine a joué, impacter la div capitanat
                            var capRemplacant = $("td#remplacant" + joueursCompo[i].li_no).find(".capitanat");
                            if(capRemplacant.length != 0 && (Utils.isNotNull(remplacantsAyantJoue)
                                && $.inArray(parseInt(joueursCompo[i].li_no, 10), remplacantsAyantJoue) != -1)) {
                               capRemplacant.addClass("joueurAyantJoue");
                            }
                        }
                    }
                    //Placement staff
                    if (!Utils.inArray(joueursCompo[i].cfi_role, ["T", "R"])) {
                        if (Utils.isNotBlank(joueursCompo[i].li_no) && $("li#"+joueursCompo[i].li_no).length > 0) {
                            if($("#staff" + joueursCompo[i].li_no ).length === 0) {
                                EquipeDragAndDropService.ajoutJoueurStaff(joueursCompo[i].li_no, joueursCompo[i].cfi_capi, joueursCompo[i].cfi_poste);
                                EquipeDragAndDropService.griserJoueur(joueursCompo[i].li_no, true);
                            }
                        // gestion des nouvelles licences
                        } else {
                            EquipeDragAndDropService.ajoutNouveauJoueurStaff(joueursCompo[i].in_no, joueursCompo[i].in_nom, joueursCompo[i].in_prenom, joueursCompo[i].in_dat_nais, joueursCompo[i].cfi_capi, joueursCompo[i].cfi_role);
                        }
                    }
                    $("#position" + joueursCompo[i].cfi_ordre).attr("alt", joueursCompo[i].li_no || joueursCompo[i].in_no);
                    $("#" + joueursCompo[i].li_no).find(".cfi_poste").val(joueursCompo[i].cfi_poste);
                    $("#" + joueursCompo[i].li_no).find(".cfi_maillot").val(joueursCompo[i].cfi_maillot);
                }
            }

            fn && fn();
        }, 500);
    },
    chargerEquipeType: function(numeroEquipe, equipeCode, lcCod, clNo) {
        Utils.log("chargement équipe type n°" + numeroEquipe + " / code " + equipeCode + " / lcCod " + lcCod + " / clNo " + clNo);
        var cpt = 0;
        DataBase.findBy("EQUIPE_TYPE_INDIVIDU", "cei_noAndeq_codAndlc_codAndcl_no", [numeroEquipe, equipeCode, lcCod, clNo], function(data) {
            var final = [];
            if (data.length == 0) {
                final = data;
                if(EquipeDto.data.ph_tactiq === "O" && parseInt(EquipeDto.data.ph_nb_titul,10) == 11) {
                    EquipeCompositionService.showCompositionOnScreen(final, null, null, EquipeDto.tactiques.numeroSelection);    
                } else {
                    EquipeCompositionService.showCompositionOnScreen(final, null, null, "0");
                }
                
            } else {
                Utils.log("Equipe type chargée");
                Utils.log(data);
                for (var i=0; i<data.length;i++) {
                    var in_no = data[i].li_no;
                    var licences = $("#listeJoueur li[data-inno='"+in_no+"']");
                    if (licences.length === 0) {
                        // La licence n'est pas dans l'équipe du match 
                        if (Utils.inArray(data[i].cfi_role, ["T", "R"])){
                            // le splice fait bugger, créer un array "final" avec seulement les data correctes à la place de faire un splice !
                        }
//                        console.log(licences);
                        else {
                            final.push(data[i]);
                            cpt++;
                        }
                        continue; 
                    } else if (licences.length === 1) {
                        data[i].li_no = licences.first().find(".li_no").val();
                        final.push(data[i]);
                    } else {
                        // Si l'individu à plusieurs licences, il faut choisir celle qui est adapté à la position sur la composition
                        var licences = $("#listeJoueur li[data-inno='"+in_no+"']");
                        var lic = licences.filter(function () {
                            var type_lic = $(this).find(".infosJoueurHidden .tl_uti_typ_lic").val();
                            var individuTerrain = Utils.inArray(data[i].cfi_role, ["T", "R"]);
                            var licenceJoueur = (type_lic === "F" || type_lic === "J");
                            return (individuTerrain && licenceJoueur) || (!individuTerrain && !licenceJoueur);
                        });
                        data[i].li_no = lic.first().find(".li_no").val();
                        final.push(data[i]);
                    }
                }

                if(cpt == data.length) {
                    if(EquipeDto.data.ph_tactiq === "O" && parseInt(EquipeDto.data.ph_nb_titul,10) == 11) {
                       EquipeCompositionService.showCompositionOnScreen([], null, null, EquipeDto.tactiques.numeroSelection);
                    } else {
                        EquipeCompositionService.showCompositionOnScreen([], null, null, "0");
                    }
                        
                } else {
                    EquipeCompositionService.showCompositionOnScreen(final);
                }
            }
            Engine.alert("Equipe Type " + Engine.selectGetVal($('#selectEquipeType')) + " chargée");
        });
    },
    chargerComposition : function(numeroMatch, cfmNo, numeroClub, fn) {
        DataBase.findBy("MATCH_FEUILLE_COMPO", "ma_noAndcfm_noAndcfi_cl_no", [numeroMatch, cfmNo, numeroClub], function(data) {
            
            var tactique = "";
            for (i in data) {
                if(!Utils.isNotBlank(tactique) && Utils.isNotNull(data[i].tq_no) && Utils.isNotBlank(data[i].tq_no)){
                    tactique = data[i].tq_no;
                }
            }
			// Si la tactique est obligatoire et le nombre de joueur dans l'équipe est 11  
            if(EquipeDto.data.ph_tactiq === "O" && parseInt(EquipeDto.data.ph_nb_titul,10) == 11) {
                tactique = Utils.isNotBlank(tactique) ? tactique : 1;
            } else {
                tactique = Utils.isNotBlank(tactique) ? tactique : 0;
            }
            
            EquipeCompositionService.showCompositionOnScreen(data, false, null, tactique, fn);
        });
    },
    showTactique: function(numero) {
        EquipeDto.tactiques.numeroSelection = numero;
        Engine.addView("#terrain","equipe.html:placerJoueursStrat", { strat : EquipeDto.tactiques.data[numero] });
    },
    /**
     * Lecture du DOM pour récupérer la composition à enregistrer
     * 
     * @param {Object} ignoreTmpJoueurs booléen indiquant d'ignorer où non les joueurs temporaire
     * @param {Object} callback
     */
    getComposition: function(ignoreTmpJoueurs, callback) {
        var ma_no = EquipeDto.data.ma_no;
        var cfm_no = EquipeDto.data.cfm_no;
        var cfi_cl_no = EquipeDto.utilisateur.cl_no;

        var erreur = {
            erreursBloquantes: [],
            erreursNonBloquantes: []
        };

        var tq_no = Engine.selectGetVal($('#selectStrats'));
        
        var composition = [];

        //Titulaires
        $(".emplacementLibre").each(function() {
            var idLicence = $(this).attr("alt");

            if (Utils.isNotBlank(idLicence)) {
                var infosJoueurTmp = $(this).find(".infosJoueurTemporaire");
                
                var dataJoueur = {
                    cfi_cl_no : cfi_cl_no,
                    cfm_no : cfm_no,
                    ma_no : ma_no,
                    tq_no: tq_no,
                    usr_no : EquipeDto.utilisateur.usr_no, 
                    dat_modif : Utils.getDate()
                };
                
                // Joueurs existants
                if (infosJoueurTmp.length === 0) {
                    var infosJoueur = $("#" + idLicence).find(".infosJoueurHidden");
                    
                    dataJoueur.cfi_poste = infosJoueur.find(".cfi_poste").val();
                    dataJoueur.li_mut = infosJoueur.find(".li_mut").val();
                    dataJoueur.li_statut = infosJoueur.find(".li_statut").val();
                    dataJoueur.in_nat = infosJoueur.find(".in_nat").val();
                    dataJoueur.li_no = infosJoueur.find(".li_no").val();
                    dataJoueur.in_no = infosJoueur.find(".in_no").val();
                    // Les champs in_prenom/in_nom/in_dat_nais ne sont pas renseignés pour les individus connu de la tablette
                    dataJoueur.in_nom = infosJoueur.find(".in_nom").val();;
                    dataJoueur.in_prenom = infosJoueur.find(".in_prenom").val();;
                    dataJoueur.in_dat_nais = infosJoueur.find(".in_dat_nais").val();;
                // Joueurs créés manuellement
                } else {
                    dataJoueur.cfi_poste = null;
                    dataJoueur.li_mut = null;
                    dataJoueur.li_statut = "A";
                    dataJoueur.in_nat = "0";
                    dataJoueur.li_no = Utils.wsValue(infosJoueurTmp.find(".li_no").val());
                    dataJoueur.in_no = infosJoueurTmp.find(".in_no").val();
                    dataJoueur.in_nom = infosJoueurTmp.find(".in_nom").val();
                    dataJoueur.in_prenom = infosJoueurTmp.find(".in_prenom").val();
                    dataJoueur.in_dat_nais = infosJoueurTmp.find(".in_dat_nais").val();
                }
                
                dataJoueur.cfi_ordre = $(this).attr("data-position");
                
                dataJoueur.cfi_maillot = $(this).find(".numJoueur").text();
                
                //
                // Correctif #0030284: Version 3.0.2.0 "--" remontées dans les équipes types
                // 
                if (dataJoueur.cfi_maillot === "..") {
                    dataJoueur.cfi_maillot = null;
                }
                //
                // Fin correctif #0030284
                //

                dataJoueur.cfi_capi = $(this).find(".capitanat").text();
                dataJoueur.cfi_typ_role = null;
                dataJoueur.cfi_role = null;
    
                if ($(this).hasClass("remplacantSelect")) {
                    dataJoueur.cfi_ordre = null;
                    // Si futsal, ne pas remettre à null
//                    if ((!(EquipeDto.data.tl_cod === "FS")) && (!(MatchDto.match.tl_cod === "FS"))){
                        dataJoueur.cfi_capi = null;
//                    }
                    dataJoueur.cfi_typ_role = "J";
                    dataJoueur.cfi_role = "R";
                } else if ($(this).hasClass("staffSelect")) {
                    dataJoueur.cfi_ordre = null;
                    dataJoueur.cfi_maillot = null;
                    dataJoueur.cfi_capi = null;
                    dataJoueur.cfi_role = $(this).find(".fonctionStaff").text();
                    dataJoueur.cfi_poste = $(this).find(".fonctionStaff").text();
                    //Si dirigeant responsable, on enregistre aussi le role dans cfi_capi
                    if ($(this).find(".dResponsable").text() === "DR") {
                        dataJoueur.cfi_capi = Utils.isNotBlank(dataJoueur.cfi_role)? dataJoueur.cfi_role : "E";
                    }
                    dataJoueur.cfi_typ_role = "S";
                } else {
                    dataJoueur.cfi_typ_role = "J";
                    dataJoueur.cfi_role = "T";
                }
                
                if (!(infosJoueurTmp.length !== 0 && ignoreTmpJoueurs)) {
                    composition.push(dataJoueur);
                }
            }
        });
        
        EquipeCompositionService.testErreurCompo(erreur, composition, function(){
            callback(composition, erreur);
        });
    },
    testErreurCompo: function(erreur, composition, callback) {
        Engine.getReferentiel("ref_typ","FMI_LC_COD", function(lcCodList) {
            // recherche du lc_cod du match dans le référentiel
            var lcCodTrouve = false;
            for (var i=0; i<lcCodList.length; i++) {
                if (lcCodList[i].ref_cod == EquipeDto.data.lc_cod) {
                    lcCodTrouve = true;
                }
            }
            
            var nbRemplacant = 0;
            var nbTitulaire = 0;
            var nbStaff = 0;
            var nbMutation = 0;
            var nbEtranger = 0;
            var nbMedecin = 0;
            var nbAdjoint = 0;
            var nbDirigeant = 0;
            var nbCoach = 0;
            var cfiCapiPresent = false;
            var cfiDirResPresent = false;
            var capitaineMineur = false;
            var maillots = [];

            var tq_no = Engine.selectGetVal($('#selectStrats'));
            
            //Titulaires
            for(i in composition) {
                var testJoueur = true;
                if (composition[i].cfi_role == "R") {
                    nbRemplacant++;
                    //Si futsal, recherche du capitaine dans les remplacants aussi
                    if((EquipeDto.data.tl_cod === "FS") || (MatchDto.match.tl_cod === "FS")){
                        //si il y a un capitaine
                        if (!cfiCapiPresent && Utils.isNotBlank(composition[i].cfi_capi)) {
                            cfiCapiPresent = true;
                            // vérifier l'age du capitaine mineur le jour du match
                            capitaineMineur = Utils.calculerAge(Utils.stringToDate(composition[i].in_dat_nais), Utils.stringToDate(EquipeDto.data.ma_dat)) < 18; 
                        }
                    }
                } else if (composition[i].cfi_typ_role == "S") {
                    testJoueur = false;
                    nbStaff++;
                    if(composition[i].cfi_role == "M") {
                        nbMedecin++;
                    } else if(composition[i].cfi_role == "D") {
                        nbDirigeant++;
                    } else if(composition[i].cfi_role == "A") {
                        nbAdjoint++;
                    } else if(composition[i].cfi_role == "E") {
                        // L'entraîneur principal est comptabilisé comme un adjoint
                        nbCoach++;
                        nbAdjoint++;
                    }
                    //si il y a un dirigeant responsable
                    if (!cfiDirResPresent && Utils.isNotBlank(composition[i].cfi_capi)) {
                        cfiDirResPresent = true;
                    }
                    //Si pas de fonction attribue
                    if (Utils.isBlank(composition[i].cfi_role)) {
                        Utils.addUniqueInArray(erreur.erreursBloquantes, Lang.equipe.staffFonctionNonAttribue);
                    }
                } else {
                    nbTitulaire++;
                    //si il y a un capitaine
                    if (!cfiCapiPresent && Utils.isNotBlank(composition[i].cfi_capi)) {
                        cfiCapiPresent = true;
                        // vérifier l'age du capitaine mineur le jour du match
                        capitaineMineur = Utils.calculerAge(Utils.stringToDate(composition[i].in_dat_nais), Utils.stringToDate(EquipeDto.data.ma_dat)) < 18; 
                    }
                }

                if (testJoueur) {
                    //Si un maillot vide
                    if ((Utils.isNull(composition[i].cfi_maillot)) || !(Utils.isNotBlank(composition[i].cfi_maillot)) || composition[i].cfi_maillot == "..") {
                        Utils.addUniqueInArray(erreur.erreursBloquantes, Lang.equipe.maillotNonAttribue);
                    } else {
                        //Si le maillot est présent
                        if (maillots.indexOf(composition[i].cfi_maillot) != -1) {
                            Utils.addUniqueInArray(erreur.erreursBloquantes, Lang.equipe.maillotDoublon);
                        } else {
                            maillots.push(composition[i].cfi_maillot);
                        }
                    }

                    //Si mutation
                    if (Utils.isNotBlank(composition[i].li_mut) && (composition[i].li_mut == 1 || composition[i].li_mut == 2)) {
                        nbMutation++;
                    }
                }
                //Si licence incomplete
                if (Utils.isNotBlank(composition[i].li_statut) && composition[i].li_statut == "N") {
                    Utils.addUniqueInArray(erreur.erreursNonBloquantes, Lang.equipe.licenceIncomplete);
                }
                //Si étranger
                if (Utils.isNotBlank(composition[i].in_nat) && composition[i].in_nat == "1") {
                    nbEtranger++;
                }
            }

            //Si nb de remplacant > nb de remplacant max
            if (nbRemplacant > EquipeDto.data.ph_nb_jou_banc) {
                Utils.addUniqueInArray(erreur.erreursBloquantes, Lang.equipe.nbRemplacantDepasse);
            }
            //Si nb de mutation > nb de mutation max
            if (nbMutation > parseInt(EquipeDto.data.ph_nbmaxi_mut, 10)) {
                Utils.addUniqueInArray(erreur.erreursNonBloquantes, Lang.equipe.nbMutationDepasse);
            }
            //Si nb etranger > nb de étrangers max
            if (nbEtranger > EquipeDto.data.ph_nb_maxi_etrg) {
                Utils.addUniqueInArray(erreur.erreursNonBloquantes, Lang.equipe.nbEtrgDepasse);
            }
            //Si nb titulaire incorrect
            if (nbTitulaire < parseInt(EquipeDto.data.ph_nb_titul_mini, 10) || nbTitulaire > parseInt(EquipeDto.data.ph_nb_titul, 10)) {
                Utils.addUniqueInArray(erreur.erreursBloquantes, Lang.equipe.nbTitulaireIncorrect);
            }
            //Si nb staff > nb de staff max
            if (nbStaff > EquipeDto.data.ph_nb_staff_banc) {
                Utils.addUniqueInArray(erreur.erreursBloquantes, Lang.equipe.nbStaffDepasse);
            }
            //Si nb Medecin < nb Medecin mini
            if (nbMedecin < EquipeDto.data.ph_nb_med_banc) {
                Utils.addUniqueInArray(erreur.erreursNonBloquantes, Lang.equipe.nbMedecinNonSatisfait);
            }
            //Si nb Adjoint< nb Adjoint mini
//            if (nbAdjoint< EquipeDto.data.ph_nb_edu_banc) {
//                Utils.addUniqueInArray(erreur.erreursNonBloquantes, Lang.equipe.nbAdjointNonSatisfait);
//            }
            //Si nb Dirigeant < nb Dirigeant mini
            if (nbDirigeant < EquipeDto.data.ph_nb_dir_banc) {
                Utils.addUniqueInArray(erreur.erreursNonBloquantes, Lang.equipe.nbDirigeantNonSatisfait);
            }
            //Si pas de coach
            if (nbCoach != 1) {
                Utils.addUniqueInArray(erreur.erreursNonBloquantes, Lang.equipe.nbCoachNonSatisfait);
            }
            //Si pas de capitaine
            if (!cfiCapiPresent) {
                Utils.addUniqueInArray(erreur.erreursBloquantes, Lang.equipe.capitaineVide);
            }
            
            //Si pas de dirigeant responsable
            if (!cfiDirResPresent && !lcCodTrouve && (!cfiCapiPresent || capitaineMineur)) {
                Utils.addUniqueInArray(erreur.erreursNonBloquantes, Lang.equipe.dirigeantResponsableVide);
            }
            var ph_num_maillot = EquipeDto.data.ph_num_maillot;
            // Lang.equipe.numerotation
            
            callback(composition, erreur);
        });
    },
    enregistrerEquipeType: function() {
        EquipeCompositionService.getComposition(true, function(composition, erreur) {
            // TODO : vérifier si la compo n'est pas vide !
            var tq_no = parseInt(Engine.selectGetVal($('#selectStrats')), 10);
            if (tq_no === 0) {
                tq_no = null;
            }
            
            var equipeType = {
                lc_cod : EquipeDto.data.lc_cod,
                cl_no : EquipeDto.utilisateur.cl_no,
                cei_no : Engine.selectGetVal($('#selectEquipeType')),
                tq_no :  tq_no,
                eq_cod : EquipeDto.data.cl_eq_cod,
                sa_no : EquipeDto.data.sa_no
            };
            

            var equipeNum = EquipeDto.data.ph_nb_titul;
            //enregistrement
            if (Engine.dbActif) {
                
                //Si existence de l equipe type on la supprime
                DataBase.findBy("EQUIPE_TYPE_INDIVIDU", "eq_codAndlc_codAndcl_noAndcei_no", [equipeType.eq_cod, equipeType.lc_cod, equipeType.cl_no, equipeType.cei_no], function(data) {
                    for (var i = 0; i < data.length; i++) {
                        DataBase.deleteById("EQUIPE_TYPE_INDIVIDU", data[i].id, function() {
                        });
                    }
                });
                DataBase.findBy("EQUIPE_TYPE", "eq_codAndlc_codAndcl_noAndcei_no", [equipeType.eq_cod, equipeType.lc_cod, equipeType.cl_no, equipeType.cei_no], function(data) {
                    for (var i = 0; i < data.length; i++) {
                        DataBase.deleteById("EQUIPE_TYPE", data[i].id, function() {
                        });
                    }
                }); 
                //Insertion
                DataBase.insert("EQUIPE_TYPE", equipeType, function(){
                    // TODO : code ci-dessous dans le callback
                });
            
                var go = false;
                var cpt = 0;
                
                var equipe_type_individu = [];
                
                for (var i in composition) {
                    equipe_type_individu.push({
                        cei_no : Engine.selectGetVal($('#selectEquipeType')),
                        eq_cod : equipeType.eq_cod,
                        lc_cod : equipeType.lc_cod,
                        cl_no : equipeType.cl_no, // => CFI_CL_NO
                        sa_no : EquipeDto.data.sa_no,
                        tq_no : tq_no,
                        cfi_poste: composition[i].cfi_poste,
                        cfi_ordre: composition[i].cfi_ordre,
                        cfi_maillot: composition[i].cfi_maillot,
                        cfi_capi: composition[i].cfi_capi,
                        cfi_typ_role: composition[i].cfi_typ_role,
                        cfi_role: composition[i].cfi_role,
                        li_statut: composition[i].li_statut,
                        li_mut: composition[i].li_mut,
                        in_nat: composition[i].in_nat,
                    
                        // PATCH : mapping du in_no dans un champs li_no
                        li_no : $("#" + composition[i].li_no).first().attr("data-inno"),
                    });
                }
                if(equipe_type_individu.length > 0) {
                    for (var i =0; i < equipe_type_individu.length; i++){
                        DataBase.insert("EQUIPE_TYPE_INDIVIDU", equipe_type_individu[i], function(){
                            cpt++;
                            if (cpt === equipe_type_individu.length && !go) {
                                go = true;
                                Engine.alert(Lang.equipe.popupAlertEquipeType.msg1 + " " + Engine.selectGetVal($('#selectEquipeType'))  + " " + Lang.equipe.popupAlertEquipeType.msg2);
                            }
                        });
                    }
                } else {
                     equipe_type_individu.push({
                        cei_no : Engine.selectGetVal($('#selectEquipeType')),
                        eq_cod : equipeType.eq_cod,
                        lc_cod : equipeType.lc_cod,
                        cl_no : equipeType.cl_no, // => CFI_CL_NO
                        sa_no : EquipeDto.data.sa_no,
                        tq_no : tq_no,
                        cfi_poste: "",
                        cfi_ordre: "",
                        cfi_maillot: "",
                        cfi_capi: "",
                        cfi_typ_role: "",
                        cfi_role: "",
                        li_statut: "",
                        li_mut: "",
                        in_nat: "",
                        // PATCH : mapping du in_no dans un champs li_no
                        li_no : "",
                    });

                    for (var i =0; i < equipeNum; i++){
                        DataBase.insert("EQUIPE_TYPE_INDIVIDU", equipe_type_individu[0], function(){
                            cpt++;
                            if (cpt === equipe_type_individu.length && !go) {
                                go = true;
                                Engine.alert(Lang.equipe.popupAlertEquipeType.msg1 + " " + Engine.selectGetVal($('#selectEquipeType'))  + " " + Lang.equipe.popupAlertEquipeType.msg2);
                            }
                        });
                    }
                }

            } else {
                Utils.log(composition);
                for (var i in composition) {
                    delete composition[i].ma_no;
                    delete composition[i].cfm_no;
                    delete composition[i].cfi_cl_no;
                    delete composition[i].tq_no;
                    
                    composition[i].in_no = $("#" + composition[i].li_no).first().attr("data-inno");
                    composition[i].cei_capi = composition[i].cfi_capi;
                    composition[i].cei_maillot = composition[i].cfi_maillot;
                    composition[i].cei_ordre = composition[i].cfi_ordre;
                    composition[i].cei_poste = composition[i].cfi_poste;
                    if (composition[i].cfi_typ_role === "S") {
                        composition[i].cei_role = composition[i].cfi_typ_role;
                    } else {
                        composition[i].cei_role = composition[i].cfi_role;
                    }
                    
                    delete composition[i].cfi_typ_role;
                    delete composition[i].sa_no;
                    delete composition[i].li_no;
                    
                    delete composition[i].cfi_capi;
                    delete composition[i].cfi_maillot;
                    delete composition[i].cfi_ordre;
                    delete composition[i].cfi_poste;
                    delete composition[i].cfi_role;
                    
                }
                equipeType.equipe_type_individu = composition;
                DataBase.insert("EQUIPE_TYPE", equipeType, function() {
                    Engine.alert('enregistrement de l\'équipe type');
                });
            }
        });
    },
    enregistrerComposition: function(showErrors) {
        var showErrors = Utils.isNull(showErrors) || showErrors === true;
        var ma_no = EquipeDto.data.ma_no;
        var cfm_no = EquipeDto.data.cfm_no;
        var cfi_cl_no = EquipeDto.utilisateur.cl_no;
        
        EquipeCompositionService.getComposition(false, function(composition, erreur) {
            if (composition.length == 0) {
                erreur.erreursBloquantes = [Lang.equipe.joueurSurLeTerrain];
            }
            
            var isFeuilleDeMatch = Engine.filAriane.length > 1 && Engine.filAriane[Engine.filAriane.length-2] == "feuilleDeMatch.html";

            // Affichage des erreurs de la composition.
            // RG : Les erreurs non bloquantes ne doivent pas être affiché 
            // si on a atteint l'écran de préparation depuis l'écran feuille de match
            if (showErrors) {
                if (isFeuilleDeMatch) {
                    Engine.headerController.showDistinctError(erreur.erreursBloquantes, [], false);
                } else {
                    Engine.headerController.showDistinctError(erreur.erreursBloquantes, erreur.erreursNonBloquantes, true);
                }
            }

            //enregistrement
            if (Engine.dbActif) {
                //Si existence de la compo on la supprime
                DataBase.findBy("MATCH_FEUILLE_COMPO", "ma_noAndcfm_noAndcfi_cl_no", [ma_no, cfm_no, cfi_cl_no], function(data) {
                    for (var i = 0; i < data.length; i++) {
                        DataBase.deleteById("MATCH_FEUILLE_COMPO", data[i].id, function() {
                        });
                    }
                });
                var go = false;
                var cpt = 0;
                //Insertion
                for (var i = 0; i < composition.length; i++) {
                    DataBase.insert("MATCH_FEUILLE_COMPO", composition[i], function() {
                        cpt++;
                        if (cpt === composition.length && !go) {
                            go = true;
                            // changement de l'état du match
                            //Mise à jour de l'état du match à "préparé"
                            DataBase.findBy("MATCH", "ma_no", ma_no, function(data) {
                                if(data[0].cfm_statut < 2){
                                    DataBase.update("MATCH", data[0].id, "cfm_statut", 2, function(test) {
                                        if(typeof callback === 'function'){
                                            callback();
                                        }
                                    });
                                }
                            });
                            
                            // retour à la page précédente si c'est feuille de match et qu'il n'y a pas d'erreur
                            if(isFeuilleDeMatch && erreur.erreursBloquantes.length == 0) {
                            	// s'il n'y a pas d'erreur non bloquante, on continue à la page suivante
                                EquipeCompositionService.redirectionVersFeuilleDeMatch();
                            } else { 
                                Engine.alert(Lang.equipe.messageCompoEnregistree);
                            }
                        }
                    });
                }

            } else if (composition.length > 0) {
                var tq_no = parseInt(Engine.selectGetVal($('#selectStrats')), 10);
                if (tq_no === 0) {
                    tq_no = null;
                }
                var data = {
                    ma_no : ma_no,
                    cfm_no : cfm_no,
                    cfi_cl_no : cfi_cl_no,
                    tq_no : tq_no,
                    individu : composition
                };
                for (var i in data.individu) {
                    delete data.individu[i].ma_no;
                    delete data.individu[i].cfm_no;
                    delete data.individu[i].cfi_cl_no;
                    delete data.individu[i].tq_no;
                    delete data.individu[i].cl_no;
                }
                DataBase.insert("MATCH_FEUILLE_COMPO", data, function() {
                    Engine.alert(Lang.equipe.messageCompoEnregistree);
                });
            }
        });
    },
    redirectionVersFeuilleDeMatch: function() {
        var visiteur;
        if(AccueilDto.isDemonstration) {
            visiteur = false;
        } else {
            visiteur = (MatchDto.match.cr_cl_no == Project.contexteUtilisateur.usr_equipe[0].cl_no) ? false : true;
        }
        Engine.headerController.headerDatas.visiteur = visiteur;
        Engine.gotoPage("feuilleDeMatch.html", {utilisateur : EquipeDto.utilisateur, match : MatchDto.match});
    },
    validerIndividuLicence : function (inNo, callback) {
        $("#ajoutLicencie_noLicence").removeClass("error");
        $("#ajoutLicenciePopup .error").text("");
        
        if (Utils.isBlank(inNo) || !Utils.isInteger(inNo) || inNo.length > 10) {
            $("#ajoutLicenciePopup .error").text(Lang.equipe.popupAjoutLicencie.licenceFormatInvalide);
        } else if (EquipeDragAndDropService.isIndivPresentDansCompo(inNo,false)) {
            $("#ajoutLicenciePopup .error").text(Lang.equipe.individuDejaPresent);
        } else {
            // Valider qu'une licence staff n'existe pas pour l'individu renseigné
            var liNo = EquipeLicenceService.getLiNoByInNoAndLicenceType(inNo, ["D", "T", "E", "M"]);
            if (liNo.length !== 0) {
                $("#ajoutLicenciePopup .error").text(Lang.equipe.popupAjoutLicencie.licenceExiste);
            } else {
                if (typeof callback === 'function') {
                    callback();
                }
            }
        }
        
        if (Utils.isNotBlank($("#ajoutLicenciePopup .error").text())) {
           $("#ajoutLicencie_noLicence").addClass("error");
        }
    },
    validerIndividuInfos : function (nom, prenom, dateNaissance, callback) {
        $("#ajoutLicencie_noLicence").removeClass("error");
        $("#ajoutLicenciePopup .error").text("");
        
        // Validation des champs
        if (Utils.isBlank(nom) || Utils.isBlank(prenom) || Utils.isBlank(dateNaissance)) {
            $("#ajoutLicenciePopup .error").text(Lang.equipe.popupAjoutLicencie.champsManquant);
        } else if (nom.length > 20) {
            $("#ajoutLicenciePopup .error").text(Lang.equipe.popupAjoutLicencie.in_nom_limit);
        } else if (prenom.length > 20) {
            $("#ajoutLicenciePopup .error").text(Lang.equipe.popupAjoutLicencie.in_prenom_limit);
        } else if (!Utils.isDate(dateNaissance)) {
            $("#ajoutLicenciePopup .error").text(Lang.equipe.popupAjoutLicencie.formatDateNaissanceInvalide);
        }
        
        if (Utils.isBlank($("#ajoutLicenciePopup .error").text())) {
            if (typeof callback === 'function') {
                callback();
            }
        }
    },
    rechercherLicenceStaff : function(inNo) {
        EquipeCompositionService.validerIndividuLicence(inNo, function () {
            EquipeLicenceService.rechercherLicences(inNo, function (licence) {
                if (Utils.isNull(licence)) {
                    $("#ajoutLicenciePopup .error").text(Lang.equipe.popupAjoutLicencie.licenceNonTrouve);
                    $("#ajoutLicencie_noLicence").addClass("error");
                } else {
                    // Pré-remplissage des champs du formulaire de la popup
                    var nom = licence.in_nom;
                    var prenom = licence.in_prenom;
                    var dat_nais = licence.in_dat_nais;
                    var date_nais_splitted = dat_nais.split("/");
                    
                    $("#ajoutLicencie_nom").val(nom);
                    $("#ajoutLicencie_prenom").val(prenom);
                    $("#ajoutLicencie_dateNaissance_jour").val(date_nais_splitted[0]);
                    $("#ajoutLicencie_dateNaissance_mois").val(date_nais_splitted[1]);
                    $("#ajoutLicencie_dateNaissance_annee").val(date_nais_splitted[2]);
                }
            });
            
        });
    },
    modifierJoueur: function (apresMatch) {
        var currentCapitaine = $(".capitanat").parent().parent().attr("id");
        var erreur = [];
        var idLicence = $("#" + EquipeDto.composition.joueurCompositionSelection).attr("alt");
        var numJoueur = parseInt($("#numJoueur").val(), 10); // Numéro de maillot entré dans le form
        var poste = $("#poste").val(); // M,D,GB,A
        var capitanat = $("#captain").is(':checked');  // true,false
        $("#" + idLicence).find(".cfi_poste").val(poste);
        
        if (capitanat) {
            $(".capitanat").remove();
            if (apresMatch === true) {
                $("#" + EquipeDto.composition.joueurCompositionSelection).children(".joueurVide").append("<div class='capitanat joueurAyantJoue'>C</div>");
            } else {
                $("#" + EquipeDto.composition.joueurCompositionSelection).children(".joueurVide").append("<div class='capitanat'>C</div>");
            }
        } else if (EquipeDto.composition.joueurCompositionSelection === currentCapitaine) {
            $(".capitanat").remove();
        }
        EquipeLicenceService.controleNumMaillot(erreur, numJoueur);
        if (erreur.length == 0) {
            Engine.fermerPopup();
            EquipeDragAndDropService.selectionnerJoueurTerrain(false);
        } else {
            $("#erreursModifJoueur").html(erreur[0]);
            $("#erreursModifJoueur").show();
        }
    },

    modifierRemplacant: function (apresMatch) {
        var currentCapitaine = $(".capitanat").parent().parent().parent().attr("id");
        var erreur = [];
        var idLicence = $("#" + EquipeDto.composition.joueurCompositionSelection).attr("alt");
        var numJoueur = parseInt($("#numJoueur").val(), 10); // Numéro de maillot entré dans le form
        var poste = $("#poste").val(); // M,D,GB,A
        var capitanat = false;//$("#captain").is(':checked');  // true,false
        $("#" + idLicence).find(".cfi_poste").val(poste);
        if (capitanat) {
            $(".capitanat").remove();
            if (apresMatch === true) {
                $("#" + EquipeDto.composition.joueurCompositionSelection).children(".joueurDrop").children(".joueurVide").append("<div class='capitanat joueurAyantJoue'>C</div>");
            } else {
               $("#" + EquipeDto.composition.joueurCompositionSelection).children(".joueurDrop").children(".joueurVide").append("<div class='capitanat'>C</div>");
            }
        } else if (EquipeDto.composition.joueurCompositionSelection === currentCapitaine) {
            $(".capitanat").remove();
        }
        EquipeLicenceService.controleNumMaillot(erreur, numJoueur);
        if (erreur.length == 0) {
            Engine.fermerPopup();
            EquipeDragAndDropService.selectionnerJoueurTerrain(false);
        } else {
            $("#erreursModifJoueur").html(erreur[0]);
            $("#erreursModifJoueur").show();
        }
    },

    afficherPopupModifierInfoCompo : function (joueurCompositionSelection) {
        var elementJoueurCompositionSelection = $("#" + joueurCompositionSelection);
        var idLicence = elementJoueurCompositionSelection.attr("alt");
        var nom;
        var prenom;
        var photo;
        // pour les joueurs temporaires, les informations ne se trouve pas dans la liste de gauche
        var joueurTemporaireInfos = elementJoueurCompositionSelection.find(".infosJoueurTemporaire");
        if (joueurTemporaireInfos.length !== 0) {
            nom = joueurTemporaireInfos.find(".in_nom").val();
            prenom = joueurTemporaireInfos.find(".in_prenom").val();
            photo = Utils.prepareBase64Image(joueurTemporaireInfos.find(".in_photo").val(), 'img/person.png');
        } else {
            nom = $("#" + idLicence).find(".in_nom").val();
            prenom = $("#" + idLicence).find(".in_prenom").val();
            photo = Utils.prepareBase64Image($("#" + idLicence).find(".infosJoueurHidden .in_photo").val(), 'img/person.png');
        }
        
        if (elementJoueurCompositionSelection.hasClass("remplacantSelect")) {
            Engine.addView("#modifRemplacant", "equipe.html:modifRemplacant", {
                nomPrenomInno : {
                    prenom : prenom,
                    nom : nom,
                    in_no : parseInt(idLicence, 10),
                    maillot : elementJoueurCompositionSelection.find(".numJoueur").text(),
                    poste : $("#" + idLicence).find(".cfi_poste").val(),
                    in_photo : photo
                }
            }, true);
            if ((EquipeDto.data.tl_cod === "FS") || (MatchDto.match.tl_cod === "FS")){
/*                $("#captainRemplacant").show();
                var joueurSelectedCapitanat = $(".joueurTerrainSelected").find(".capitanat");
                if ($(".joueurTerrainSelected").find(".capitanat").length) {
                    $("#captain").attr('checked','checked');
                }*/
            }
            Engine.popup("#modifRemplacant"); 
        } else if (elementJoueurCompositionSelection.hasClass("staffSelect")) {
            Engine.addView("#modifStaff", "equipe.html:modifStaff", {
                fonctions: {
                    "E": Lang.equipe.staffFonctions.e,
                    "D": Lang.equipe.staffFonctions.d,
                    "A": Lang.equipe.staffFonctions.a,
                    "M": Lang.equipe.staffFonctions.m,
                },
                nomPrenomInno : {
                    prenom : prenom,
                    nom : nom,
                    in_no : parseInt(idLicence, 10),
                    fonction : $("#" + idLicence).find(".cfi_poste").val(),
                    in_photo : photo
                }
            }, true); 
            Engine.popup("#modifStaff");
            $("#dirigeantR").prop('checked', elementJoueurCompositionSelection.find(".dResponsable").length);
        } else {
            Engine.addView("#modifJoueur","equipe.html:modifJoueur",{ numeroPosition : {
                nom : nom,
                prenom : prenom,
                cfi_poste : $("#" + idLicence).find(".infosJoueurHidden .cfi_poste").val(),
                cfi_ordre : $("#" + idLicence).find(".infosJoueurHidden .cfi_ordre").val(),
                in_photo : photo
            } } ,true);
            if (elementJoueurCompositionSelection.find(".numJoueur").text() != "..") {
                $("#numJoueur").attr('value', elementJoueurCompositionSelection.find(".numJoueur").text());
            }
            var poste = $("#" + idLicence).find(".infosJoueurHidden .cfi_poste").val();
            $('.label-select option[value='+poste+']').attr("selected", "selected");
            var joueurSelectedCapitanat = $(".joueurTerrainSelected").find(".capitanat");
            if ($(".joueurTerrainSelected").find(".capitanat").length) {
                $("#captain").attr('checked','checked');
            }
            Engine.popup("#modifJoueur");
        }
        
    },

    validerModifStaffInfo : function(joueurCompositionSelection) {
        var elementJoueurCompositionSelection = $("#" + joueurCompositionSelection);
        var fonction = $("#fonction option:selected").val(); // E, A, D, M
        var dirigeant = $("#dirigeantR").prop('checked'); // True, false
        var idLicence = elementJoueurCompositionSelection.attr("alt");
        $("#" + idLicence).find(".cfi_poste").val(fonction);
        elementJoueurCompositionSelection.find("[name='drStaff']").val(dirigeant);
        
        if (fonction == "E") {
            $(".fonctionStaff:contains('E')").remove();
        }
        
        var appendedDivFonction = elementJoueurCompositionSelection.find(".fonctionStaff");
        if (appendedDivFonction.length) {
            appendedDivFonction.remove();
        }
        elementJoueurCompositionSelection.find(".imgJoueur").append("<div class='fonctionStaff'>"+ fonction +"</div>");

        var appendedDivDR = elementJoueurCompositionSelection.find(".dResponsable");
        if (dirigeant) {
            $(".dResponsable").remove();
            if (appendedDivDR.length) {
                appendedDivDR.remove();
            }
            elementJoueurCompositionSelection.find(".imgJoueur").append("<div class='dResponsable'>DR</div>");
        } else {
            Utils.log("On supprime le DR");
            if (appendedDivDR.length) {
                appendedDivDR.remove();
            }
        }
        Engine.fermerPopup(); 
        EquipeDragAndDropService.selectionnerJoueurTerrain(false);
    },

    selectionnerJoueur: function (element) {
        $("#listeJoueur").find("li").each(function() {
            if (!$(this).hasClass("placeSurTerrain")) {
                $(this).removeClass("waitingForTarget");
            }
        });
        if (!$(element).hasClass("placeSurTerrain")) {
            if (EquipeDto.composition.joueurCompositionSelection != null) {
                $("#" + EquipeDto.composition.joueurCompositionSelection).removeClass("joueurTerrainSelected");
                EquipeDto.composition.joueurCompositionSelection = null;
            }
            
            if (EquipeDto.composition.joueurSelection != element.attr("id")) {
                element.addClass("waitingForTarget");
                EquipeDto.composition.joueurSelection = element.attr("id");
            } else {
                EquipeDto.composition.joueurSelection = null;
            }
        }
    }
};
