var EquipeFiltreService =  {

    currentFonctionFiltre: null,
    currentGroupeFiltre: null,
    currentPersonneFiltre: null,

    preparerFiltresSelect : function(){
       Engine.getReferentiel("ref_typ", "FMI_SEL_PERSONNE", function(json){
           Engine.addView("#selectPersonne","equipe.html:populateFiltresSelect", {data: json, libelleTous : Lang.equipe.personne} );
           Engine.selectSetVal($('#selectPersonne'), 0);
       });
    },
    setFonctionFiltre: function (filtre) {
        EquipeFiltreService.currentFonctionFiltre = filtre;
    },
    setGroupeFiltre: function (filtre) {
        EquipeFiltreService.currentGroupeFiltre = filtre;
    },
    setPersonneFiltre: function (filtre) {
        EquipeFiltreService.currentPersonneFiltre = filtre;
    },
    appliquerFiltre : function(){

        Engine.deleteScroll("joueursLicence");
        if(Utils.isNotNull(EquipeFiltreService.currentFonctionFiltre) || Utils.isNotNull(EquipeFiltreService.currentGroupeFiltre) || Utils.isNotNull(EquipeFiltreService.currentPersonneFiltre)){
            $("#effectif li").hide();
            $("#effectif li").each(function() {
                var isFind = true;
                if(Utils.isNotNull(EquipeFiltreService.currentFonctionFiltre) && isFind) {
                    if($(this).find(".sc_lib").val() !== EquipeFiltreService.currentFonctionFiltre){
                        isFind = false;
                    }
                }
                if(Utils.isNotNull(EquipeFiltreService.currentGroupeFiltre) && isFind) {
                    if(EquipeFiltreService.currentGroupeFiltre === "filtreGroupePlace") {
                        if($(this).find("."+EquipeFiltreService.currentGroupeFiltre).length === 0 && !$(this).hasClass("placeSurTerrain")) {
                            isFind = false;
                        }
                    } else {
                        if ($(this).find("."+EquipeFiltreService.currentGroupeFiltre).length === 0) {
                            isFind = false;
                        }
                    }
                }
                if(Utils.isNotNull(EquipeFiltreService.currentPersonneFiltre) && isFind) {
                    var tokens = EquipeFiltreService.currentPersonneFiltre.split("-");
                    var find = false;
                    for (var i in tokens) {
                        var lettre = tokens[i];
                        if (lettre === $.trim($(this).find(".filtrePersonne").val())) {
                            find = true;
                        }
                    }
                    if (!find) {
                        isFind = false;
                    }
                }
                if (isFind) {
                    var li_no = $(this).attr('id');
                    if (li_no !== "null" && Utils.isNotNull(li_no) && Utils.isNotBlank(li_no)){
                        $(this).show();
                    } else {
                        $(this).hide();
                    }
                }
            });
        } else {
            var li_no;
            $("#effectif li").each(function() {
                li_no = $(this).attr('id');
                if (li_no !== "null" && Utils.isNotNull(li_no) && Utils.isNotBlank(li_no)){
                    $(this).show();
                } else {
                    $(this).hide();
                }
            });
        }

        
        Engine.initScrolls("joueursLicence");
        Engine.scrollTop("joueursLicence");
    },
};
