var EvenementsGeneriquesController = MainController.extend({
    defaults: { 
        name: ".evenementsGeneriquesController",
        click: Engine.eventClick,
    }
}, {
	init: function(element, options) {
	    this._super(this, element, options);
	},
	load: function(page, data, callback) {
        Engine.loadController(page, this.options.pages, this.options.files, this, function(controller) {
            if (typeof callback === 'function') {
                callback();
            }
        });
	},
	show: function(element, event) {
	    Engine.delegate(this, element, event, function(controller, element, event) {
	    });
	},
    "{document} #div-popup {click}": function(element, event) {
        if (!$("#popup-gen").hasClass("dont-close")) {
            Engine.fermerPopup();
        }
    },
    "{document} #div-popup-superieure {click}": function(element, event) {
        if (!$("#popup-gen-superieure").hasClass("dont-close")) {
            Engine.fermerPopup(true);
        }
    },
    "{document} .croixFermeturePopup {click}": function(element, event) {
        event.preventDefault();
        var superieure = element.parent().attr("data-superieure");
        Engine.fermerPopup(superieure);
    },
    "{document} #popup-gen .alerteFermer {click}": function(element, event) {
        var page = Engine.filAriane[Engine.filAriane.length - 1];
        if (typeof Engine.confirmCallbackAnnuler === 'function') {
            Engine.confirmCallbackAnnuler();
            Engine.confirmCallbackAnnuler = function() {};
            if (page === "accueil.html") {
               if (element[0].id !== "boutonOkSynchronisation") {
                    Engine.gotoPage("accueil.html");
                }
            }
        } else {
            Engine.fermerPopup();
        }
    },
    "{document} #popup-gen-superieure .alerteFermer {click}": function(element, event) {
        if (typeof Engine.confirmCallbackAnnuler === 'function') {
            Engine.confirmCallbackAnnuler();
            Engine.confirmCallbackAnnuler = function() {};
        } else {
            Engine.fermerPopup(true);
        }
    },
    "{document} #confirmOk {click}": function(element, event) {
	    Utils.log("EVENEMTNS GENERIQUES CHARGES");
        if (typeof Engine.confirmCallback === 'function') {
            Engine.confirmCallback();
            Engine.confirmCallback = function() {};
        }
    },
    "{document} #displayErrors, #displayErrorsOrange {click}" : function(element, event) {
        if ($(".plusMoins").text() == "+") {
            $(".errorsBody").show();
            $(".plusMoins").text("-");
        } else {
            $(".errorsBody ").hide();
            $(".plusMoins").text("+");
        }
    },
     "{document} #oeilMotDePasse {click}" : function(element,event) {

        if( $("#oeilMotDePasse").hasClass("showMdp")){
            $("#motDePasseInputArbitre").attr("type","text");
            $("#mdpRencontre").attr("type","text");
            $("#nouveauMotDePasse").attr("type","text");
            $("#oeilMotDePasse").removeClass("showMdp");
            $("#oeilMotDePasse").addClass("hideMdp");
        } else if($("#oeilMotDePasse").hasClass("hideMdp")) {
            $("#motDePasseInputArbitre").attr("type","password");
            $("#mdpRencontre").attr("type","password");
            $("#nouveauMotDePasse").attr("type","password");
            $("#oeilMotDePasse").removeClass("hideMdp");
            $("#oeilMotDePasse").addClass("showMdp");
        }
    },
     "{document} #oeilMotDePasseC {click}" : function(element,event) {

        if( $("#oeilMotDePasseC").hasClass("showMdp")){
            $("#motDePasseInputArbitreC").attr("type","text");
            $("#mdpConfirmation").attr("type","text");
            $("#nouveauMotDePasseC").attr("type","text");
            $("#oeilMotDePasseC").removeClass("showMdp");
            $("#oeilMotDePasseC").addClass("hideMdp");
        } else if($("#oeilMotDePasseC").hasClass("hideMdp")) {
            $("#motDePasseInputArbitreC").attr("type","password");
            $("#mdpConfirmation").attr("type","password");
            $("#nouveauMotDePasseC").attr("type","password");
            $("#oeilMotDePasseC").removeClass("hideMdp");
            $("#oeilMotDePasseC").addClass("showMdp");
        }
    },
});