var FeuilleDeMatchDto = {
    idCfm: null,
    ma_no: null,
    cfm_no: null,
    // image de la table Feuille De Match
    data: {},
    datasMatch: {},
    joueurSelection: null,
    reset: function(){
        this.idCfm = null;
        this.ma_no = null;
        this.cfm_no = null;
        this.data= {};
        this.datasMatch = {};
        this.joueurSelection = null;
        this.afficherMdpVerrouArbitre = false;
    },
    init: function(data, callback) {
        var tmp_mdp = Engine.dbActif ? data[0].cfm_mdp : data.cfm_mdp;
        var tmp_cv_mdp = Engine.dbActif ? data[0].cfm_cv_mdp : data.cfm_cv_mdp;
        var tmp_cr_mdp = Engine.dbActif ? data[0].cfm_cr_mdp : data.cfm_cr_mdp;
        var feuilleDeMatch = Engine.dbActif ? Utils.parseIntBooleansInArray(data[0]) : Utils.parseIntBooleansInArray(data);
        feuilleDeMatch.cfm_mdp = tmp_mdp;
        feuilleDeMatch.cfm_cv_mdp = tmp_cv_mdp;
        feuilleDeMatch.cfm_cr_mdp = tmp_cr_mdp;
        this.idCfm = feuilleDeMatch.id;
        this.data = feuilleDeMatch;
        this.cfm_no = feuilleDeMatch.cfm_no;
        if (typeof callback === 'function') {
            callback();
        }
    },
    initValeursMatch: function(data, callback){
        this.datasMatch = Utils.parseIntBooleansInArray(data);
        if (typeof callback === 'function') {
            callback();
        }
    },
    verifValidationSignatures: function(){
        DataBase.findBy("MATCH_FEUILLE", "cfm_no", this.idCfm, function(data) {
            FeuilleDeMatchDto.data.signaturesValides = false;
            if ((data[0].cfm_signat_avm_rec != "" || data[0].cr_forf == "O") && (data[0].cfm_signat_avm_vis != "" || data[0].cv_forf == "O") && data[0].cfm_signat_avm_arb != "") {
                FeuilleDeMatchDto.data.signaturesValides = true;
            }
        });
    },
    afficherMdpVerrouArbitre : false
};