var FaitsDeMatchDisciplineService = {
    FMI_MOTIF_J : null,
    FMI_MOTIF_JD : null,
    FMI_MOTIF_R : null,
    FMI_MOTIF_RD : null,
    FMI_MOTIF_V : null,
    element: null,
    modifier: function(element) {
        FaitsDeMatchHistoriqueDto.idDisciplineModifier = element.attr("data-for");
        FaitsDeMatchOngletsService.changeOnglet($("#discipline"));
        FaitsDeMatchDisciplineService.element = element;
        // TODO GCN : améliorer la modification 
        var li_no = FaitsDeMatchDisciplineService.element.parent().parent().find(".l1_li_no").val();
        var in_no = FaitsDeMatchDisciplineService.element.parent().parent().find(".in_no").val();
        
        var idLicence = Utils.isNotBlank(li_no) ? li_no : in_no;
        var photo = $("#" + idLicence).find(".in_photo").val();
        $("#sanctionne").html("<img src=" + Utils.prepareBase64Image(photo, 'img/person.png') + " height= '43px' width='43px' alt=" + idLicence + " />");
        $("#nom_sanctionne").html($("#" + idLicence).find(".in_nom").val());
        $("#prenom_sanctionne").html($("#" + idLicence).find(".in_prenom").val());
        FaitsDeMatchService.afficherMaillotSanction(true, "_sanctionne", $("#" + idLicence).find(".cfi_maillot").val(), $("#" + idLicence).find(".cfi_role").val());
        
        var carton = "";
        var periode = null;
        // Recherche du type de carton lié à l'élément que l'on modifie
        for (i in FaitsDeMatchHistoriqueDto.histo) {
            if (FaitsDeMatchHistoriqueDto.histo[i].id == FaitsDeMatchHistoriqueDto.idDisciplineModifier) {
                carton = FaitsDeMatchDisciplineService.element.parent().parent().find(".cfe_cod_motif").val().substring(0,1);
                if ((FaitsDeMatchHistoriqueDto.histo[i].cfe_di_hors_match === "A") || (FaitsDeMatchHistoriqueDto.histo[i].cfe_di_hors_match === "P")){
                    periode = FaitsDeMatchHistoriqueDto.histo[i].cfe_di_hors_match
                }
                break;
            }
        }
        if (carton === "J") {
            carton = "jaune";
        } else if (carton === "R") {
            carton = "rouge";
        } else if (carton === "B") {
            carton = "blanc";
        } else if (carton === "V") {
            carton = "vert";
        }

        $(".zoneCarton").find(".cartonContainer").removeClass("cartonActif");
        $(".zoneCarton").find("#" + carton).parent().addClass("cartonActif");
        
        if (periode != null){
            var elm = periode === "A"?$(".chbxAvMatch"):$(".chbxApMatch");
            FaitsDeMatchDisciplineService.showSuspensionHorsMatch(function() {
                
                $("#infosComplementairesDiscipline1").val(FaitsDeMatchDisciplineService.element.parent().parent().find(".cfe_lib").val());
                Engine.selectSetVal($("#motifDiscipline1"), FaitsDeMatchDisciplineService.element.parent().parent().find(".cfe_cod_motif").val());
                if (periode === "A"){
                    $("#chbxAvMatch")[0].checked = true;
                    $("#chbxApMatch")[0].checked = false;
                }
                else if (periode === "P"){
                    $("#chbxAvMatch")[0].checked = false;
                    $("#chbxApMatch")[0].checked = true;
                }
                FaitsDeMatchDisciplineService.element = null;
            }, elm , 1);
        }
        else {
            FaitsDeMatchDisciplineService.showDiscipline(function() {
                
                $("#minuteDiscipline1").val(FaitsDeMatchDisciplineService.element.parent().parent().find(".cfe_min").val());
                $("#minuteDisciplinePlus1").val(FaitsDeMatchDisciplineService.element.parent().parent().find(".cfe_min_sup").val());
                $("#infosComplementairesDiscipline1").val(FaitsDeMatchDisciplineService.element.parent().parent().find(".cfe_lib").val());
                Engine.selectSetVal($("#motifDiscipline1"), FaitsDeMatchDisciplineService.element.parent().parent().find(".cfe_cod_motif").val());
                FaitsDeMatchDisciplineService.element = null;
            });
        }
    },
    showDiscipline : function(callback) {
        if (FaitsDeMatchDisciplineService.FMI_MOTIF_J == null) {
            Engine.getReferentiel("ref_typ", "FMI_MOTIF_S_J", function(data) {
                FaitsDeMatchDisciplineService.FMI_MOTIF_JD = data;
                Engine.getReferentiel("ref_typ", "FMI_MOTIF_S_R", function(data) {
                    FaitsDeMatchDisciplineService.FMI_MOTIF_RD = data;
                    Engine.getReferentiel("ref_typ", "FMI_MOTIF_J", function(data) {
                        FaitsDeMatchDisciplineService.FMI_MOTIF_J = data;
                        Engine.getReferentiel("ref_typ", "FMI_MOTIF_R", function(data) {
                            FaitsDeMatchDisciplineService.FMI_MOTIF_R = data;
                            Engine.getReferentiel("ref_typ", "FMI_MOTIF_V", function(data) {
                                FaitsDeMatchDisciplineService.FMI_MOTIF_V = data;
                                FaitsDeMatchDisciplineService.preparerShowDisciplineAfterLoad(callback);
                            });
                        });
                    });
                });
            });
        } else {
            FaitsDeMatchDisciplineService.preparerShowDisciplineAfterLoad(callback);
        }
    },
    preparerShowDisciplineAfterLoad : function(callback) {
        var joueurSanction = $("#sanctionne").find("img").attr("alt");
        var carton = $(".zoneCarton").find(".cartonActif").children().attr("id");
        var role = $("#" + joueurSanction).find(".cfi_typ_role").val();
        
        FaitsDeMatchDisciplineService.showDisciplineAfterLoad(carton, role, false, null, callback);
    },
    showSuspensionHorsMatch : function(callback, element, flag){
        var joueurSanction = $("#sanctionne").find("img").attr("alt");
        var role = $("#" + joueurSanction).find(".cfi_typ_role").val();
        var periode = element[0].className;
        var li_no = $("#" + joueurSanction).find(".li_no").val();
        var in_no = $("#" + joueurSanction).find(".in_no").val();
        var motifsJaunes;
        var motifsRouges;
        var estJoueurEtDirigeant = false;
        if (FaitsDeMatchOngletsService.estJoueurEtDirigeant(in_no, !FaitsDeMatchHistoService.isJoueurRecevantFromCompositionsMatchDto("li_no", li_no))){
            motifsJaunes = FaitsDeMatchDisciplineService.FMI_MOTIF_J.concat(FaitsDeMatchDisciplineService.FMI_MOTIF_JD);
            motifsRouges = FaitsDeMatchDisciplineService.FMI_MOTIF_R.concat(FaitsDeMatchDisciplineService.FMI_MOTIF_RD);
            estJoueurEtDirigeant = true;
        }
        else if (role != "S"){
            motifsJaunes = FaitsDeMatchDisciplineService.FMI_MOTIF_J;
            motifsRouges = FaitsDeMatchDisciplineService.FMI_MOTIF_R;
        }
        else {
            motifsJaunes = FaitsDeMatchDisciplineService.FMI_MOTIF_JD;
            motifsRouges = FaitsDeMatchDisciplineService.FMI_MOTIF_RD;
        }

        $("#auteurFaute").html(Lang.faitsDeMatch.auteurDeLaFaute);
        if (!element.parent().children("#"+periode)[0].checked){
            // faire disparaitre les champs en trop, retour à l'état initial
            $("#cartonContainer").html("");
            var carton = "rouge";
            Engine.addView("#cartonContainer", "discipline.html:afficherCarton", {
                carton : carton,
                typeRole : role,
                forcerVisualiser : false,
                infosFaitDeJeu : null,
                cartonType : null,
                aussiJoueur : estJoueurEtDirigeant,
                ph_tps_sup : FeuilleDeMatchDto.datasMatch.ph_tps_sup,
                ph_carton_blanc : FeuilleDeMatchDto.datasMatch.ph_carton_blanc,
                ph_carton_vert : FeuilleDeMatchDto.datasMatch.ph_carton_vert
            });
            var myNode = document.getElementById("joueurCartonContainer1");
            while (myNode.firstChild) {
                myNode.removeChild(myNode.firstChild);
            }
            if (Utils.isNotNull(role)){
                Engine.addView("#joueurCartonContainer1", "discipline.html:afficherJoueurCarton", {
                    numero : "1",
                    suffixe : "",
                    motifJaune : motifsJaunes,
                    motifRouge : motifsRouges,
                    motifVert : FaitsDeMatchDisciplineService.FMI_MOTIF_V,
                    carton : carton,
                    typeRole : role,
                    aussiJoueur : estJoueurEtDirigeant,
                    forcerVisualiser : false,
                    infosFaitDeJeu : null,
                    ph_tps_sup : FeuilleDeMatchDto.datasMatch.ph_tps_sup
                });
            }
        }
        else {
            if (flag == 1){
                element.parent().children("#chbxApMatch")[0].checked = false;
            }
            else {
                element.parent().children("#chbxAvMatch")[0].checked = false;
            }
            $("#cartonContainer").html("");
            var carton = "rouge";
            var infosFaitDeJeu = {};
            infosFaitDeJeu.l1_role = role;
            Engine.addView("#cartonContainer", "discipline.html:afficherCarton", {
                carton : carton,
                typeRole : role,
                aussiJoueur : estJoueurEtDirigeant,
                forcerVisualiser : true,
                infosFaitDeJeu : infosFaitDeJeu,
                cartonType : "R",
                ph_tps_sup : FeuilleDeMatchDto.datasMatch.ph_tps_sup,
                ph_carton_blanc : FeuilleDeMatchDto.datasMatch.ph_carton_blanc,
                ph_carton_vert : FeuilleDeMatchDto.datasMatch.ph_carton_vert
            });
            // voir quels champs sont utiles. En attente du retour FFF
            Engine.addView("#joueurCartonContainer1", "discipline.html:afficherJoueurSuspension", {
                numero : "1",
                suffixe : "Suspension",
                motifJaune : motifsJaunes,
                motifRouge : motifsRouges,
                motifVert : FaitsDeMatchDisciplineService.FMI_MOTIF_V,
                carton : "rouge",
                typeRole : role,
                aussiJoueur : estJoueurEtDirigeant,
                forcerVisualiser : false,
                infosFaitDeJeu : null,
                ph_tps_sup : FeuilleDeMatchDto.datasMatch.ph_tps_sup
            });
        }
        if (typeof callback === "function") {
            callback();
        }
    },
    showDisciplineAfterLoad : function(carton, role, forcerVisualiser, infosFaitDeJeu, callback) {
        var joueurSanction = $("#sanctionne").find("img").attr("alt");
        var li_no = $("#" + joueurSanction).find(".li_no").val();
        var in_no = $("#" + joueurSanction).find(".in_no").val();
        var motifsJaunes;
        var motifsRouges;
        var estJoueurEtDirigeant = false;
        if (FaitsDeMatchOngletsService.estJoueurEtDirigeant(in_no, !FaitsDeMatchHistoService.isJoueurRecevantFromCompositionsMatchDto("li_no", li_no))){
            motifsJaunes = FaitsDeMatchDisciplineService.FMI_MOTIF_J.concat(FaitsDeMatchDisciplineService.FMI_MOTIF_JD);
            motifsRouges = FaitsDeMatchDisciplineService.FMI_MOTIF_R.concat(FaitsDeMatchDisciplineService.FMI_MOTIF_RD);
            estJoueurEtDirigeant = true;
        }
        else if (role != "S"){
            motifsJaunes = FaitsDeMatchDisciplineService.FMI_MOTIF_J;
            motifsRouges = FaitsDeMatchDisciplineService.FMI_MOTIF_R;
        }
        else {
            motifsJaunes = FaitsDeMatchDisciplineService.FMI_MOTIF_JD;
            motifsRouges = FaitsDeMatchDisciplineService.FMI_MOTIF_RD;
        }

        Engine.addView("#cartonContainer", "discipline.html:afficherCarton", {
            carton : carton,
            typeRole : role,
            aussiJoueur : estJoueurEtDirigeant,
            forcerVisualiser : forcerVisualiser,
            infosFaitDeJeu : infosFaitDeJeu,
            cartonType : Utils.isNotNull(infosFaitDeJeu) ? infosFaitDeJeu.cfe_cod_motif.substring(0,1) : null,
            ph_tps_sup : FeuilleDeMatchDto.datasMatch.ph_tps_sup,
            ph_carton_blanc : FeuilleDeMatchDto.datasMatch.ph_carton_blanc,
            ph_carton_vert : FeuilleDeMatchDto.datasMatch.ph_carton_vert
        });

        var suffixe1 = "";
        var suffixe2 = "";
        if (carton === "jauneJauneRouge" || carton === "jauneRouge") {
            suffixe1 = "Carton 1";
            suffixe2 = "Carton 2";
        }

        if (Utils.isNotBlank(carton)) {
            if (document.getElementById("chbxAvMatch").checked || document.getElementById("chbxApMatch").checked){
                $("#cartonContainer").html("");
                carton = "rouge";
                Engine.addView("#cartonContainer", "discipline.html:afficherCarton", {
                    carton : carton,
                    typeRole : role,
                    aussiJoueur : estJoueurEtDirigeant,
                    forcerVisualiser : forcerVisualiser,
                    infosFaitDeJeu : infosFaitDeJeu,
                    cartonType : Utils.isNotNull(infosFaitDeJeu) ? infosFaitDeJeu.cfe_cod_motif.substring(0,1) : null,
                    ph_tps_sup : FeuilleDeMatchDto.datasMatch.ph_tps_sup,
                    ph_carton_blanc : FeuilleDeMatchDto.datasMatch.ph_carton_blanc,
                    ph_carton_vert : FeuilleDeMatchDto.datasMatch.ph_carton_vert
                });
                Engine.addView("#joueurCartonContainer1", "discipline.html:afficherJoueurSuspension", {
                    numero : "1",
                    suffixe : "Suspension",
                    aussiJoueur : estJoueurEtDirigeant,
                    motifJaune : motifsJaunes,
                    motifRouge : motifsRouges,
                    motifVert : FaitsDeMatchDisciplineService.FMI_MOTIF_V,
                    carton : "rouge",
                    typeRole : role,
                    forcerVisualiser : forcerVisualiser,
                    infosFaitDeJeu : infosFaitDeJeu,
                    ph_tps_sup : FeuilleDeMatchDto.datasMatch.ph_tps_sup
                });
                $("#auteurFaute").html(Lang.faitsDeMatch.auteurDeLaFaute);
            }
            else {
                if (carton === "vert" || carton === 'V'){
                    Engine.addView("#joueurCartonContainer1", "discipline.html:afficherJoueurRecompense", {
                        numero : "1",
                        suffixe : suffixe1,
                        aussiJoueur : estJoueurEtDirigeant,
                        motifJaune : motifsJaunes,
                        motifRouge : motifsRouges,
                        motifVert : FaitsDeMatchDisciplineService.FMI_MOTIF_V,
                        carton : carton,
                        typeRole : role,
                        forcerVisualiser : forcerVisualiser,
                        infosFaitDeJeu : infosFaitDeJeu,
                        ph_tps_sup : FeuilleDeMatchDto.datasMatch.ph_tps_sup
                    });
                    $("#auteurFaute").html(Lang.faitsDeMatch.joueurRecompense);
                }
                else {
                    Engine.addView("#joueurCartonContainer1", "discipline.html:afficherJoueurCarton", {
                        numero : "1",
                        suffixe : suffixe1,
                        motifJaune : motifsJaunes,
                        motifRouge : motifsRouges,
                        motifVert : FaitsDeMatchDisciplineService.FMI_MOTIF_V,
                        carton : carton,
                        typeRole : role,
                        aussiJoueur : estJoueurEtDirigeant,
                        forcerVisualiser : forcerVisualiser,
                        infosFaitDeJeu : infosFaitDeJeu,
                        ph_tps_sup : FeuilleDeMatchDto.datasMatch.ph_tps_sup
                    });
                    $("#auteurFaute").html(Lang.faitsDeMatch.auteurDeLaFaute);
                }
            }
        } else {
            $("#joueurCartonContainer1").html("");
        }
        if (suffixe1 !== "") {
            if(carton === "jauneRouge") {
                var carton = "rouge";
            }
            Engine.addView("#joueurCartonContainer2", "discipline.html:afficherJoueurCarton", {
                numero : "2",
                suffixe : suffixe2,
                motifJaune : motifsJaunes,
                motifRouge : motifsRouges,
                motifVert : FaitsDeMatchDisciplineService.FMI_MOTIF_V,
                carton : carton,
                typeRole : role,
                aussiJoueur : estJoueurEtDirigeant,
                forcerVisualiser : forcerVisualiser,
                infosFaitDeJeu : infosFaitDeJeu,
                ph_tps_sup : FeuilleDeMatchDto.datasMatch.ph_tps_sup
            });
        } else {
            $("#joueurCartonContainer2").html("");
        }
        if (typeof callback === "function") {
            callback();
        }
    },
    tester: function (erreur, numero) {
        var joueurSanction = $("#sanctionne").find("img").attr("alt");
        var li_no = $("#" + joueurSanction).find(".li_no").val();
        var in_no = $("#" + joueurSanction).find(".in_no").val();
        var carton = $(".zoneCarton").find(".cartonActif").children().attr("id");
        var minute = $("#minuteDiscipline" + numero).val();
        var minutePlus = $("#minuteDisciplinePlus" + numero).val();
        var matchArrete = Utils.isNotBlank(FeuilleDeMatchDto.data.ma_min_arret) ? true : false;
        var ma_min_arret = FeuilleDeMatchDto.data.ma_min_arret;
        var info = $("#infosComplementairesDiscipline" + numero).val();
        var chbxAvMatch = $("#chbxAvMatch")[0].checked;
        var chbxApMatch = $("#chbxApMatch")[0].checked;
        var cl_no = $("#sanctionne").find("img").attr("data-id");
        // carton vert
        var nbCVSaisisEquipeRecevante = 0;
        var nbCVSaisisEquipeVisiteuse = 0;
        var maxCartonVertEquipe = 2;
        var maxCartonVertTotal = 3;
        var cartonVertJoueur = false;
       
        if (typeof info !== 'undefined' && info.length > 0 && info.length > 50) {
            erreur.push(Lang.faitsDeMatch.erreurs.cfe_lib_discipline_limit);
        } else if (!Utils.isNotBlank(joueurSanction)) {
            erreur.push(Lang.faitsDeMatch.erreurs.licence);
        } else if (!Utils.isNotBlank(carton)) {
            erreur.push(Lang.faitsDeMatch.erreurs.carton);
        } else if (carton === "noir" && !Utils.isNotBlank($("#infosComplementairesDiscipline1").val())) {
            erreur.push(Lang.faitsDeMatch.erreurs.erreurInfosComplementaires);
        } else if(matchArrete && ma_min_arret < Utils.parseInt(minute+minutePlus)) {
            erreur.push(Lang.faitsDeMatch.erreurs.minArretDepassee);
        }
        if (!chbxAvMatch && !chbxApMatch && !(carton === "vert")){
            FaitsDeMatchOngletsService.addErrorFormatMinute(erreur, minute, minutePlus);
        }
        if (carton === "vert") {
            //on compte le nombre de cartons saisis
            for(var i = 0; i < FaitsDeMatchHistoriqueDto.histo.length; i++){
                if(FaitsDeMatchHistoriqueDto.histo[i].cfe_typ == "DI" && FaitsDeMatchHistoriqueDto.histo[i].cfe_cod_motif.substring(0,1) == "V"){
                    var idClubJoueur = FaitsDeMatchHistoService.recupererClubJoueur(FaitsDeMatchHistoriqueDto.histo[i].l1_li_no);
                    
                    if(parseInt(idClubJoueur, 10) === parseInt(FeuilleDeMatchDto.datasMatch.cr_cl_no, 10)) {
                        nbCVSaisisEquipeRecevante++;
                    } else {
                        nbCVSaisisEquipeVisiteuse++;
                    }

                    // si le joueur déjà sanctionné est le même que celui qu'on s'apprète à sanctionner
                    if ((FaitsDeMatchHistoriqueDto.histo[i].l1_li_no === li_no)
                        || (FaitsDeMatchHistoriqueDto.histo[i].in_no === in_no)){
                        cartonVertJoueur = true;
                    }
                }
            }
            // CHECK SI LE JOUEUR RECOMPENSE NE L'EST PAS DEJA.
            console.log("CARTON VERT : FaitsDeMatchHistoriqueDto");
            console.log(FaitsDeMatchHistoriqueDto);
            if (FaitsDeMatchHistoriqueDto.idDisciplineModifier == null) {
                if (cartonVertJoueur){
                    erreur.push(Lang.faitsDeMatch.erreurs.nbCVMaximumJoueur);
                }
                // CHECK SI L'EQUIPE RECOMPENSEE NE L'EST PAS DEJA DEUX FOIS
                else if ((FeuilleDeMatchDto.datasMatch.cr_cl_no == parseInt(cl_no, 10) && nbCVSaisisEquipeRecevante == maxCartonVertEquipe)
                    || (FeuilleDeMatchDto.datasMatch.cv_cl_no == parseInt(cl_no, 10) && nbCVSaisisEquipeVisiteuse == maxCartonVertEquipe)) {
                    erreur.push(Lang.faitsDeMatch.erreurs.nbCVMaximumEquipe);
                }
                // CHECK SI ON N'A PAS DEJA ATTEINT LE NOMBRE MAXIMUM DE CARTON VERT SUR LA RENCONTRE
                else if ((nbCVSaisisEquipeVisiteuse + nbCVSaisisEquipeRecevante) >= maxCartonVertTotal){
                    erreur.push(Lang.faitsDeMatch.erreurs.nbCVMaximumMatch);
                }
            }
        }
    },
    inserer: function(numero) {
        var maillotJoueurSanction = $(".sanctionMaillotContainer").find(".boxFondBlanc").text() || $(".sanctionMaillotContainer").find(".boxFondDore").text();
        var joueurSanction = $("#sanctionne").find("img").attr("alt");
        var carton = $(".zoneCarton").find(".cartonActif").children().attr("id");
        var minute = $("#minuteDiscipline" + numero).val();
        var minutePlus = $("#minuteDisciplinePlus" + numero).val();
        var info = $("#infosComplementairesDiscipline" + numero).val();
        var li_no = $("#" + joueurSanction).find(".li_no").val();
        var in_no = $("#" + joueurSanction).find(".in_no").val();
        var chbxAvMatch = $("#chbxAvMatch")[0].checked;
        var chbxApMatch = $("#chbxApMatch")[0].checked;
        var role = $("#" + joueurSanction).find(".cfi_typ_role").val();
        var visiteur = !FaitsDeMatchHistoService.isJoueurRecevantFromCompositionsMatchDto("li_no", li_no);
        
        // RG : 
        //   - si carton noir le champs cfe_cod_motif vaut "N"
        //   - si carton blanc, le champs cfe_cod_motif vaut "B"
        //   - si carton jaune, le champs cfe_cod_motif vaut "JX" avec X représentant le numéro du motif appliqué
        //   - si carton rouge, le champs cfe_cod_motif vaut "RX" avec X représentant le numéro du motif appliqué
        if (carton === "noir") {
            motifDiscipline = "N";
        } else if (carton === "blanc") {
            motifDiscipline = "B";
        } else {
            motifDiscipline = Engine.selectGetVal($("#motifDiscipline" + numero));
        }

        // Si le Joueur est aussi un dirigeant sur le match,
        // et que la licence sélectionnée est celle du dirigeant pour un carton réservé aux joueurs,
        // on la remplace par la licence joueur de l'individu.
        if (carton === "vert" && role === "S"){
            li_no = FaitsDeMatchDisciplineService.recupererLinoJoueur(li_no, visiteur);
        }

        Engine.headerController.showError("");
        FaitsDeMatchHistoService.init();
        FaitsDeMatchHistoriqueDto.data.ma_no = FeuilleDeMatchDto.ma_no;
        FaitsDeMatchHistoriqueDto.data.cfm_no = FeuilleDeMatchDto.cfm_no;
        FaitsDeMatchHistoriqueDto.data.cfe_min = parseInt(minute, 10);
        FaitsDeMatchHistoriqueDto.data.cfe_min_sup = isNaN(parseInt(minutePlus, 10))? "" : parseInt(minutePlus, 10);
        if (Utils.isNotBlank(li_no)) {
            FaitsDeMatchHistoriqueDto.data.l1_li_no = li_no;
            FaitsDeMatchHistoriqueDto.data.in_no = in_no;
        } else {
            FaitsDeMatchHistoriqueDto.data.in_no = in_no;
        }
        FaitsDeMatchHistoriqueDto.data.l1_cfi_maillot = maillotJoueurSanction;
        
        FaitsDeMatchHistoriqueDto.data.cfe_typ = "DI";
        FaitsDeMatchHistoriqueDto.data.cfe_cod_motif = motifDiscipline;
        FaitsDeMatchHistoriqueDto.data.cfe_lib = info;
        
        FaitsDeMatchHistoriqueDto.data.cfe_no = 1;
        if (FaitsDeMatchHistoriqueDto.idDisciplineModifier != null) {
            DataBase.deleteById("MATCH_FEUILLE_EVENEMENT", FaitsDeMatchHistoriqueDto.idDisciplineModifier);
            FaitsDeMatchHistoriqueDto.idDisciplineModifier = null;
        }
        FaitsDeMatchHistoriqueDto.data.cfe_di_hors_match = null;
        if (chbxAvMatch){
            FaitsDeMatchHistoriqueDto.data.cfe_di_hors_match = "A";
            FaitsDeMatchHistoriqueDto.data.cfe_min = null;
        }
        else if (chbxApMatch) {
            FaitsDeMatchHistoriqueDto.data.cfe_di_hors_match = "P";
            FaitsDeMatchHistoriqueDto.data.cfe_min = null;
        }
        if (FaitsDeMatchHistoriqueDto.data.cfe_cod_motif.substring(0,1) == "V"){
            FaitsDeMatchHistoriqueDto.data.cfe_min = null;
        }
        FaitsDeMatchHistoService.insertHistorique(function() {
            if (!$("#joueurCartonContainer2").is(':empty') && numero === "1") {
                FaitsDeMatchDisciplineService.inserer("2");
            } else if (numero === "2" || $("#joueurCartonContainer2").is(':empty')) {
                $("#sanctionne").html("");
                $("#prenom_sanctionne").html("");
                $("#nom_sanctionne").html("");
                FaitsDeMatchService.afficherMaillotSanction(false, "_sanctionne");
                $(".cartonContainer").removeClass("cartonActif");
                $("#chbxAvMatch")[0].checked = false;
                $("#chbxApMatch")[0].checked = false;
                FaitsDeMatchDisciplineService.showDiscipline();
            }
            FaitsDeMatchOngletsService.afficherCompteur(FeuilleDeMatchDto.cfm_no, "DI");
        });
    },
    recupererLinoJoueur: function(li_no, visiteur){
        var in_no = FaitsDeMatchOngletsService.recuperationInNo(li_no, visiteur);
        if (visiteur){
            var equipe = CompositionsMatchDto.equipeVisiteur;
        }
        else {
            var equipe = CompositionsMatchDto.equipeRecevante;
        }
        for (var a = 0; a < CompositionsMatchDto.equipeVisiteur.length; a++){
            if (CompositionsMatchDto.equipeVisiteur[a].infosJoueur.in_no === in_no
                && (equipe[a].infosCompo.cfi_typ_role !== "S")){
                return CompositionsMatchDto.equipeVisiteur[a].infosJoueur.li_no;
            }
        }
        return null;
    },
    valider: function() {
        var erreur = [];
        
        FaitsDeMatchDisciplineService.tester(erreur, "1");
        if (!$("#joueurCartonContainer2").is(':empty')) {
            FaitsDeMatchDisciplineService.tester(erreur, "2");
        }
        
        if (erreur.length == 0) {
            FaitsDeMatchDisciplineService.inserer("1");
        } else {
            Engine.headerController.showError(erreur[0]);
        }
    }
}; 