var FaitsDeMatchRemplacantService = {
    modifier: function(element) {
        FaitsDeMatchHistoriqueDto.idRemplacementModifier = element.attr("data-for");
        FaitsDeMatchOngletsService.changeOnglet($("#rempl"));
        $("#remplacementMinute").val(element.parent().parent().find(".cfe_min").val());
        $("#remplacementMinutePlus").val(element.parent().parent().find(".cfe_min_sup").val());
        if (Utils.isNull($("#" + element.parent().parent().find(".l1_li_no").val()).find(".li_no").val())
        || Utils.isNull($("#" + element.parent().parent().find(".l2_li_no").val()).find(".li_no").val())) {
            $("#chbxEntreeSortieSansRempl").attr('checked', true);
        } else {
            $("#chbxEntreeSortieSansRempl").attr('checked', false);
        }
        var idLicence = $("#" + element.parent().parent().find(".l1_li_no").val()).find(".li_no").val();
        if (Utils.isNotNull(idLicence)) {
            var photo = $("#" + element.parent().parent().find(".l1_li_no").val()).find(".in_photo").val();
            $("#remplacant1").html("<img src=" + Utils.prepareBase64Image(photo) + " height= '43px' width='43px' alt=" + idLicence + " />");
            $("#nom_remplacant1").html($("#" + idLicence).find(".in_nom").val());
            $("#prenom_remplacant1").html($("#" + idLicence).find(".in_prenom").val());
            FaitsDeMatchService.afficherMaillotSanction(true, "_remplacant1", $("#" + idLicence).find(".cfi_maillot").val(), $("#" + idLicence).find(".cfi_role").val());
        } else {
            $("#remplacant1").html("");
            $("#prenom_remplacant1").html("");
            $("#nom_remplacant1").html("");
            FaitsDeMatchService.afficherMaillotSanction(false, "_remplacant1");
        }
        var idLicence = $("#" + element.parent().parent().find(".l2_li_no").val()).find(".li_no").val();
        if (Utils.isNotNull(idLicence)) {
            var photo = $("#" + element.parent().parent().find(".l2_li_no").val()).find(".in_photo").val();
            $("#remplacant2").html("<img src=" + Utils.prepareBase64Image(photo) + " height= '43px' width='43px' alt=" + idLicence + " />");
            $("#nom_remplacant2").html($("#" + idLicence).find(".in_nom").val());
            $("#prenom_remplacant2").html($("#" + idLicence).find(".in_prenom").val());
            FaitsDeMatchService.afficherMaillotSanction(true, "_remplacant2", $("#" + idLicence).find(".cfi_maillot").val(), $("#" + idLicence).find(".cfi_role").val());
        } else {
            $("#remplacant2").html("");
            $("#prenom_remplacant2").html("");
            $("#nom_remplacant2").html("");
            FaitsDeMatchService.afficherMaillotSanction(false, "_remplacant2");
        }
    },
    valider: function() {
        var datasEchange = {
            minute : $("#remplacementMinute").val(),
            minutePlus : $("#remplacementMinutePlus").val(),
            licence1 : Utils.isNull($("#remplacant1").find("img").attr("alt")) ? null : $("#remplacant1").find("img").attr("alt"),
            licence2 : Utils.isNull($("#remplacant2").find("img").attr("alt")) ? null : $("#remplacant2").find("img").attr("alt"),
            entreeSortieSansRempl : $("#chbxEntreeSortieSansRempl")[0].checked,
            remplacant1Maillot : $("#sanctionMaillotContainer_remplacant1").find(".boxFondBlanc").text() || $("#sanctionMaillotContainer_remplacant1").find(".boxFondDore").text(),
            remplacant2Maillot : $("#sanctionMaillotContainer_remplacant2").find(".boxFondBlanc").text() || $("#sanctionMaillotContainer_remplacant2").find(".boxFondDore").text(),
            matchArrete : Utils.isNotBlank(FeuilleDeMatchDto.data.ma_min_arret) ? true : false,
            ma_min_arret : FeuilleDeMatchDto.data.ma_min_arret
        };
        
        var erreur = [];

        // si le nombre de remplacelent est dépassé
        var NbRemplacement_recevente = 0;
        var NbRemplacement_visiteuse = 0;
        var equipeCode; 

        for (var i in FaitsDeMatchHistoriqueDto.histo){
            if(FaitsDeMatchHistoriqueDto.histo[i].cfe_typ == "ES") {
                equipeCode = parseInt($("#" + FaitsDeMatchHistoriqueDto.histo[i].l1_li_no).find(".infosJoueurHidden .cl_no").val(),10);
                if (equipeCode == FeuilleDeMatchDto.datasMatch.cv_cl_no) {
                    NbRemplacement_visiteuse++;
                } else if (equipeCode == FeuilleDeMatchDto.datasMatch.cr_cl_no){
                    NbRemplacement_recevente++;
                }
           }
        }

        var licence = Utils.isNull(datasEchange.licence1) ? datasEchange.licence2 : datasEchange.licence1;
        var licence_cl_no = $("#" + licence).find(".infosJoueurHidden .cl_no").val();

        if (Utils.isBlank(datasEchange.minute) && Utils.isBlank(datasEchange.minutePlus) && Utils.isBlank(datasEchange.licence1) && Utils.isBlank(datasEchange.licence2)) {
                erreur.push(Lang.faitsDeMatch.erreurs.erreurChampsManquants);
        } else if (Utils.isBlank(datasEchange.minute) && Utils.isBlank(datasEchange.minutePlus) && !datasEchange.entreeSortieSansRempl) {
            if(Utils.isNotBlank(datasEchange.licence1) || Utils.isNotBlank(datasEchange.licence2)) {
                erreur.push(Lang.faitsDeMatch.erreurs.erreurChampsManquants);
            }
        } 

        FaitsDeMatchOngletsService.addErrorFormatMinute(erreur, datasEchange.minute, datasEchange.minutePlus);
        
        //s'il n'y a pas d'erreur sur les minutes
        if (erreur.length == 0) {
            if (Utils.isBlank(datasEchange.licence1) && Utils.isBlank(datasEchange.licence2)) {
                erreur.push(Lang.faitsDeMatch.erreurs.remplacant.vide);
            } else if (datasEchange.licence1 == datasEchange.licence2) {
                erreur.push(Lang.faitsDeMatch.erreurs.remplacant.licenceDifferent);
            } else if (Utils.isNotBlank(datasEchange.licence1) && Utils.isNotBlank(datasEchange.licence2) && $("#"+datasEchange.licence2).find(".cfi_role").val() == "T") {
                erreur.push(Lang.faitsDeMatch.erreurs.remplacant.remplTitulaire);
            } else if (datasEchange.matchArrete && datasEchange.ma_min_arret < Utils.parseInt(datasEchange.minute + datasEchange.minutePlus)) {
                erreur.push(Lang.faitsDeMatch.erreurs.minArretDepassee);
            } else if (!datasEchange.entreeSortieSansRempl 
                && (Utils.isNull(datasEchange.licence1) || Utils.isNull(datasEchange.licence2))) {
                erreur.push(Lang.faitsDeMatch.erreurs.remplacant.entreeOuSortieUniquement.part1
                    + Lang.faitsDeMatch.erreurs.remplacant.entreeOuSortieUniquement.part2Cochee
                    + Lang.faitsDeMatch.erreurs.remplacant.entreeOuSortieUniquement.part3);
            } else if (Utils.isBlank(datasEchange.licence1) || Utils.isBlank(datasEchange.licence2)) {      
                var compoConcernee = licence_cl_no == FeuilleDeMatchDto.datasMatch.cr_cl_no ? CompositionsMatchDto.equipeRecevante : CompositionsMatchDto.equipeVisiteur;
                var nbJoueursInstantT = FaitsDeMatchRemplacantService.comptageNbJoueurs(compoConcernee, datasEchange);
                if (FaitsDeMatchHistoriqueDto.idRemplacementModifier != null) {
                    if (Utils.isNull(datasEchange.licence1)) {
                        nbJoueursInstantT--;
                    } else if (Utils.isNull(datasEchange.licence2)) {
                        nbJoueursInstantT++;
                    }
                }
                //dans le cas d'une entrée, on ajoute 1 pour vérifier le total, sinon on retire 1
                nbJoueursInstantT = Utils.isNotBlank(datasEchange.licence1) ? nbJoueursInstantT - 1 : nbJoueursInstantT + 1;
                if (nbJoueursInstantT > parseInt(MatchDto.match.ph_nb_titul, 10)) {
                    erreur.push(Lang.faitsDeMatch.erreurs.remplacant.tropDeJoueurs);
                } else if (nbJoueursInstantT < MatchDto.match.ph_nb_titul_mini) {
                    erreur.push(Lang.faitsDeMatch.erreurs.remplacant.pasAssezDeJoueurs);
                }
            } else if(licence_cl_no == FeuilleDeMatchDto.datasMatch.cr_cl_no && NbRemplacement_recevente == MatchDto.match.ph_nb_remp && FaitsDeMatchHistoriqueDto.idRemplacementModifier == null){
                erreur.push(Lang.faitsDeMatch.erreurs.remplacant.remplacement_recevante);
            } else if(licence_cl_no == FeuilleDeMatchDto.datasMatch.cv_cl_no && NbRemplacement_visiteuse == MatchDto.match.ph_nb_remp && FaitsDeMatchHistoriqueDto.idRemplacementModifier == null){
                erreur.push(Lang.faitsDeMatch.erreurs.remplacant.remplacement_visiteuse);
            }
        }      
        datasEchange.minute = parseInt(datasEchange.minute, 10);
        if (datasEchange.entreeSortieSansRempl && Utils.isNotBlank(datasEchange.licence1) && Utils.isNotBlank(datasEchange.licence2)) {
            Engine.alert(Lang.faitsDeMatch.erreurs.remplacant.plein);
        } else if (erreur.length == 0) {
            FaitsDeMatchRemplacantService.enregistrementEntreeSortie(datasEchange);
        } else {
            Engine.headerController.showError(erreur[0]);
        }
    },
    /**
     * On compte le nombre de joueurs dans l'équipe ainsi que les entrées et sorties 
     * afin d'interdire une entrée ou sortie si besoin, en fonction des paramètres du match
     * @param {Object} compoConcernee la composition de l'équipe à vérifier
     * @param {Object} datas la liste des données relatives au joueur
     */
    comptageNbJoueurs: function(compoConcernee, datas) {
        var nbJoueurs = 0;
        for (i in compoConcernee) {
            if ("T" == compoConcernee[i].infosCompo.cfi_role) {
                nbJoueurs++;
            }
        }
        for (i in FaitsDeMatchHistoriqueDto.histo) {
            //si l'événement est antérieur à celui saisi
            //if(FaitsDeMatchHistoService.isTempsSaisiAnterieur(datas.minute, datas.minutePlus, FaitsDeMatchHistoriqueDto.histo[i].cfe_min, FaitsDeMatchHistoriqueDto.histo[i].cfe_min_sup)) {
                //on ajoute 1 au total si c'est une entrée, sinon on retire 1
            if(FaitsDeMatchHistoriqueDto.histo[i].cfe_typ == "EJ") {
                for (j in compoConcernee) {
                    if (FaitsDeMatchHistoriqueDto.histo[i].l2_li_no == compoConcernee[j].infosCompo.li_no) {
                        nbJoueurs++;
                        break;
                    }
                }
            } else if(FaitsDeMatchHistoriqueDto.histo[i].cfe_typ == "SJ") {
                for (j in compoConcernee) {
                    if (FaitsDeMatchHistoriqueDto.histo[i].l1_li_no == compoConcernee[j].infosCompo.li_no) {
                        nbJoueurs--;
                        break;
                    }
                }
            }
            //}
        }
        return nbJoueurs;
        
        
    },
    enregistrementEntreeSortie: function(datasEchange) {
        Engine.headerController.showError("");
        FaitsDeMatchHistoService.init();
        FaitsDeMatchHistoriqueDto.data.ma_no = FeuilleDeMatchDto.ma_no;
        FaitsDeMatchHistoriqueDto.data.cfm_no = FeuilleDeMatchDto.cfm_no;
        FaitsDeMatchHistoriqueDto.data.cfe_min = datasEchange.minute;
        FaitsDeMatchHistoriqueDto.data.cfe_min_sup = datasEchange.minutePlus;
        FaitsDeMatchHistoriqueDto.data.l1_li_no = datasEchange.licence1;
        FaitsDeMatchHistoriqueDto.data.l2_li_no = datasEchange.licence2;
        FaitsDeMatchHistoriqueDto.data.l1_cfi_maillot = Utils.isNull(datasEchange.licence1) ? null : datasEchange.remplacant1Maillot;
        FaitsDeMatchHistoriqueDto.data.l2_cfi_maillot = Utils.isNull(datasEchange.licence2) ? null : datasEchange.remplacant2Maillot;
        
        //vérification du type d'échange: simple entrée, simple sortie ou remplacement
        var cfe_typ = "ES";
        if (Utils.isNull(datasEchange.licence1)) {
            cfe_typ = "EJ";
        } else if (Utils.isNull(datasEchange.licence2)) {
            cfe_typ = "SJ";
        }
        FaitsDeMatchHistoriqueDto.data.cfe_typ = cfe_typ;
        FaitsDeMatchHistoriqueDto.data.cfe_no = 1;
        if (FaitsDeMatchHistoriqueDto.idRemplacementModifier != null) {
            DataBase.deleteById("MATCH_FEUILLE_EVENEMENT", FaitsDeMatchHistoriqueDto.idRemplacementModifier);
            FaitsDeMatchHistoriqueDto.idRemplacementModifier = null;
        }
        FaitsDeMatchHistoService.insertHistorique();
        $("#remplacementMinute").val("");
        $("#remplacementMinutePlus").val("");
        $("#remplacant1").html("");
        $("#remplacant2").html("");
        $("#nom_remplacant1").html("");
        $("#nom_remplacant2").html("");
        $("#prenom_remplacant1").html("");
        $("#prenom_remplacant2").html("");
        $("#chbxEntreeSortieSansRempl").attr("checked", false);
        FaitsDeMatchService.afficherMaillotSanction(false, "_remplacant1");
        FaitsDeMatchService.afficherMaillotSanction(false, "_remplacant2");
        FaitsDeMatchOngletsService.afficherCompteur(FeuilleDeMatchDto.cfm_no, "ES");
    }
};