var SignatureController = MainController.extend({
    defaults: {
        name: ".SignatureController",
        click: Engine.eventClick,
        change: "change",
        dblclick: Engine.eventDblclick,
        pages: new Array(
                "reserves/signatureAvantMatch/signature.html"),
        files: new Array( 
                "reserves/signatureAvantMatch/css/signature.css",
                "reserves/signatureAvantMatch/js/signatureFr.js"),
    }
}, {
    init: function(element, options) {
        this._super(this, element, options);
         
    },
    load: function(page, data) {
        Engine.loadController(page, this.options.pages, this.options.files, this, function(controller) {
            controller.show(controller.element, null);
        });
    },
    show: function(element, event) {
        Engine.loadController(page, this.options.pages, this.options.files, this, function(controller) {
            //
        });
    },

    "{name} #petit1 {click}": function(element, event){
        Engine.delegate(this, element, event, function(controller) {
            var petit2 = element.parent().parent().find("#deroulant2").find("#petit2");
            if (!element.parent().find("#grand1").is(':visible')){
                element.parent().find("#grand1").show();
                element.parent().parent().find("#deroulant2").find("#grand2").hide();  
                element.find("span").text("-");
                element.addClass("selected");
                petit2.removeClass("selected");
                petit2.find("span").text("+");
            } 
       });
    },
    "{name} #petit2 {click}": function(element, event){
        Engine.delegate(this, element, event, function(controller) {
            var petit1 = element.parent().parent().find("#deroulant1").find("#petit1");
            if (!element.parent().find("#grand2").is(':visible')){
                element.parent().find("#grand2").show();
                element.parent().parent().find("#deroulant1").find("#grand1").hide();
                element.find("span").text("-");
                element.addClass("selected");
                petit1.removeClass("selected");
                petit1.find("span").text("+");
            } 
       });
    },
   
});