var SynchronisationService = { 
    startTime: null,
    elapsedTime: null,
    doPurgeIfError : false,
    syncUnitaire: false,
    ma_no: null,
    setPourcent : function(value) {
        SynchronisationDto.pourcent = value;
        if (SynchronisationDto.pourcent === 100) {
            $("#popup-gen #waitingMessageSynchro").html("");
        }
        $("#popup-gen #pourcentSynchro").html(SynchronisationDto.pourcent + "%");
    },
    start : function() {
        SynchronisationService.startTime = new Date().getTime();
        SynchronisationDto.nmMatch = "";
        SynchronisationService.setPourcent(0);
        Utils.log("Debut de la synchronistation !");
        $("#popup-gen .alerteFermer").hide();
        
        SynchronisationService.verifierVersionApplication(function () {
            if (Project.isCompteValidation()) {
//                SynchronisationPurgeService.purgeAndInsertDemo(function () {
                    SynchronisationPurgeService.purgeAndInsertReferentiel(function() {
                        SynchronisationService.endSynchronisation();
                    });
//                });
            } else {
                SynchronisationTransfertService.getMatch(function() {
                    if (SynchronisationTransfertService.matchsEnCours.length > 0) {
                        AccueilService.afficherWarningConfirmPopup(
                            Lang.synchronisation.confirmMatchNonCloture,
                            function () {
                                SynchronisationService.doSync();
                                Engine.fermerPopup(true);
                            },
                            function () {
                                Engine.fermerPopup(true);
                                Engine.fermerPopup();
                            },
                            true
                        );
                    } else {
                        SynchronisationService.doSync();
                    }
                });
            }
        });
    },
    doSync: function () {
        SynchronisationTransfertService.transmissionCgu(function() {
            SynchronisationTransfertService.getEquipeType(function() {
                SynchronisationTransfertService.getComposition(function() {
                    SynchronisationTransfertService.getFeuilleDeMatchEnCours(function() {
                        SynchronisationTransfertService.getFeuilleDeMatch(function() {
//                            SynchronisationTransfertService.getInfosCompletementaire(function() {
                                SynchronisationService.startPurge();
//                            });
                        });
                    });
                });
            });
        });
    },
    startPurge : function() {
        SynchronisationService.setPourcent(10);
        SynchronisationPurgeService.startPurge(function() {
            SynchronisationService.startInsert();
        });
    },
    startInsert : function() {
//        SynchronisationPurgeService.purgeAndInsertDemo(function() {
            // Pas de synchro pour la D008, D009 et D012
            SynchronisationInsertService.insertMatch(function() {
                SynchronisationService.setPourcent(40);
                if (Utils.isBlank(SynchronisationDto.nmMatch)) {
                    SynchronisationService.showError(Lang.synchronisation.erreurpasDeMatch);
                } else {
                    SynchronisationService.setPourcent(50);
                    SynchronisationInsertService.insertLicence(function() {
                        SynchronisationService.setPourcent(60);
                        SynchronisationInsertService.insertGroupe(function() {
                            SynchronisationService.setPourcent(70);
                            SynchronisationInsertService.insertCompte(function() {
                                SynchronisationService.setPourcent(80);
                                SynchronisationInsertService.insertEquipeType(function() {
                                    SynchronisationService.setPourcent(90);
                                    SynchronisationInsertService.insertFeuilleDeMatch(function() {
                                        SynchronisationService.endSynchronisation();
                                    });
                                });
                            });
                        });
                    });
                }
            }, false);
//        });
    },
    showError: function(erreur) {
        Engine.confirmCallbackAnnuler = null;
        Engine.confirmCallback = null;
        
        if (SynchronisationService.doPurgeIfError) {
            if (SynchronisationService.syncUnitaire){
                SynchronisationTransfertService.matchPreparer = [];
                SynchronisationTransfertService.matchsEnCours = [];
                SynchronisationTransfertService.matchsATransmettre = [];
                SynchronisationTransfertService.matchsTermine = [];
                DataBase.findBy("MATCH", "ma_noAndma_demo", [SynchronisationService.ma_no, "N"], function(data) {
                    if (data.length > 0) {
                        var individuComposition = [];
                        SynchronisationTransfertService.matchPreparer.push(data[0]);
                        SynchronisationTransfertService.getCompositionForOneMatch(SynchronisationTransfertService.matchPreparer[0].ma_no,SynchronisationTransfertService.matchPreparer[0].cfm_no, Project.contexteUtilisateur.usr_equipe[0].cl_no, function(myData) {
                            if (myData.length > 0) {
                                individuComposition.push(myData);
                            }
                            cpt++;
                            SynchronisationService.setPourcent(10);
                            if (parseInt(cpt, 10) === parseInt(SynchronisationTransfertService.matchPreparer.length, 10)) {
                                SynchronisationTransfertService.transmissionComposition(individuComposition, function() {
                                    SynchronisationTransfertService.rechercherIndividuEquipeType(Project.contexteUtilisateur.cl_no, function (individuEquipeType) { 
                                        SynchronisationTransfertService.transmissionEquipeType(individuEquipeType, function () {
                                            SynchronisationTransfertService.getFeuilleDeMatchEnCours(function() {
                                                SynchronisationTransfertService.getFeuilleDeMatch(function() {
                                                    SynchronisationPurgeService.makePurgeUnitary(function() {
                                                        SynchronisationService.endWithError(erreur + ".\nDes infos n'ont pas pu être récupérées, re-synchronisez.");
                                                    }, SynchronisationService.ma_no);
                                                });
                                            });
                                            if (typeof callback === 'function') {
                                                callback();
                                            }
                                        });
                                    });
                                });
                            }
                        });
                    }
                });
            }
            else {
                SynchronisationPurgeService.makePurge(function() {
                    SynchronisationService.endWithError(erreur + ".\nDes matchs n'ont pas pu être récupérés, re-synchronisez.");
                });
            }
        } else {
            SynchronisationService.endWithError(erreur);
        }
    },
    endWithError: function (erreur) {
        $("#popup-gen #messageSynchro").html(erreur);
        Utils.log("Synchro terminée avec une erreur : " + erreur);
        $("#boutonOkSynchronisation").show();
        $(".bar-loader").hide();
        SynchronisationService.doPurgeIfError = false;
        SynchronisationService.syncUnitaire = false;
        //SynchronisationService.updateDateSynchro(Utils.getDate());
    },
    end : function() {
        SynchronisationService.doPurgeIfError = false;
        SynchronisationService.syncUnitaire = false;
        SynchronisationService.elapsedTime = Math.floor((new Date().getTime() - SynchronisationService.startTime) / 1000);
        var minutes = Math.floor(SynchronisationService.elapsedTime / 60);
        var secondes = SynchronisationService.elapsedTime - (minutes * 60);
        if (minutes === 0 && secondes === 0) {
            secondes = 1;
        }
        var temps = " (" + ((minutes > 0) ? minutes + " minutes " : "") + ((minutes > 0 && secondes > 0) ? " et " : "");
        temps += ((secondes > 0) ? secondes + " secondes" : "") + ")";
        
        Engine.confirmCallbackAnnuler = null;
        Engine.confirmCallback = null;
        
        SynchronisationService.setPourcent(100);
        $("#popup-gen #pourcentSynchro").append(temps);
        Utils.log("Fin de la synchronistation !");
        $("#popup-gen .alerteFermer").show();
        $(".bar-loader").hide();
    },
    endTransmission : function () {
        SynchronisationService.end();
    },
    endSynchronisation : function () {
        SynchronisationService.end();
        SynchronisationService.updateDateSynchro(Utils.getDate());
    },
    updateDateSynchro: function (date) {
        Project.contexteUtilisateur.data_syncro = date;
        Engine.headerController.showUtilisateurSynchro();
        DataBase.findBy("TABLETTE", "tlb_uuid", Engine.device.uuid, function(data) {
            DataBase.update("TABLETTE", data[0].id, "data_synchro", Project.contexteUtilisateur.data_syncro, function() {
            });
        });
    },
    updateSyncUnitaire: function (ma_no) {
        DataBase.findBy("MATCH", "ma_no", ma_no, function(data) {
            DataBase.update("MATCH", data[0].id, "syncunitaire", "false", function() {
                DataBase.update("MATCH", data[0].id, "dateRecuperation", Utils.getDate(), function() {
                });
            });
        });
    },
    updateTransmissionDate: function (isAdverse, isVisiteur, idMatch) {
        var dateActuelle = Utils.getDate();
        var dateField = null;
        if (isVisiteur) {
            dateField = "cv_sfl_dat_dern_trans_compo";
        } else {
            dateField = "cr_sfl_dat_dern_trans_compo";
        }
        DataBase.update("MATCH", idMatch, dateField, dateActuelle, function() {
            if (!isAdverse) {
                DataBase.update("MATCH", idMatch, "dat_dern_trans", dateActuelle, function() {});
            }
        });
    },
    majDates : function(page) {
        var utilisateurActuelClNo = Project.contexteUtilisateur.cl_no;
        var isAvantMatch = Engine.filAriane[Engine.filAriane.length-2] == "feuilleDeMatch.html" && page == "equipe";
        var isPreparation = Engine.filAriane[Engine.filAriane.length-2] == "accueil.html" && page == "equipe";
        var visiteur = Engine.headerController.headerDatas.visiteur;

        if (page == "infosFacultatives") {
            SynchronisationService.updateTransmissionDate(false, visiteur, MatchDto.match.id);
        } else if (page == "feuilleDeMatch" || page == "apresMatch") {
            SynchronisationService.updateTransmissionDate(false, visiteur, MatchDto.match.id);
            SynchronisationService.updateTransmissionDate(true, !visiteur, MatchDto.match.id);
        } else if (isAvantMatch) {
            var isAdverse = EquipeDto.utilisateur.cl_no != utilisateurActuelClNo;
            SynchronisationService.updateTransmissionDate(isAdverse, visiteur, MatchDto.match.id);
        } else if (isPreparation) {
            SynchronisationService.updateTransmissionDate(false, visiteur, EquipeDto.data.ma_id);
        } 
    }, 
    // Vérifier la version de l'application
    // TODO : Comportement à déporter du côté du SI, chaque service devrait procéder à la vérification de la version avant de traiter la demande
    verifierVersionApplication: function (callback) {
        Engine.getDemande("D003", { version: Environnement.version }, function (data) {
            if (typeof callback === 'function') {
                callback();
            }
        }, function () {
            SynchronisationService.showError(Lang.synchronisation.erreurMiseAjour);
        });
    },

    sendTechnicalReport: function () {

        function clearErrorLog() {
            DataBase.findBy("ERROR_LOG", "usr_no", Project.contexteUtilisateur.usr_no, function (data) {
                for (var i = 0; i < data.length; i++) {
                    DataBase.deleteById("ERROR_LOG", data[i].id);
                }
            });
        }

        return new Promise(function (resolve, reject) {
            var tables = [
                "ERROR_LOG",
                // "CLUB_GROUPE", "CLUB_GROUPE_INDIVIDU", "CLUB_LICENCE", "EQUIPE_TYPE", 
                // "EQUIPE_TYPE_INDIVIDU", "FMI_REF", "MATCH", "MATCH_FEUILLE", "MATCH_FEUILLE_COMPO", 
                // "MATCH_FEUILLE_EVENEMENT", "MATCH_FEUILLE_MEMBRE", "MATCH_FEUILLE_RESERVE",
                // "MATCH_FEUILLE_LICENCE", "SANCTION", "PARAM", "TACTIQUE", "UTILISATEUR", 
                // "UTILISATEUR_EQUIPE", "TABLETTE", "CGU", "FEUILLE_MATCH_HISTO"
            ];

            var promises = [];

            for (var i = 0; i < tables.length; i++) {
                promises.push( DataBase.findAll(tables[i]) );
            }
            
            Promise.all(promises).then(function (values) {
                // Build report
                var report = {};
                for (var i = 0; i < tables.length; i++) {
                    report[ tables[i].toLowerCase() ] = values[i];
                }

                // Remove all licence photo
                if (report.hasOwnProperty('club_licence')) {
                    for (var i = 0; i < report['club_licence'].length; i++) {
                        report['club_licence'][i].in_photo = null;
                    }
                }
                
                // Send report
                Engine.getDemande("T999", report, function () {
                    clearErrorLog();
                    resolve();
                }, function () {
                    reject("La transmission du rapport a échoué");
                });
            }).catch(function (e) {
                reject("La création du rapport a échoué");
            });
        });
    },

// SYNCHRONISATION UNITAIRE
    startGlobal : function() {
        SynchronisationService.startTime = new Date().getTime();
        SynchronisationDto.nmMatch = "";
        SynchronisationService.setPourcent(0);
        Utils.log("Debut de la synchronistation !");
        $("#popup-gen .alerteFermer").hide();
        
        SynchronisationService.verifierVersionApplication(function () {
            if (Project.isCompteValidation()) {
//                SynchronisationPurgeService.purgeAndInsertDemo(function () {
                    SynchronisationPurgeService.purgeAndInsertReferentiel(function() {
                        SynchronisationService.end();
                    });
//                });
            } else {
                SynchronisationTransfertService.getMatch(function() {
                    if (SynchronisationTransfertService.matchsEnCours.length > 0) {
                        AccueilService.afficherWarningConfirmPopup(
                            Lang.synchronisation.confirmMatchNonCloture,
                            function () {
                                SynchronisationService.doGlobalSync();
                                Engine.fermerPopup(true);
                            },
                            function () {
                                Engine.fermerPopup(true);
                                Engine.fermerPopup();
                            },
                            true
                        );
                    } else {
                        SynchronisationService.doGlobalSync();
                    }
                });
            }
        });
    },
    doGlobalSync: function () {
        SynchronisationTransfertService.transmissionCgu(function() {
            SynchronisationTransfertService.getEquipeType(function() {
                SynchronisationTransfertService.getComposition(function() {
                    SynchronisationTransfertService.getFeuilleDeMatchEnCours(function() {
                        SynchronisationTransfertService.getFeuilleDeMatch(function() {
//                            SynchronisationTransfertService.getInfosCompletementaire(function() {
                            SynchronisationService.startGlobalPurge();
//                            });
                        });
                    });
                });
            });
        });
    },
    startGlobalPurge : function() {
        SynchronisationService.setPourcent(10);
        SynchronisationPurgeService.startPurge(function() {
            SynchronisationService.startGlobalInsert();
        });
    },
    startGlobalInsert : function() {
//        SynchronisationPurgeService.purgeAndInsertDemo(function() {
            // Pas de synchro pour la D008, D009 et D012
            SynchronisationService.setPourcent(50);
            SynchronisationInsertService.insertMatch(function() {
                if (Utils.isBlank(SynchronisationDto.nmMatch)) {
                    SynchronisationService.showError(Lang.synchronisation.erreurpasDeMatch);
                } else {
                    SynchronisationService.setPourcent(90);
//                    SynchronisationInsertService.insertEquipeType(function() {
                        SynchronisationService.end();
//                    });
                }
            }, true);
//        });
    },
    startUnitary : function(ma_no){
        SynchronisationService.syncUnitaire = true;
        SynchronisationService.ma_no = ma_no;
        SynchronisationService.startTime = new Date().getTime();
        SynchronisationService.setPourcent(0);
        Utils.log("Debut de la synchronistation !");
        $("#popup-gen .alerteFermer").hide();
        var cpt = 0;
        SynchronisationTransfertService.matchPreparer = [];
        SynchronisationTransfertService.matchsEnCours = [];
        SynchronisationTransfertService.matchsATransmettre = [];
        SynchronisationTransfertService.matchsTermine = [];
        DataBase.findBy("MATCH", "ma_noAndma_demo", [ma_no, "N"], function(data) {
            if (data.length > 0) {
                var individuComposition = [];
                SynchronisationTransfertService.matchPreparer.push(data[0]);
                SynchronisationTransfertService.getCompositionForOneMatch(SynchronisationTransfertService.matchPreparer[0].ma_no,SynchronisationTransfertService.matchPreparer[0].cfm_no, Project.contexteUtilisateur.usr_equipe[0].cl_no, function(myData) {
                    if (myData.length > 0) {
                        individuComposition.push(myData);
                    }
                    cpt++;
                    SynchronisationService.setPourcent(10);
                    if (parseInt(cpt, 10) === parseInt(SynchronisationTransfertService.matchPreparer.length, 10)) {
                        SynchronisationTransfertService.transmissionComposition(individuComposition, function() {
                            SynchronisationTransfertService.rechercherIndividuEquipeType(Project.contexteUtilisateur.cl_no, function (individuEquipeType) { 
                                SynchronisationTransfertService.transmissionEquipeType(individuEquipeType, function () {
                                    SynchronisationTransfertService.getFeuilleDeMatchEnCours(function() {
                                        SynchronisationTransfertService.getFeuilleDeMatch(function() {
                                            SynchronisationService.startUnitaryPurge(ma_no);
                                        });
                                    });
                                    if (typeof callback === 'function') {
                                        callback();
                                    }
                                });
                            });
                        });
                    }
                });
            }
        });
    },
    startUnitaryPurge : function(ma_no) {
        SynchronisationService.setPourcent(20);
        AccueilService.matchsTraite = [];
        SynchronisationPurgeService.makePurgeUnitary(function() {
            SynchronisationService.startUnitaryInsert(ma_no);
        }, ma_no);
    },
    startUnitaryInsert : function(ma_no) {
        SynchronisationService.setPourcent(40);
        if (Utils.isBlank(ma_no)) {
            SynchronisationService.showError(Lang.synchronisation.erreurpasDeMatch);
        } else {
            SynchronisationDto.nmMatch = ma_no + ";";
            SynchronisationInsertService.insertOneMatch(function() {
                SynchronisationService.setPourcent(50);
                SynchronisationInsertService.insertLicence(function() {
                    SynchronisationService.setPourcent(60);
                    SynchronisationInsertService.insertGroupe(function() {
                        SynchronisationService.setPourcent(70);
                        SynchronisationInsertService.insertCompte(function() {
                            SynchronisationService.setPourcent(80);
                            SynchronisationInsertService.insertEquipeType(function() {
                                SynchronisationService.setPourcent(90);
                                SynchronisationInsertService.insertFeuilleDeMatch(function() {
                                    SynchronisationService.updateSyncUnitaire(ma_no);
                                    SynchronisationService.end();
                                });
                            });
                        });
                    });
                });
            }, ma_no);
        }
    }
};